[Kernel-packages] [Bug 1819116] [NEW] sync_file_range02 in ubuntu_ltp_syscalls failed on D

2019-03-07 Thread Po-Hsu Lin
Public bug reported:

syslog output attached as attachment.

<<>>
incrementing stop
tst_device.c:231: INFO: Using test device LTP_DEV='/dev/loop2'
tst_supported_fs_types.c:72: INFO: Kernel supports ext2
tst_supported_fs_types.c:56: INFO: mkfs.ext2 does exist
tst_supported_fs_types.c:72: INFO: Kernel supports ext3
tst_supported_fs_types.c:56: INFO: mkfs.ext3 does exist
tst_supported_fs_types.c:72: INFO: Kernel supports ext4
tst_supported_fs_types.c:56: INFO: mkfs.ext4 does exist
tst_supported_fs_types.c:72: INFO: Kernel supports xfs
tst_supported_fs_types.c:56: INFO: mkfs.xfs does exist
tst_supported_fs_types.c:72: INFO: Kernel supports btrfs
tst_supported_fs_types.c:56: INFO: mkfs.btrfs does exist
tst_supported_fs_types.c:72: INFO: Kernel supports vfat
tst_supported_fs_types.c:56: INFO: mkfs.vfat does exist
tst_supported_fs_types.c:95: INFO: Filesystem exfat is not supported
tst_supported_fs_types.c:72: INFO: Kernel supports ntfs
tst_supported_fs_types.c:56: INFO: mkfs.ntfs does exist
tst_test.c:1157: INFO: Testing on ext2
tst_mkfs.c:90: INFO: Formatting /dev/loop2 with ext2 opts='' extra opts=''
mke2fs 1.44.6 (5-Mar-2019)
tst_test.c:1096: INFO: Timeout per run is 0h 05m 00s
sync_file_range02.c:54: PASS: Test file range synced to device
tst_test.c:1157: INFO: Testing on ext3
tst_mkfs.c:90: INFO: Formatting /dev/loop2 with ext3 opts='' extra opts=''
mke2fs 1.44.6 (5-Mar-2019)
tst_test.c:1096: INFO: Timeout per run is 0h 05m 00s
sync_file_range02.c:54: PASS: Test file range synced to device
tst_test.c:1157: INFO: Testing on ext4
tst_mkfs.c:90: INFO: Formatting /dev/loop2 with ext4 opts='' extra opts=''
mke2fs 1.44.6 (5-Mar-2019)
tst_test.c:1096: INFO: Timeout per run is 0h 05m 00s
sync_file_range02.c:54: PASS: Test file range synced to device
tst_test.c:1157: INFO: Testing on xfs
tst_mkfs.c:90: INFO: Formatting /dev/loop2 with xfs opts='' extra opts=''
tst_test.c:1096: INFO: Timeout per run is 0h 05m 00s
sync_file_range02.c:54: PASS: Test file range synced to device
tst_test.c:1157: INFO: Testing on btrfs
tst_mkfs.c:90: INFO: Formatting /dev/loop2 with btrfs opts='' extra opts=''
tst_test.c:1096: INFO: Timeout per run is 0h 05m 00s
sync_file_range02.c:54: PASS: Test file range synced to device
tst_test.c:1157: INFO: Testing on vfat
tst_mkfs.c:90: INFO: Formatting /dev/loop2 with vfat opts='' extra opts=''
tst_test.c:1096: INFO: Timeout per run is 0h 05m 00s
sync_file_range02.c:54: PASS: Test file range synced to device
tst_test.c:1157: INFO: Testing on ntfs
tst_mkfs.c:90: INFO: Formatting /dev/loop2 with ntfs opts='' extra opts=''
The partition start sector was not specified for /dev/loop2 and it could not be 
obtained automatically.  It has been set to 0.
The number of sectors per track was not specified for /dev/loop2 and it could 
not be obtained automatically.  It has been set to 0.
The number of heads was not specified for /dev/loop2 and it could not be 
obtained automatically.  It has been set to 0.
To boot from a device, Windows needs the 'partition start sector', the 'sectors 
per track' and the 'number of heads' to be set.
Windows will not be able to boot from this device.
safe_macros.c:739: INFO: Trying FUSE...
tst_test.c:1096: INFO: Timeout per run is 0h 05m 00s
sync_file_range02.c:56: FAIL: Synced 0, expected 33554432

Summary:
passed   6
failed   1
skipped  0
warnings 0
<<>>
initiation_status="ok"
duration=11 termination_type=exited termination_id=1 corefile=no
cutime=10 cstime=157
<<>>
INFO: ltp-pan reported some tests FAIL
LTP Version: 20190115

   ###

Done executing testcases.
LTP Version:  20190115
   ###

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: linux-image-5.0.0-7-generic 5.0.0-7.8
ProcVersionSignature: User Name 5.0.0-7.8-generic 5.0.0
Uname: Linux 5.0.0-7-generic x86_64
AlsaDevices:
 total 0
 crw-rw 1 root audio 116,  1 Mar  8 06:01 seq
 crw-rw 1 root audio 116, 33 Mar  8 06:01 timer
AplayDevices: Error: [Errno 2] No such file or directory: 'aplay': 'aplay'
ApportVersion: 2.20.10-0ubuntu23
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory: 'arecord': 'arecord'
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
CurrentDmesg:
 
Date: Fri Mar  8 07:02:13 2019
IwConfig: Error: [Errno 2] No such file or directory: 'iwconfig': 'iwconfig'
Lsusb: Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: QEMU Standard PC (i440FX + PIIX, 1996)
PciMultimedia:
 
ProcFB: 0 cirrusdrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-7-generic 
root=UUID=2a4b0342-a2dd-4feb-b3e2-9644ca1c4a60 ro console=ttyS0,1152008n1
RelatedPackageVersions:
 linux-restricted-modules-5.0.0-7-generic N/A
 linux-backports-modules-5.0.0-7-generic  N/A
 linux-firmware   1.177
RfKill: Error: [Errno 2] No such file or 

[Kernel-packages] [Bug 1048258] Re: Cypress trackpad gets psmouse lost sync / driver resynced warnings

2019-03-07 Thread Christopher M. Penalver
yoshiki2, it will help immensely if you use Ubuntu with the computer the 
problem is reproducible with and file a new report via a terminal to provide 
necessary debugging logs:
ubuntu-bug linux

Please feel free to subscribe me to it.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1048258

Title:
  Cypress trackpad gets psmouse lost sync / driver resynced warnings

Status in Dell Sputnik:
  Fix Released
Status in linux package in Ubuntu:
  Triaged
Status in linux source package in Precise:
  Fix Released
Status in linux source package in Quantal:
  Fix Released

Bug description:
  I installed Kubuntu 12.04 with ppa suggested on this forum but I still
  have intermittent problem with touchpad.I also install kde-config-
  touchpad and have full control on touchpad(ex.: disable when mouse
  plugged).

  It work like I want but after come back from sleep mode, I got error message 
about synaptics and the syslog look like this:
  Sep  9 10:28:34 XPS-L321X kernel: [ 6839.441575] psmouse serio1: Trackpad at 
isa0060/serio1/input0 lost sync at byte 1
  Sep  9 10:28:34 XPS-L321X kernel: [ 6839.442852] psmouse serio1: Trackpad at 
isa0060/serio1/input0 - driver resynced.

  These lines are repeated in infinite loop.

  I tried these command:
  sudo modprobe -r psmouse
  sudo modprobe psmouse

  It reassign input:
  input: CyPS/2 Cypress as /devices/platform/i8042/serio1/input/input17
  It stop the loop for 2 minutes and start again

  Only way to fix is restart x session

To manage notifications about this bug go to:
https://bugs.launchpad.net/dell-sputnik/+bug/1048258/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1816947] Re: [Dell XPS L321X] Touchpad not working after last apt-get upgrade

2019-03-07 Thread Christopher M. Penalver
yoshiki2, it will help immensely if you use Ubuntu with the computer the 
problem is reproducible with and file a new report via a terminal to provide 
necessary debugging logs:
ubuntu-bug linux

Please feel free to subscribe me to it.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1816947

Title:
  [Dell XPS L321X] Touchpad not working after last apt-get upgrade

Status in libinput package in Ubuntu:
  Invalid
Status in linux package in Ubuntu:
  Incomplete

Bug description:
  The touchpad doesn't work unless the cursor is moved slowly.

  WORKAROUND: Execute at a terminal:
  sudo modprobe -r psmouse
  sudo modprobe psmouse proto=imps

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xorg 1:7.7+19ubuntu8
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu19
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperVersion: 1.402
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Feb 21 02:56:45 2019
  DistUpgraded: Fresh install
  DistroCodename: disco
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation 2nd Generation Core Processor Family Integrated Graphics 
Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
     Subsystem: Dell 2nd Generation Core Processor Family Integrated Graphics 
Controller [1028:052e]
  LiveMediaBuild: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20190203)
  MachineType: Dell Inc. Dell System XPS L321X
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=C.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper 
initrd=/casper/initrd quiet splash --- maybe-ubiquity
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 12/27/2011
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A01
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 0.1
  dmi.modalias: 
dmi:bvnDellInc.:bvrA01:bd12/27/2011:svnDellInc.:pnDellSystemXPSL321X:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr0.1:
  dmi.product.family: HuronRiver System
  dmi.product.name: Dell System XPS L321X
  dmi.product.sku: System SKUNumber
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.97-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.3.2-1ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.3-1ubuntu1
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20180925-2
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1
  ---
  ProblemType: Bug
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperVersion: 1.394
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroRelease: Ubuntu 18.04
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation 2nd Generation Core Processor Family Integrated Graphics 
Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
     Subsystem: Dell 2nd Generation Core Processor Family Integrated Graphics 
Controller [1028:052e]
  LiveMediaBuild: Ubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 (20190210)
  MachineType: Dell Inc. Dell System XPS L321X
  Package: libinput (not installed)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper 
initrd=/casper/initrd quiet splash --- maybe-ubiquity
  ProcVersionSignature: Ubuntu 4.18.0-15.16~18.04.1-generic 4.18.20
  Tags:  bionic ubuntu
  Uname: Linux 4.18.0-15-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 12/27/2011
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A01
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 0.1
  dmi.modalias: 
dmi:bvnDellInc.:bvrA01:bd12/27/2011:svnDellInc.:pnDellSystemXPSL321X:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr0.1:
  dmi.product.family: HuronRiver System
  dmi.product.name: Dell System XPS L321X
  dmi.product.sku: System SKUNumber
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.95-1~18.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1~18.04.2
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1~18.04.2
  version.xserver-xorg-core: xserver-xorg-core 

[Kernel-packages] [Bug 1818580] Re: [Medion MS-7616] [drm:amdgpu_init [amdgpu]] *ERROR* VGACON disables amdgpu kernel modesetting.

2019-03-07 Thread Christopher M. Penalver
elhoir:

1)
Please ensure you are not using non-default kernel parameters. As per most 
recent dmesg remove:
acpi_osi=Linux modprobe.blacklist=amdgpu crashkernel=384M-:128M 
crashkernel=384M-2G:128M,2G-:256M crashkernel=512M-:192M crashkernel=512M-:192M 
crashkernel=512M-:192M

2)
Keep testing successively newer kernels, until you either find one that does 
boot, or reach Ubuntu kernel 5.0.0-7.8.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818580

Title:
  [Medion MS-7616] [drm:amdgpu_init [amdgpu]] *ERROR* VGACON disables
  amdgpu kernel modesetting.

Status in linux package in Ubuntu:
  Incomplete

Bug description:
  I cannot boot PC normally, i must use recovery mode.

  Full dmesg after modprobe'ing amdgpu demonstrating call trace and lead up:
  
https://launchpadlibrarian.net/414079136/complete-dmesg-after-modprobe-amdgpu.txt

  WORKAROUND: Use kernel parameter:
  nomodeset
  OR:
  modprobe.blacklist=amdgpu

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xserver-xorg-video-amdgpu 18.1.99+git20190207-1
  ProcVersionSignature: Ubuntu 5.0.0-7.8-lowlatency 5.0.0
  Uname: Linux 5.0.0-7-lowlatency x86_64
  .tmp.unity_support_test.1:

  ApportVersion: 2.20.10-0ubuntu21
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: XFCE
  Date: Tue Mar  5 00:59:48 2019
  DistUpgraded: 2019-02-07 01:41:15,390 DEBUG Running PostInstallScript: 
'./xorg_fix_proprietary.py'
  DistroCodename: disco
  DistroVariant: ubuntu
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 
470/480/570/570X/580/580X] [1002:67df] (rev cf) (prog-if 00 [VGA controller])
     Subsystem: PC Partner Limited / Sapphire Technology Ellesmere [Radeon RX 
470/480/570/570X/580/580X/590] [174b:353e]
  InstallationDate: Installed on 2012-02-27 (2562 days ago)
  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
  MachineType: MEDIONPC MS-7616
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-7-lowlatency 
root=UUID=cded073e-f845-4947-970b-f8a4290c4c2b ro quiet splash acpi_osi=Linux 
nomodeset crashkernel=384M-:128M crashkernel=384M-2G:128M,2G-:256M 
crashkernel=512M-:192M vt.handoff=1
  SourcePackage: xserver-xorg-video-amdgpu
  UpgradeStatus: Upgraded to disco on 2019-02-07 (25 days ago)
  dmi.bios.date: 01/15/2010
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: A7616MLN.10F
  dmi.board.asset.tag: To Be Filled By O.E.M.
  dmi.board.name: MS-7616
  dmi.board.vendor: MEDIONPC
  dmi.board.version: 1.0
  dmi.chassis.type: 3
  dmi.chassis.vendor: MEDIONPC
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrA7616MLN.10F:bd01/15/2010:svnMEDIONPC:pnMS-7616:pvr1.0:rvnMEDIONPC:rnMS-7616:rvr1.0:cvnMEDIONPC:ct3:cvr:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: MS-7616
  dmi.product.sku: To Be Filled By O.E.M.
  dmi.product.version: 1.0
  dmi.sys.vendor: MEDIONPC
  version.compiz: compiz 1:0.9.14.0+19.04.20190219-0ubuntu1
  version.libdrm2: libdrm2 2.4.97-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.3.4-1ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.3.4-1ubuntu1
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.3-1ubuntu1
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.99+git20190207-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20180925-2
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818580/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1719545] Comment bridged from LTC Bugzilla

2019-03-07 Thread bugproxy
--- Comment From pavsu...@in.ibm.com 2019-03-08 01:45 EDT---
I have downloaded the .deb packages and installed on the machine.

root@ltc-zz10:~# mkdir kernel-kmously
root@ltc-zz10:~# cd kernel-kmously/
root@ltc-zz10:~/kernel-kmously# wget 
https://kernel.ubuntu.com/~kmously/1719545/kernel-kmously-438fd5a-TfNM/linux-modules-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb
--2019-03-08 00:27:57--  
https://kernel.ubuntu.com/~kmously/1719545/kernel-kmously-438fd5a-TfNM/linux-modules-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb
Resolving kernel.ubuntu.com (kernel.ubuntu.com)... 91.189.94.216
Connecting to kernel.ubuntu.com (kernel.ubuntu.com)|91.189.94.216|:443... 
connected.
HTTP request sent, awaiting response... 200 OK
Length: 11780892 (11M) [application/x-debian-package]
Saving to: ?linux-modules-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb?

linux-modules-4.15.0-46-generic_4.15.0-46.49~k1_ppc
100%[==>]
11.23M  7.25MB/sin 1.5s

2019-03-08 00:27:59 (7.25 MB/s) - ?linux-
modules-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb? saved
[11780892/11780892]

root@ltc-zz10:~/kernel-kmously# wget 
https://kernel.ubuntu.com/~kmously/1719545/kernel-kmously-438fd5a-TfNM/linux-modules-extra-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb
--2019-03-08 00:28:09--  
https://kernel.ubuntu.com/~kmously/1719545/kernel-kmously-438fd5a-TfNM/linux-modules-extra-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb
Resolving kernel.ubuntu.com (kernel.ubuntu.com)... 91.189.94.216
Connecting to kernel.ubuntu.com (kernel.ubuntu.com)|91.189.94.216|:443... 
connected.
HTTP request sent, awaiting response... 200 OK
Length: 31457736 (30M) [application/x-debian-package]
Saving to: ?linux-modules-extra-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb?

linux-modules-extra-4.15.0-46-generic_4.15.0-46.49~
100%[==>]
30.00M  7.60MB/sin 4.9s

2019-03-08 00:28:14 (6.13 MB/s) - ?linux-modules-
extra-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb? saved
[31457736/31457736]

root@ltc-zz10:~/kernel-kmously# wget 
https://kernel.ubuntu.com/~kmously/1719545/kernel-kmously-438fd5a-TfNM/linux-image-unsigned-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb
--2019-03-08 00:28:36--  
https://kernel.ubuntu.com/~kmously/1719545/kernel-kmously-438fd5a-TfNM/linux-image-unsigned-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb
Resolving kernel.ubuntu.com (kernel.ubuntu.com)... 91.189.94.216
Connecting to kernel.ubuntu.com (kernel.ubuntu.com)|91.189.94.216|:443... 
connected.
HTTP request sent, awaiting response... 200 OK
Length: 6249220 (6.0M) [application/x-debian-package]
Saving to: ?linux-image-unsigned-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb?

linux-image-unsigned-4.15.0-46-generic_4.15.0-46.49
100%[==>]
5.96M  4.35MB/sin 1.4s

2019-03-08 00:28:38 (4.35 MB/s) - ?linux-image-
unsigned-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb? saved
[6249220/6249220]

root@ltc-zz10:~/kernel-kmously# dpkg -i 
linux-modules-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb
Selecting previously unselected package linux-modules-4.15.0-46-generic.
(Reading database ... 162340 files and directories currently installed.)
Preparing to unpack linux-modules-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb 
...
Unpacking linux-modules-4.15.0-46-generic (4.15.0-46.49~k1) ...
Setting up linux-modules-4.15.0-46-generic (4.15.0-46.49~k1) ...

root@ltc-zz10:~/kernel-kmously# dpkg -i 
linux-image-unsigned-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb
(Reading database ... 163262 files and directories currently installed.)
Preparing to unpack 
linux-image-unsigned-4.15.0-46-generic_4.15.0-46.49~k1_ppc64el.deb ...
Unpacking linux-image-unsigned-4.15.0-46-generic (4.15.0-46.49~k1) over 
(4.15.0-46.49~k1) ...
/var/lib/dpkg/info/linux-image-unsigned-4.15.0-46-generic.postrm ... removing 
pending trigger
Setting up linux-image-unsigned-4.15.0-46-generic (4.15.0-46.49~k1) ...
Processing triggers for linux-image-unsigned-4.15.0-46-generic 
(4.15.0-46.49~k1) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-46-generic
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
/etc/kernel/postinst.d/x-grub-legacy-ec2:
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Updating /boot/grub/menu.lst ... done

/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
Found linux image: /boot/vmlinux-4.15.0-46-generic
Found initrd image: /boot/initrd.img-4.15.0-46-generic
Found linux image: 

[Kernel-packages] [Bug 1788997] Re: rtl8723be wifi does not work under linux-modules-extra-4.15.0-33-generic

2019-03-07 Thread jack lemon
For me ant_sel=0  "zero!" was the magic key. Took me a week of messing
around until I realized one cannot only select 1 or 2 but also 0. Try
out with these:

sudo modprobe -r rtl8723be
sudo modprobe rtl8723be ant_sel=0
iwlist scan | egrep -i 'ssid|quality'
sudo modprobe -r rtl8723be
sudo modprobe rtl8723be ant_sel=1
iwlist scan | egrep -i 'ssid|quality'
sudo modprobe -r rtl8723be
sudo modprobe rtl8723be ant_sel=2
iwlist scan | egrep -i 'ssid|quality'


http://forums.debian.net/viewtopic.php?f=5=140368=691244#p691244

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1788997

Title:
  rtl8723be wifi does not work under linux-modules-
  extra-4.15.0-33-generic

Status in linux package in Ubuntu:
  Confirmed
Status in linux source package in Bionic:
  Confirmed

Bug description:
  When starting Xubuntu 18.04.1 LTS on a laptop HP 1S-af023ng with
  kernel 4.15.0-32.35 amd64, wifi via rtl8723be works OK.

  Using actual 4.15.0-33.36 amd64 instead, rtl8723be doesn't find any
  wifi networks and thus there is no connection. Changing the antenna
  setup in /etc/modprobe.d/rtl8723be_options.conf doesn't help either;
  as a workaround an external wifi device (Gigaset USB Adapter 108)
  works.

  The expectation is that wifi through rtl8723be will still work under 
4.15.0-33.36 as it did previously.
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC1:  al 1234 F pulseaudio
   /dev/snd/controlC0:  al 1234 F pulseaudio
  CurrentDesktop: XFCE
  DistroRelease: Ubuntu 18.04
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2018-05-27 (89 days ago)
  InstallationMedia: Xubuntu 18.04 LTS "Bionic Beaver" - Release amd64 
(20180426)
  MachineType: Hewlett-Packard HP Notebook
  Package: linux (not installed)
  ProcFB: 0 radeondrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-33-generic 
root=UUID=32ea87b7-f595-4137-a54b-55838586f720 ro quiet splash vt.handoff=1
  ProcVersionSignature: Ubuntu 4.15.0-33.36-generic 4.15.18
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-33-generic N/A
   linux-backports-modules-4.15.0-33-generic  N/A
   linux-firmware 1.173.1
  Tags:  bionic
  Uname: Linux 4.15.0-33-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 04/01/2015
  dmi.bios.vendor: Insyde
  dmi.bios.version: F.02
  dmi.board.asset.tag: Base Board Asset Tag
  dmi.board.name: 8137
  dmi.board.vendor: Hewlett-Packard
  dmi.board.version: 99.02
  dmi.chassis.asset.tag: Chassis Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: Hewlett-Packard
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsyde:bvrF.02:bd04/01/2015:svnHewlett-Packard:pnHPNotebook:pvrType1ProductConfigId:rvnHewlett-Packard:rn8137:rvr99.02:cvnHewlett-Packard:ct10:cvrChassisVersion:
  dmi.product.family: 103C_5335KV G=N L=CON B=HP
  dmi.product.name: HP Notebook
  dmi.product.version: Type1ProductConfigId
  dmi.sys.vendor: Hewlett-Packard

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1788997/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1788997] Re: rtl8723be wifi does not work under linux-modules-extra-4.15.0-33-generic

2019-03-07 Thread Kai-Heng Feng
So for Bionic, the commit should be reverted.

Please test this kernel:
https://people.canonical.com/~khfeng/lp1788997/

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1788997

Title:
  rtl8723be wifi does not work under linux-modules-
  extra-4.15.0-33-generic

Status in linux package in Ubuntu:
  Confirmed
Status in linux source package in Bionic:
  Confirmed

Bug description:
  When starting Xubuntu 18.04.1 LTS on a laptop HP 1S-af023ng with
  kernel 4.15.0-32.35 amd64, wifi via rtl8723be works OK.

  Using actual 4.15.0-33.36 amd64 instead, rtl8723be doesn't find any
  wifi networks and thus there is no connection. Changing the antenna
  setup in /etc/modprobe.d/rtl8723be_options.conf doesn't help either;
  as a workaround an external wifi device (Gigaset USB Adapter 108)
  works.

  The expectation is that wifi through rtl8723be will still work under 
4.15.0-33.36 as it did previously.
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC1:  al 1234 F pulseaudio
   /dev/snd/controlC0:  al 1234 F pulseaudio
  CurrentDesktop: XFCE
  DistroRelease: Ubuntu 18.04
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2018-05-27 (89 days ago)
  InstallationMedia: Xubuntu 18.04 LTS "Bionic Beaver" - Release amd64 
(20180426)
  MachineType: Hewlett-Packard HP Notebook
  Package: linux (not installed)
  ProcFB: 0 radeondrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-33-generic 
root=UUID=32ea87b7-f595-4137-a54b-55838586f720 ro quiet splash vt.handoff=1
  ProcVersionSignature: Ubuntu 4.15.0-33.36-generic 4.15.18
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-33-generic N/A
   linux-backports-modules-4.15.0-33-generic  N/A
   linux-firmware 1.173.1
  Tags:  bionic
  Uname: Linux 4.15.0-33-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 04/01/2015
  dmi.bios.vendor: Insyde
  dmi.bios.version: F.02
  dmi.board.asset.tag: Base Board Asset Tag
  dmi.board.name: 8137
  dmi.board.vendor: Hewlett-Packard
  dmi.board.version: 99.02
  dmi.chassis.asset.tag: Chassis Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: Hewlett-Packard
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsyde:bvrF.02:bd04/01/2015:svnHewlett-Packard:pnHPNotebook:pvrType1ProductConfigId:rvnHewlett-Packard:rn8137:rvr99.02:cvnHewlett-Packard:ct10:cvrChassisVersion:
  dmi.product.family: 103C_5335KV G=N L=CON B=HP
  dmi.product.name: HP Notebook
  dmi.product.version: Type1ProductConfigId
  dmi.sys.vendor: Hewlett-Packard

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1788997/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818881] Re: ath10k_pci crashing

2019-03-07 Thread Kai-Heng Feng
This commit particular:
commit 85bd0107c6cd445a33066a57658fc585244a1100
Author: Yu Wang 
Date:   Thu Dec 20 09:53:26 2018 +0200

ath10k: add amsdu support for monitor mode

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818881

Title:
  ath10k_pci crashing

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  
  The below happens on a regular basis on my DELL XPS 13 9380:

  [77451.338493] RIP: 0010:ath10k_htt_rx_pop_paddr.isra.29+0xd9/0xf0 
[ath10k_core]
  [77451.338494] Code: 74 32 48 8b 87 10 02 00 00 48 85 c0 74 26 48 8b 40 28 48 
85 c0 74 17 45 31 c0 b9 02 00 00 00 e8 dd c1 d7 db 48 89 d8 5b 5d c3 <0f> 0b 31 
db 48 89 d8 5b 5d c3 48 8b 05 de 67 5a dc eb d1 0f 1f 40 
  [77451.338531] RSP: 0018:9d996e503d78 EFLAGS: 00010246
  [77451.338533] RAX:  RBX: 9d97b7c12290 RCX: 
9d96cbfd5528
  [77451.338534] RDX: 37af2804 RSI: 9d9944c51ed4 RDI: 
9d9944c51de0
  [77451.338535] RBP: 9d996e503d80 R08: 0020 R09: 

  [77451.338537] R10: 9d94f045ecd8 R11: 01ff R12: 
9d9944c51520
  [77451.338538] R13: 9d996e503e40 R14: 0040 R15: 
9d996e503e28
  [77451.338540] FS:  () GS:9d996e50() 
knlGS:
  [77451.338541] CS:  0010 DS:  ES:  CR0: 80050033
  [77451.338542] CR2: 1f1104c31000 CR3: 00017aa0a005 CR4: 
003606e0
  [77451.338543] Call Trace:
  [77451.338545]  
  [77451.338557]  ath10k_htt_txrx_compl_task+0x3d6/0xe40 [ath10k_core]
  [77451.338561]  ? ath10k_pci_irq_msi_fw_unmask+0x70/0x70 [ath10k_pci]
  [77451.338563]  ? ath10k_pci_wake.part.24+0xa0/0xa0 [ath10k_pci]
  [77451.338567]  ath10k_pci_napi_poll+0x54/0x110 [ath10k_pci]
  [77451.338571]  net_rx_action+0x140/0x3a0
  [77451.338575]  __do_softirq+0xe4/0x2d4
  [77451.338580]  irq_exit+0xc5/0xd0
  [77451.338582]  do_IRQ+0x8a/0xe0
  [77451.338585]  common_interrupt+0xf/0xf
  [77451.338586]  
  [77451.338589] RIP: 0010:cpuidle_enter_state+0xa5/0x2c0
  [77451.338590] Code: 8b 3d df bf 9d 63 e8 6a 09 89 ff 48 89 c3 0f 1f 44 00 00 
31 ff e8 cb 14 89 ff 45 84 ff 0f 85 c8 01 00 00 fb 66 0f 1f 44 00 00 <48> 2b 5d 
d0 48 ba cf f7 53 e3 a5 9b c4 20 48 89 d8 48 c1 fb 3f 48 
  [77451.338621] RSP: 0018:af4601993e50 EFLAGS: 0246 ORIG_RAX: 
ffde
  [77451.338623] RAX: 9d996e522c40 RBX: 46710b80e2b6 RCX: 
001f
  [77451.338624] RDX: 46710b80e2b6 RSI: 4041cc98 RDI: 

  [77451.338625] RBP: af4601993e90 R08: 0002 R09: 
000224c0
  [77451.338626] R10: af4601993e20 R11: 00d9 R12: 
0004
  [77451.338626] R13: 9d996e52ce00 R14: 9d3849f8 R15: 

  [77451.338630]  cpuidle_enter+0x17/0x20
  [77451.338632]  call_cpuidle+0x23/0x40
  [77451.338634]  do_idle+0x204/0x280
  [77451.338636]  cpu_startup_entry+0x73/0x80
  [77451.338639]  start_secondary+0x1ab/0x200
  [77451.338642]  secondary_startup_64+0xa5/0xb0
  [77451.338643] ---[ end trace 22914e3b3a848f81 ]---
  [77451.338655] ath10k_pci :02:00.0: failed to pop paddr list: -2

  $ uname -a
  Linux perseus 4.18.0-15-generic #16~18.04.1-Ubuntu SMP Thu Feb 7 14:06:04 UTC 
2019 x86_64 x86_64 x86_64 GNU/Linux

  $ modinfo ath10k_pci
  filename:   
/lib/modules/4.18.0-15-generic/kernel/drivers/net/wireless/ath/ath10k/ath10k_pci.ko
  firmware:   ath10k/QCA9377/hw1.0/board.bin
  firmware:   ath10k/QCA9377/hw1.0/firmware-5.bin
  firmware:   ath10k/QCA9377/hw1.0/firmware-6.bin
  firmware:   ath10k/QCA6174/hw3.0/board-2.bin
  firmware:   ath10k/QCA6174/hw3.0/board.bin
  firmware:   ath10k/QCA6174/hw3.0/firmware-6.bin
  firmware:   ath10k/QCA6174/hw3.0/firmware-5.bin
  firmware:   ath10k/QCA6174/hw3.0/firmware-4.bin
  firmware:   ath10k/QCA6174/hw2.1/board-2.bin
  firmware:   ath10k/QCA6174/hw2.1/board.bin
  firmware:   ath10k/QCA6174/hw2.1/firmware-5.bin
  firmware:   ath10k/QCA6174/hw2.1/firmware-4.bin
  firmware:   ath10k/QCA9887/hw1.0/board-2.bin
  firmware:   ath10k/QCA9887/hw1.0/board.bin
  firmware:   ath10k/QCA9887/hw1.0/firmware-5.bin
  firmware:   ath10k/QCA988X/hw2.0/board-2.bin
  firmware:   ath10k/QCA988X/hw2.0/board.bin
  firmware:   ath10k/QCA988X/hw2.0/firmware-5.bin
  firmware:   ath10k/QCA988X/hw2.0/firmware-4.bin
  firmware:   ath10k/QCA988X/hw2.0/firmware-3.bin
  firmware:   ath10k/QCA988X/hw2.0/firmware-2.bin
  license:Dual BSD/GPL
  description:Driver support for Qualcomm Atheros 802.11ac WLAN PCIe/AHB 
devices
  author: Qualcomm Atheros
  srcversion: D49EBAB0107B6CE28383BB8
  alias:  pci:v168Cd0050sv*sd*bc*sc*i*
  alias:  pci:v168Cd0042sv*sd*bc*sc*i*
  alias:  pci:v168Cd0046sv*sd*bc*sc*i*
  alias:  

[Kernel-packages] [Bug 1818881] Re: ath10k_pci crashing

2019-03-07 Thread Kai-Heng Feng
Would it be possible for you to test the latest upstream kernel? Refer
to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
v5.0 kernel [0].

If this bug is fixed in the mainline kernel, please add the following
tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag:
'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as
"Confirmed".


Thanks in advance.

[0] https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.0/

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818881

Title:
  ath10k_pci crashing

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  
  The below happens on a regular basis on my DELL XPS 13 9380:

  [77451.338493] RIP: 0010:ath10k_htt_rx_pop_paddr.isra.29+0xd9/0xf0 
[ath10k_core]
  [77451.338494] Code: 74 32 48 8b 87 10 02 00 00 48 85 c0 74 26 48 8b 40 28 48 
85 c0 74 17 45 31 c0 b9 02 00 00 00 e8 dd c1 d7 db 48 89 d8 5b 5d c3 <0f> 0b 31 
db 48 89 d8 5b 5d c3 48 8b 05 de 67 5a dc eb d1 0f 1f 40 
  [77451.338531] RSP: 0018:9d996e503d78 EFLAGS: 00010246
  [77451.338533] RAX:  RBX: 9d97b7c12290 RCX: 
9d96cbfd5528
  [77451.338534] RDX: 37af2804 RSI: 9d9944c51ed4 RDI: 
9d9944c51de0
  [77451.338535] RBP: 9d996e503d80 R08: 0020 R09: 

  [77451.338537] R10: 9d94f045ecd8 R11: 01ff R12: 
9d9944c51520
  [77451.338538] R13: 9d996e503e40 R14: 0040 R15: 
9d996e503e28
  [77451.338540] FS:  () GS:9d996e50() 
knlGS:
  [77451.338541] CS:  0010 DS:  ES:  CR0: 80050033
  [77451.338542] CR2: 1f1104c31000 CR3: 00017aa0a005 CR4: 
003606e0
  [77451.338543] Call Trace:
  [77451.338545]  
  [77451.338557]  ath10k_htt_txrx_compl_task+0x3d6/0xe40 [ath10k_core]
  [77451.338561]  ? ath10k_pci_irq_msi_fw_unmask+0x70/0x70 [ath10k_pci]
  [77451.338563]  ? ath10k_pci_wake.part.24+0xa0/0xa0 [ath10k_pci]
  [77451.338567]  ath10k_pci_napi_poll+0x54/0x110 [ath10k_pci]
  [77451.338571]  net_rx_action+0x140/0x3a0
  [77451.338575]  __do_softirq+0xe4/0x2d4
  [77451.338580]  irq_exit+0xc5/0xd0
  [77451.338582]  do_IRQ+0x8a/0xe0
  [77451.338585]  common_interrupt+0xf/0xf
  [77451.338586]  
  [77451.338589] RIP: 0010:cpuidle_enter_state+0xa5/0x2c0
  [77451.338590] Code: 8b 3d df bf 9d 63 e8 6a 09 89 ff 48 89 c3 0f 1f 44 00 00 
31 ff e8 cb 14 89 ff 45 84 ff 0f 85 c8 01 00 00 fb 66 0f 1f 44 00 00 <48> 2b 5d 
d0 48 ba cf f7 53 e3 a5 9b c4 20 48 89 d8 48 c1 fb 3f 48 
  [77451.338621] RSP: 0018:af4601993e50 EFLAGS: 0246 ORIG_RAX: 
ffde
  [77451.338623] RAX: 9d996e522c40 RBX: 46710b80e2b6 RCX: 
001f
  [77451.338624] RDX: 46710b80e2b6 RSI: 4041cc98 RDI: 

  [77451.338625] RBP: af4601993e90 R08: 0002 R09: 
000224c0
  [77451.338626] R10: af4601993e20 R11: 00d9 R12: 
0004
  [77451.338626] R13: 9d996e52ce00 R14: 9d3849f8 R15: 

  [77451.338630]  cpuidle_enter+0x17/0x20
  [77451.338632]  call_cpuidle+0x23/0x40
  [77451.338634]  do_idle+0x204/0x280
  [77451.338636]  cpu_startup_entry+0x73/0x80
  [77451.338639]  start_secondary+0x1ab/0x200
  [77451.338642]  secondary_startup_64+0xa5/0xb0
  [77451.338643] ---[ end trace 22914e3b3a848f81 ]---
  [77451.338655] ath10k_pci :02:00.0: failed to pop paddr list: -2

  $ uname -a
  Linux perseus 4.18.0-15-generic #16~18.04.1-Ubuntu SMP Thu Feb 7 14:06:04 UTC 
2019 x86_64 x86_64 x86_64 GNU/Linux

  $ modinfo ath10k_pci
  filename:   
/lib/modules/4.18.0-15-generic/kernel/drivers/net/wireless/ath/ath10k/ath10k_pci.ko
  firmware:   ath10k/QCA9377/hw1.0/board.bin
  firmware:   ath10k/QCA9377/hw1.0/firmware-5.bin
  firmware:   ath10k/QCA9377/hw1.0/firmware-6.bin
  firmware:   ath10k/QCA6174/hw3.0/board-2.bin
  firmware:   ath10k/QCA6174/hw3.0/board.bin
  firmware:   ath10k/QCA6174/hw3.0/firmware-6.bin
  firmware:   ath10k/QCA6174/hw3.0/firmware-5.bin
  firmware:   ath10k/QCA6174/hw3.0/firmware-4.bin
  firmware:   ath10k/QCA6174/hw2.1/board-2.bin
  firmware:   ath10k/QCA6174/hw2.1/board.bin
  firmware:   ath10k/QCA6174/hw2.1/firmware-5.bin
  firmware:   ath10k/QCA6174/hw2.1/firmware-4.bin
  firmware:   ath10k/QCA9887/hw1.0/board-2.bin
  firmware:   ath10k/QCA9887/hw1.0/board.bin
  firmware:   ath10k/QCA9887/hw1.0/firmware-5.bin
  firmware:   ath10k/QCA988X/hw2.0/board-2.bin
  firmware:   ath10k/QCA988X/hw2.0/board.bin
  firmware:   ath10k/QCA988X/hw2.0/firmware-5.bin
  firmware:   ath10k/QCA988X/hw2.0/firmware-4.bin
  firmware:   ath10k/QCA988X/hw2.0/firmware-3.bin
  firmware:   ath10k/QCA988X/hw2.0/firmware-2.bin
  license:Dual BSD/GPL
  description: 

[Kernel-packages] [Bug 1818501] Re: kernel BUG at fs/ocfs2/alloc.c:1514

2019-03-07 Thread Kai-Heng Feng
Please test this kernel:
https://people.canonical.com/~khfeng/lp1818501/

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818501

Title:
  kernel BUG at fs/ocfs2/alloc.c:1514

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  The current bionic kernel (4.15) contains a known bug in the OCFS2
  distributed filesystem, which can cause all nodes (!) of a redundant
  cluster to crash. More information on this bug (including the patch)
  can be found here: https://bugs.debian.org/cgi-
  bin/bugreport.cgi?bug=841144

  This fix was included upstream in 4.16, so it is included in the HWE
  stack, but not in the GA kernel.

  In my opinion this is quite severe bug, because it can bring a whole
  redundant setup down (this happened to us). This patch should be
  backported to 4.15.

  #cat /proc/version_signature
  Ubuntu 4.15.0-45.48-generic 4.15.18

  # lsb_release -rd
  Description:  Ubuntu 18.04.2 LTS
  Release:  18.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818501/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818547] Re: hid-sensor-hub spamming dmesg in 4.20

2019-03-07 Thread Kai-Heng Feng
https://lkml.org/lkml/2019/3/8/2

** Changed in: linux (Ubuntu)
 Assignee: (unassigned) => Kai-Heng Feng (kaihengfeng)

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818547

Title:
  hid-sensor-hub spamming dmesg in 4.20

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  Dmesg is a constant barrage of the same error:
  ```
  [  406.165461] hid-sensor-hub 001F:8086:22D8.0002: hid_field_extract() called 
with n (192) > 32! (kworker/5:1)
  ```

  This does not occur in 4.19 but does occur in all mainline 4.20
  releases including 4.20.13 (linux-image-unsigned-4.20.13-042013).
  Tested with both Ubuntu's included libinput 1.10 and an updated
  libinput 1.12.

  Hardware (from lspci) includes a synaptic touchpad. Having the xorg
  synaptic driver installed makes no difference.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818547/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1719545] Re: [P9][LTCTest][Opal][FW910] cpupower monitor shows multiple stop Idle_Stats

2019-03-07 Thread Khaled El Mously
@Pavaman, thanks for testing.

The patch that was submitted upstream by IBM to fix this bug (
f9652d5cae04eb5e85303c087f5842d320499c65 ) was applied (cleanly) to
bionic to generate that kernel. It's not clear to me why that doesn't
fix your problem since it was identified as the only required fix for
this issue.

Could you please try this kernel:
https://kernel.ubuntu.com/~kmously/1719545/kernel-kmously-438fd5a-TfNM/

and could you please also show the output of uname -a as well ?

Thanks

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1719545

Title:
  [P9][LTCTest][Opal][FW910] cpupower monitor shows multiple stop
  Idle_Stats

Status in The Ubuntu-power-systems project:
  Confirmed
Status in linux package in Ubuntu:
  Confirmed
Status in linux source package in Bionic:
  Confirmed

Bug description:
  == Comment: #0 - PAVAMAN SUBRAMANIYAM  - 2017-06-29 
02:30:22 ==
  ---Problem Description---
  cpupower monitor shows multiple stop Idle_Stats
   

   
  ---uname output---
  Linux zz376p1 4.10.0-26-generic #30~16.04.1-Ubuntu SMP Tue Jun 27 09:38:48 
UTC 2017 ppc64le ppc64le ppc64le GNU/Linux
   
  Machine Type = P9 
   
  ---Debugger---
  A debugger is not configured
   
  ---Steps to Reproduce---
  Install a P9 8375-42A Hardware with Ubuntu 16.04.3 OS.
  Then execute the cpupower monitor command to fetch all the Idle_Stats values.

  root@zz376p1:~# cpupower monitor
|Idle_Stats
  PKG |CORE|CPU | snoo | stop | stop
 0|   8|   0|  0.00|  0.00|  2.79
 0|   8|   1|  0.00|  0.00| 70.68
 0|   8|   2|  0.00|  0.00| 99.87
 0|   8|   3|  0.00|  0.00| 67.28
 0|  12|   4|  0.00|  0.00|  5.17
 0|  12|   5|  0.00|  0.00| 12.50
 0|  12|   6|  0.00|  0.00| 99.74
 0|  12|   7|  0.00|  0.00|  0.00
 8|2048|   8|  0.00|  0.00| 22.14
 8|2048|   9|  0.00|  0.00| 102.3
 8|2048|  10|  0.00|  0.00|  0.00
 8|2048|  11|  0.00|  0.00| 99.97
 8|2052|  12|  0.00|  0.00| 99.70
 8|2052|  13|  0.00|  0.00| 23.86
 8|2052|  14|  0.00|  0.00| 113.1
 8|2052|  15|  0.00|  0.00|  0.00

  As can be seen it shows 2 columns for stop.

  root@zz376p1:~# uname -a
  Linux zz376p1 4.10.0-26-generic #30~16.04.1-Ubuntu SMP Tue Jun 27 09:38:48 
UTC 2017 ppc64le ppc64le ppc64le GNU/Linux

  root@zz376p1:~# cat /etc/os-release
  NAME="Ubuntu"
  VERSION="16.04.2 LTS (Xenial Xerus)"
  ID=ubuntu
  ID_LIKE=debian
  PRETTY_NAME="Ubuntu 16.04.2 LTS"
  VERSION_ID="16.04"
  HOME_URL="http://www.ubuntu.com/;
  SUPPORT_URL="http://help.ubuntu.com/;
  BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/;
  VERSION_CODENAME=xenial
  UBUNTU_CODENAME=xenial

  root@zz376p1:~# cat /proc/cpuinfo | tail
  processor   : 15
  cpu : POWER9 (raw), altivec supported
  clock   : 2600.00MHz
  revision: 1.0 (pvr 004e 0100)

  timebase: 51200
  platform: PowerNV
  model   : 8375-42A
  machine : PowerNV 8375-42A
  firmware: OPAL
   
  Userspace tool common name: /usr/bin/cpupower 
   
  The userspace tool has the following bit modes: 64-bit 

  Userspace rpm: linux-tools-common

  Userspace tool obtained from project website:  na 
   
  *Additional Instructions for pavsu...@in.ibm.com: 
  -Post a private note with access information to the machine that the bug is 
occuring on.
  -Attach ltrace and strace of userspace application.

  
  .
  There are 3 idle_stats (3 states) in this system. 

  root@zz376p1:/sys/devices/system/cpu/cpu0/cpuidle/state2# cpupower monitor -l
  Monitor "Idle_Stats" (3 states) - Might overflow after 4294967295 s
  snoo  [T] -> snooze
  stop  [T] -> stop0_lite
  stop  [T] -> stop1_lite

  root@zz376p1:/sys/devices/system/cpu/cpu0/cpuidle/state2# cpupower idle-info
  CPUidle driver: powernv_idle
  CPUidle governor: menu
  analyzing CPU 0:

  Number of idle states: 3
  Available idle states: snooze stop0_lite stop1_lite
  snooze:
  Flags/Description: snooze
  Latency: 0
  Usage: 224
  Duration: 423
  stop0_lite:
  Flags/Description: stop0_lite
  Latency: 0
  Usage: 1685
  Duration: 530522
  stop1_lite:
  Flags/Description: stop1_lite
  Latency: 4
  Usage: 12693
  Duration: 5405898106

  root@zz376p1:/sys/devices/system/cpu/cpu0/cpuidle/state2# cpupower monitor -l
  Monitor "Idle_Stats" (3 states) - Might overflow after 4294967295 s
  snoo  [T] -> snooze
  stop  [T] -> stop0_lite
  stop  [T] -> stop1_lite
  root@zz376p1:/sys/devices/system/cpu/cpu0/cpuidle/state2# cpupower idle-info
  CPUidle driver: powernv_idle
  CPUidle governor: menu
  analyzing CPU 0:

  Number of idle states: 3
  Available idle states: snooze stop0_lite stop1_lite
  snooze:
  Flags/Description: snooze
  Latency: 0
  Usage: 272
  Duration: 905
  stop0_lite:
  Flags/Description: stop0_lite
  Latency: 0
  Usage: 2141
  Duration: 536399
  stop1_lite:
  Flags/Description: stop1_lite
  Latency: 4
  Usage: 15396
  Duration: 

[Kernel-packages] [Bug 1818816] Re: Ubuntu 16.04 LTS + "lspci: Cannot open /sys/bus No such file" on Dell 5820 Tower

2019-03-07 Thread Kai-Heng Feng
What happens if LightDM or GDM is in use, instead of startx?

graphical.target pulls in gpu-manager.service, which is needed for
Nvidia graphics.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818816

Title:
  Ubuntu 16.04 LTS + "lspci: Cannot open /sys/bus No such file" on Dell
  5820 Tower

Status in linux package in Ubuntu:
  Incomplete

Bug description:
  Hello Team,

  I'm experiencing similiar issue on Ubuntu 16.04 on Dell 5820 Tower
  over UEFI installation. I'm using Display port monitor, inorder to get
  proper display I need to download nvidia driver from ppa:graphics-
  drivers/ppa

  After install nvidia-384 and did a reboot, still no display, but can
  able to see the PCI modules conflicted

  #lspci -v 
  lspci: Cannot open /sys/bus/pci/devices/:00:03.0/resource: No such file 
or directory

  There is no issue with Ubuntu 18.04 , which is works perfectly on the
  same machine. Ubuntu 16.04 having issue. Please let me know id there
  is some issue with the running kernel or any package?

  
  Below is the environment details. 
  =

  Ubuntu 16.04.4 LTS Xenial
  Kernel - 4.15.0-46-generic

  NVIDIA Quadro P4000

  $lshw -C Display
  WARNING: you should run this program as super-user.
*-display   
 description: VGA compatible controller
 product: NVIDIA Corporation
 vendor: NVIDIA Corporation
 physical id: 0
 bus info: pci@:65:00.0
 version: a1
 width: 64 bits
 clock: 33MHz
 capabilities: vga_controller bus_master cap_list rom
 configuration: driver=nvidia latency=0
 resources: irq:29 memory:d700-d7ff memory:c000-cfff 
memory:d000-d1ff ioport:b000(size=128) memory:d800-d807

  #dpkg -l  | grep  xserver-xorg-core-hwe-16.04
  ii  xserver-xorg-core-hwe-16.04 2:1.19.5-0ubuntu2~16.04.1 


  $dpkg -l | grep nvid
  ii  nvidia-384  384.130-0ubuntu0.16.04.1  
amd64NVIDIA binary driver - version 384.130
  ii  nvidia-opencl-icd-384   384.130-0ubuntu0.16.04.1  
amd64NVIDIA OpenCL ICD
  ii  nvidia-prime0.8.2 
amd64Tools to enable NVIDIA's Prime
  ii  nvidia-settings 415.27-0ubuntu0~gpu16.04.1
amd64Tool for configuring the NVIDIA graphics driver

  #startx 
  xauth:  file /root/.Xauthority does not exist

  
  X.Org X Server 1.19.5
  Release Date: 2017-10-12
  X Protocol Version 11, Revision 0
  Build Operating System: Linux 4.4.0-101-generic x86_64 Ubuntu
  Current Operating System: Linux ADUAEIT10755WKLX 4.15.0-46-generic 
#49~16.04.1-Ubuntu SMP Tue Feb 12 17:45:24 UTC 2019 x86_64
  Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.15.0-46-generic 
root=UUID=87e6e4eb-2008-48bb-8848-3d0184ae89c1 ro quiet splash vt.handoff=7
  Build Date: 24 November 2017  09:44:25AM
  xorg-server 2:1.19.5-0ubuntu2~16.04.1 (For technical support please see 
http://www.ubuntu.com/support) 
  Current version of pixman: 0.33.6
Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.
  Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
  (==) Log file: "/var/log/Xorg.0.log", Time: Wed Mar  6 15:14:19 2019
  (==) Using system config directory "/usr/share/X11/xorg.conf.d"
  (EE) 
  (EE) Backtrace:
  (EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4e) [0x55a968970e1e]
  (EE) 1: /usr/lib/xorg/Xorg (0x55a9687bf000+0x1b5b89) [0x55a968974b89]
  (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fe81648b000+0x11390) 
[0x7fe81649c390]
  (EE) 3: /usr/lib/x86_64-linux-gnu/libpciaccess.so.0 (pci_device_next+0x118) 
[0x7fe817ae4a38]
  (EE) 4: /usr/lib/x86_64-linux-gnu/libpciaccess.so.0 
(pci_device_find_by_slot+0x3b) [0x7fe817ae4abb]
  (EE) 5: /usr/lib/x86_64-linux-gnu/libpciaccess.so.0 
(pci_device_vgaarb_init+0xaf) [0x7fe817ae67af]
  (EE) 6: /usr/lib/xorg/Xorg (0x55a9687bf000+0xb17a9) [0x55a9688707a9]
  (EE) 7: /usr/lib/xorg/Xorg (xf86BusConfig+0x62) [0x55a968849e62]
  (EE) 8: /usr/lib/xorg/Xorg (InitOutput+0xa13) [0x55a968857f83]
  (EE) 9: /usr/lib/xorg/Xorg (0x55a9687bf000+0x581a6) [0x55a9688171a6]
  (EE) 10: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xf0) 
[0x7fe8160e1830]
  (EE) 11: /usr/lib/xorg/Xorg (_start+0x29) [0x55a968801329]
  (EE) 
  (EE) Segmentation fault at address 0x0
  (EE) 
  Fatal server error:
  (EE) Caught signal 11 (Segmentation fault). Server aborting
  (EE) 
  (EE) 
  Please consult the The X.Org Foundation support 
 at http://wiki.x.org
   for help. 
  (EE) 

[Kernel-packages] [Bug 1773697] Re: [USB-Audio - PX USB, playback] snd-usb-audio: probe of 2-3:1.0 failed with error -22 after kernel upgrade

2019-03-07 Thread Kai-Heng Feng
href, I think the fix is still needed for Bionic (v4.15) and Cosmic
(v4.18) kernel?

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1773697

Title:
  [USB-Audio - PX USB, playback] snd-usb-audio: probe of 2-3:1.0 failed
  with error -22 after kernel upgrade

Status in alsa-driver package in Ubuntu:
  New
Status in linux package in Ubuntu:
  Confirmed

Bug description:
  Bug report has been generated on a partially working configuration.
  That allows ubuntu-bug to do more work.

  USB-Audio Connection on Bowers & Wilkens PX Bluetooth Headphones
  started working when upgrading kernel from 4.13 to 4.15 series. Then
  it suddenly stopped working again on newer kernels. The bug report has
  been generated on the latest working mainline kernel 4.15.7. All newer
  kernels have some usb quirks in place, which should fix the playback
  sample rates to 48 kHz. The quirk seems not to be working correctly
  and hinder the audio system to recognize the USB-device as a sound
  device.

  The Headphones work on kernels before 4,15.7 when manually configuring
  pulseaudio to a default samplerate of 48 kHz.

  PX Headphones are on the newest firmware level.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  Uname: Linux 4.15.7-041507-lowlatency x86_64
  AlsaInfo: Error: command ['/usr/share/alsa-base/alsa-info.sh', '--stdout', 
'--no-upload'] failed with exit code 1: mktemp: failed to create directory via 
template '/tmp/zsh-1000/alsa-info.XX': No such file or directory
  ApportVersion: 2.20.9-0ubuntu7
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC2:  dshr   2729 F pulseaudio
   /dev/snd/controlC1:  dshr   2729 F pulseaudio
   /dev/snd/controlC0:  dshr   2729 F pulseaudio
  CurrentDesktop: GNOME
  Date: Sun May 27 22:21:53 2018
  InstallationDate: Installed on 2016-02-05 (841 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  PackageArchitecture: all
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=de_DE.UTF-8
   SHELL=/bin/zsh
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaPlaybackTest: ALSA playback test through plughw:USB successful
  Symptom_Card: PX USB - PX USB
  Symptom_DevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC2:  dshr   2729 F pulseaudio
   /dev/snd/controlC1:  dshr   2729 F pulseaudio
   /dev/snd/controlC0:  dshr   2729 F pulseaudio
  Symptom_PulsePlaybackTest: PulseAudio playback test successful
  Symptom_Type: No sound at all
  Title: [USB-Audio - PX USB, playback] No sound at all
  UpgradeStatus: Upgraded to bionic on 2018-05-27 (0 days ago)
  dmi.bios.date: 06/23/2015
  dmi.bios.vendor: LENOVO
  dmi.bios.version: N11ET33W (1.09 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 20CJS00Q00
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Defined
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: None
  dmi.modalias: 
dmi:bvnLENOVO:bvrN11ET33W(1.09):bd06/23/2015:svnLENOVO:pn20CJS00Q00:pvrThinkPadT550:rvnLENOVO:rn20CJS00Q00:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
  dmi.product.family: ThinkPad T550
  dmi.product.name: 20CJS00Q00
  dmi.product.version: ThinkPad T550
  dmi.sys.vendor: LENOVO
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.10-0ubuntu13
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  dshr   3423 F pulseaudio
   /dev/snd/pcmC0D0c:   dshr   3423 F...m pulseaudio
  CurrentDesktop: GNOME
  DistroRelease: Ubuntu 18.10
  InstallationDate: Installed on 2018-02-07 (248 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180128)
  MachineType: LENOVO 4291QQ1
  Package: linux (not installed)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=de_DE.UTF-8
   SHELL=/bin/zsh
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.18.0-10-generic 
root=UUID=5501522a-496f-40cb-9b68-8ef9726b16c9 ro quiet splash vt.handoff=1
  ProcVersionSignature: Ubuntu 4.18.0-10.11-generic 4.18.12
  RelatedPackageVersions:
   linux-restricted-modules-4.18.0-10-generic N/A
   linux-backports-modules-4.18.0-10-generic  N/A
   linux-firmware 1.175
  Tags:  cosmic
  Uname: Linux 4.18.0-10-generic x86_64
  UpgradeStatus: Upgraded to cosmic on 2018-09-30 (13 days ago)
  UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 08/02/2011
  dmi.bios.vendor: LENOVO
  dmi.bios.version: 8DET51WW (1.21 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 4291QQ1
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Available
  dmi.chassis.asset.tag: No Asset Information
  

[Kernel-packages] [Bug 1775967] Re: Wrong temperature after suspend

2019-03-07 Thread Kai-Heng Feng
It should be fairly safe, but it's more power hungry.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1775967

Title:
  Wrong temperature after suspend

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  My laptop's temperature is stuck at 40°C after resume from suspend,
  but only for the acpitz-virtual-0 sensor:

  soc_dts0-virtual-0
  Adapter: Virtual device
  temp1:+71.0°C  

  acpitz-virtual-0
  Adapter: Virtual device
  temp1:+40.0°C  (crit = +105.0°C)

  soc_dts1-virtual-0
  Adapter: Virtual device
  temp1:+70.0°C  

  coretemp-isa-
  Adapter: ISA adapter
  Core 0:   +68.0°C  (high = +105.0°C, crit = +105.0°C)
  Core 1:   +68.0°C  (high = +105.0°C, crit = +105.0°C)
  Core 2:   +68.0°C  (high = +105.0°C, crit = +105.0°C)
  Core 3:   +68.0°C  (high = +105.0°C, crit = +105.0°C)

  Before suspend, acpitz-virtual-0 displays the correct value, but after
  suspend it stays at 40°C forever, resulting in the fan to stay off all
  the time, and, thus, to the laptop overheating.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: linux-image-4.15.0-22-generic 4.15.0-22.24
  ProcVersionSignature: Ubuntu 4.15.0-22.24-generic 4.15.17
  Uname: Linux 4.15.0-22-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  juloliv1700 F pulseaudio
  CurrentDesktop: GNOME
  Date: Sat Jun  9 07:50:16 2018
  InstallationDate: Installed on 2018-05-14 (25 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  MachineType: Acer Aspire ES1-711G
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=fr_FR.UTF-8
   SHELL=/bin/bash
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-22-generic 
root=UUID=fe1aba35-e7ba-460a-9b8d-96af3582d60d ro quiet splash 
scsi_mod.scan=sync
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-22-generic N/A
   linux-backports-modules-4.15.0-22-generic  N/A
   linux-firmware 1.173.1
  SourcePackage: linux
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 07/29/2015
  dmi.bios.vendor: Insyde Corp.
  dmi.bios.version: V1.07
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: EA70_BM
  dmi.board.vendor: Acer
  dmi.board.version: Type2 - A01 Board Version
  dmi.chassis.type: 10
  dmi.chassis.vendor: Chassis Manufacturer
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsydeCorp.:bvrV1.07:bd07/29/2015:svnAcer:pnAspireES1-711G:pvrV1.07:rvnAcer:rnEA70_BM:rvrType2-A01BoardVersion:cvnChassisManufacturer:ct10:cvrChassisVersion:
  dmi.product.family: BTM
  dmi.product.name: Aspire ES1-711G
  dmi.product.version: V1.07
  dmi.sys.vendor: Acer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1775967/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1806392] Re: tun/tap: unable to manage carrier state from userland

2019-03-07 Thread Khaled El Mously
** Changed in: linux (Ubuntu Bionic)
   Status: In Progress => Fix Committed

** Changed in: linux (Ubuntu Cosmic)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1806392

Title:
  tun/tap: unable to manage carrier state from userland

Status in linux package in Ubuntu:
  Invalid
Status in linux source package in Bionic:
  Fix Committed
Status in linux source package in Cosmic:
  Fix Committed

Bug description:
  === SRU Justification ===
  [Impact]
  Userspace cannot change tun's carrier state.

  [Fix]
  Add .ndo_change_carrier callback for tun.

  [Test]
  User confirm the backport works.
   
  [Regression Potential]
  Low. It add a new function and a new case switch for ioctl, but the new
  code doesn't affect existing behavior.
  === Original Bug Report ===
  This upstream patch is missing: 26d31925cd5e ("tun: implement carrier 
change").

  https://git.kernel.org/pub/scm/linux/kernel/git/davem/net-
  next.git/commit/?id=26d31925cd5e

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1806392/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1812153] Re: CONFIG_SECURITY_SELINUX_DISABLE should be disabled on KVM kernel

2019-03-07 Thread Khaled El Mously
** Changed in: linux-kvm (Ubuntu Cosmic)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-kvm in Ubuntu.
https://bugs.launchpad.net/bugs/1812153

Title:
  CONFIG_SECURITY_SELINUX_DISABLE should be disabled on KVM kernel

Status in ubuntu-kernel-tests:
  In Progress
Status in linux-kvm package in Ubuntu:
  In Progress
Status in linux-kvm source package in Bionic:
  Fix Released
Status in linux-kvm source package in Cosmic:
  Fix Committed
Status in linux-kvm source package in Disco:
  In Progress

Bug description:
  The test_081_config_security_selinux_disable test failed on the Bionic
  KVM kernel

FAIL: test_081_config_security_selinux_disable 
(__main__.KernelSecurityConfigTest)
Ensure CONFIG_SECURITY_SELINUX_DISABLE is disabled (LP: #1680315)
--
Traceback (most recent call last):
File "./test-kernel-security.py", line 2152, in 
test_081_config_security_selinux_disable
self.assertKernelConfig('SECURITY_SELINUX_DISABLE', expected)
File "./test-kernel-security.py", line 209, in assertKernelConfig
self.assertKernelConfigUnset(name)
File "./test-kernel-security.py", line 200, in assertKernelConfigUnset
'%s option was expected to be unset in the kernel config' % name)
AssertionError: SECURITY_SELINUX_DISABLE option was expected to be 
unset in the kernel config

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: linux-image-4.15.0-1028-kvm 4.15.0-1028.28
  ProcVersionSignature: User Name 4.15.0-1028.28-kvm 4.15.18
  Uname: Linux 4.15.0-1028-kvm x86_64
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  Date: Thu Jan 17 04:31:59 2019
  SourcePackage: linux-kvm
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-kernel-tests/+bug/1812153/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1819048] Re: Dell Inspiron 15-3552 PCI/internal sound card not detected

2019-03-07 Thread Daniel van Vugt
*** This bug is a duplicate of bug 1818275 ***
https://bugs.launchpad.net/bugs/1818275

I recommend you try Ubuntu 18.04 instead:

http://releases.ubuntu.com/18.04

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1819048

Title:
  Dell Inspiron 15-3552 PCI/internal sound card not detected

Status in linux package in Ubuntu:
  New

Bug description:
  No sound, i.e. sound card not properly detected
  can't really say much about that - tried to google
  for intel corporation device 2284 and there are postings about
  a working driver which i couldn't track down

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu4
  ProcVersionSignature: Ubuntu 3.13.0-165.215-generic 3.13.11-ckt39
  Uname: Linux 3.13.0-165-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.29
  Architecture: amd64
  AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
  CurrentDesktop: Unity
  Date: Thu Mar  7 20:37:39 2019
  DistributionChannelDescriptor:
   # This is a distribution channel descriptor
   # For more information see 
http://wiki.ubuntu.com/DistributionChannelDescriptor
   canonical-oem-somerville-trusty-amd64-20140620-0
  InstallationDate: Installed on 2018-01-21 (410 days ago)
  InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 
20140620-04:25
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Title: PCI/internal sound card not detected
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/27/2017
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 4.2.0
  dmi.board.name: 0M08DC
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: Not Specified
  dmi.modalias: 
dmi:bvnDellInc.:bvr4.2.0:bd10/27/2017:svnDellInc.:pnInspiron15-3552:pvr4.2.0:rvnDellInc.:rn0M08DC:rvrA00:cvnDellInc.:ct8:cvrNotSpecified:
  dmi.product.name: Inspiron 15-3552
  dmi.product.version: 4.2.0
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1819048/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1819048] Re: PCI/internal sound card not detected

2019-03-07 Thread Daniel van Vugt
*** This bug is a duplicate of bug 1818275 ***
https://bugs.launchpad.net/bugs/1818275

Thanks for the bug report.

It appears your hardware is at least 2 years newer than Ubuntu version
14.04 and its kernel doesn't support your newer hardware.

** Summary changed:

- PCI/internal sound card not detected
+ Dell Inspiron 15-3552 PCI/internal sound card not detected

** Package changed: alsa-driver (Ubuntu) => linux (Ubuntu)

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1819048

Title:
  Dell Inspiron 15-3552 PCI/internal sound card not detected

Status in linux package in Ubuntu:
  New

Bug description:
  No sound, i.e. sound card not properly detected
  can't really say much about that - tried to google
  for intel corporation device 2284 and there are postings about
  a working driver which i couldn't track down

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu4
  ProcVersionSignature: Ubuntu 3.13.0-165.215-generic 3.13.11-ckt39
  Uname: Linux 3.13.0-165-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.29
  Architecture: amd64
  AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
  CurrentDesktop: Unity
  Date: Thu Mar  7 20:37:39 2019
  DistributionChannelDescriptor:
   # This is a distribution channel descriptor
   # For more information see 
http://wiki.ubuntu.com/DistributionChannelDescriptor
   canonical-oem-somerville-trusty-amd64-20140620-0
  InstallationDate: Installed on 2018-01-21 (410 days ago)
  InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 
20140620-04:25
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Title: PCI/internal sound card not detected
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/27/2017
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 4.2.0
  dmi.board.name: 0M08DC
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: Not Specified
  dmi.modalias: 
dmi:bvnDellInc.:bvr4.2.0:bd10/27/2017:svnDellInc.:pnInspiron15-3552:pvr4.2.0:rvnDellInc.:rn0M08DC:rvrA00:cvnDellInc.:ct8:cvrNotSpecified:
  dmi.product.name: Inspiron 15-3552
  dmi.product.version: 4.2.0
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1819048/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818275] Re: Inspiron 15-3552 PCI/internal sound card not detected

2019-03-07 Thread Daniel van Vugt
It sounds like the problem started with kernel 3.13.0-165.215-generic
which was released on 4 Feb 2019.

Please try this kernel instead:

https://launchpad.net/~canonical-kernel-
team/+archive/ubuntu/ppa/+build/15741393

** Summary changed:

- PCI/internal sound card not detected
+ Inspiron 15-3552 PCI/internal sound card not detected

** Summary changed:

- Inspiron 15-3552 PCI/internal sound card not detected
+ Dell Inspiron 15-3552 PCI/internal sound card not detected

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818275

Title:
  Dell Inspiron 15-3552 PCI/internal sound card not detected

Status in linux package in Ubuntu:
  Incomplete

Bug description:
  in sound settings there is only dummy output, everything worked until
  today

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu4
  ProcVersionSignature: Ubuntu 3.13.0-165.215-generic 3.13.11-ckt39
  Uname: Linux 3.13.0-165-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.29
  Architecture: amd64
  AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
  CurrentDesktop: Unity
  Date: Fri Mar  1 18:54:52 2019
  DistributionChannelDescriptor:
   # This is a distribution channel descriptor
   # For more information see 
http://wiki.ubuntu.com/DistributionChannelDescriptor
   canonical-oem-somerville-trusty-amd64-20140620-0
  InstallationDate: Installed on 2016-09-23 (889 days ago)
  InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 
20140620-04:25
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Title: PCI/internal sound card not detected
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 06/02/2016
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 4.0.9
  dmi.board.name: 0T14MC
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: Not Specified
  dmi.modalias: 
dmi:bvnDellInc.:bvr4.0.9:bd06/02/2016:svnDellInc.:pnInspiron15-3552:pvr4.0.9:rvnDellInc.:rn0T14MC:rvrA00:cvnDellInc.:ct8:cvrNotSpecified:
  dmi.product.name: Inspiron 15-3552
  dmi.product.version: 4.0.9
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818275/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1819048] Re: Dell Inspiron 15-3552 PCI/internal sound card not detected

2019-03-07 Thread Daniel van Vugt
*** This bug is a duplicate of bug 1818275 ***
https://bugs.launchpad.net/bugs/1818275

Thank you for taking the time to report this bug and helping to make
Ubuntu better. This particular bug has already been reported and is a
duplicate of bug 1818275, so it is being marked as such. Please look at
the other bug report to see if there is any missing information that you
can provide, or to see if there is a workaround for the bug.
Additionally, any further discussion regarding the bug should occur in
the other report. Feel free to continue to report any other bugs you may
find.


** This bug has been marked a duplicate of bug 1818275
   Inspiron 15-3552 PCI/internal sound card not detected

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1819048

Title:
  Dell Inspiron 15-3552 PCI/internal sound card not detected

Status in linux package in Ubuntu:
  New

Bug description:
  No sound, i.e. sound card not properly detected
  can't really say much about that - tried to google
  for intel corporation device 2284 and there are postings about
  a working driver which i couldn't track down

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu4
  ProcVersionSignature: Ubuntu 3.13.0-165.215-generic 3.13.11-ckt39
  Uname: Linux 3.13.0-165-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.29
  Architecture: amd64
  AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
  CurrentDesktop: Unity
  Date: Thu Mar  7 20:37:39 2019
  DistributionChannelDescriptor:
   # This is a distribution channel descriptor
   # For more information see 
http://wiki.ubuntu.com/DistributionChannelDescriptor
   canonical-oem-somerville-trusty-amd64-20140620-0
  InstallationDate: Installed on 2018-01-21 (410 days ago)
  InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 
20140620-04:25
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Title: PCI/internal sound card not detected
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/27/2017
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 4.2.0
  dmi.board.name: 0M08DC
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: Not Specified
  dmi.modalias: 
dmi:bvnDellInc.:bvr4.2.0:bd10/27/2017:svnDellInc.:pnInspiron15-3552:pvr4.2.0:rvnDellInc.:rn0M08DC:rvrA00:cvnDellInc.:ct8:cvrNotSpecified:
  dmi.product.name: Inspiron 15-3552
  dmi.product.version: 4.2.0
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1819048/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1819048] [NEW] Dell Inspiron 15-3552 PCI/internal sound card not detected

2019-03-07 Thread Launchpad Bug Tracker
You have been subscribed to a public bug:

No sound, i.e. sound card not properly detected
can't really say much about that - tried to google
for intel corporation device 2284 and there are postings about
a working driver which i couldn't track down

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: alsa-base 1.0.25+dfsg-0ubuntu4
ProcVersionSignature: Ubuntu 3.13.0-165.215-generic 3.13.11-ckt39
Uname: Linux 3.13.0-165-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.29
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
CurrentDesktop: Unity
Date: Thu Mar  7 20:37:39 2019
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-trusty-amd64-20140620-0
InstallationDate: Installed on 2018-01-21 (410 days ago)
InstallationMedia: Ubuntu 14.04 "Trusty" - Build amd64 LIVE Binary 
20140620-04:25
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Title: PCI/internal sound card not detected
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/27/2017
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 4.2.0
dmi.board.name: 0M08DC
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: Not Specified
dmi.modalias: 
dmi:bvnDellInc.:bvr4.2.0:bd10/27/2017:svnDellInc.:pnInspiron15-3552:pvr4.2.0:rvnDellInc.:rn0M08DC:rvrA00:cvnDellInc.:ct8:cvrNotSpecified:
dmi.product.name: Inspiron 15-3552
dmi.product.version: 4.2.0
dmi.sys.vendor: Dell Inc.

** Affects: linux (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug trusty
-- 
Dell Inspiron 15-3552 PCI/internal sound card not detected
https://bugs.launchpad.net/bugs/1819048
You received this bug notification because you are a member of Kernel Packages, 
which is subscribed to linux in Ubuntu.

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1721987] Re: No sound from right audio channel

2019-03-07 Thread David
Hey guys, i got also a Matebook x and got the same bug.

I am really new with Ubuntu and my english is not the best, so maybe someone 
can help me here.
I testet update to Ubuntu 18.10 (4.18 gen) from 18.04 (4.15.0 gen) and testet 
on 18.10 with 4.15.18-041518-generic, still dont work.

I tried to install the script from above, but only got "command not found" 
message (alsa-tools is instal.)
(start script bash ./huawei-sound.sh, is that right )

I dont understand, how i install the patch or the script, maybe someone
can explain me this for stupid... :c

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1721987

Title:
  No sound from right audio channel

Status in Linux:
  Confirmed
Status in linux package in Ubuntu:
  Confirmed

Bug description:
  No audio comes out of the right speaker on the laptop.  When playing a
  test video such as https://www.youtube.com/watch?v=hTvJoYnpeRQ the
  right-channel audio is never heard (i.e., it does not get converted
  into mono and played through the left speaker).

  When plugging in headphones, audio is heard from both channels.

  In Windows, both speakers work, so it is not a physical problem with
  the speakers.

  ProblemType: Bug
  DistroRelease: Ubuntu 17.10
  Package: linux-image-4.13.0-12-generic 4.13.0-12.13 [modified: 
boot/vmlinuz-4.13.0-12-generic]
  ProcVersionSignature: Ubuntu 4.13.0-12.13-generic 4.13.3
  Uname: Linux 4.13.0-12-generic x86_64
  ApportVersion: 2.20.7-0ubuntu1
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  user   1127 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Sat Oct  7 12:58:01 2017
  InstallationDate: Installed on 2017-10-07 (0 days ago)
  InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170926)
  MachineType: HUAWEI HUAWEI MateBook X
  ProcEnviron:
   PATH=(custom, no username)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.13.0-12-generic.efi.signed 
root=UUID=f0a69f35-7c1e-4280-b325-6b7fec6e174a ro quiet splash vt.handoff=7
  RelatedPackageVersions:
   linux-restricted-modules-4.13.0-12-generic N/A
   linux-backports-modules-4.13.0-12-generic  N/A
   linux-firmware 1.168
  SourcePackage: linux
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 08/14/2017
  dmi.bios.vendor: HUAWEI
  dmi.bios.version: 1.12
  dmi.board.name: HUAWEI MateBook X
  dmi.board.vendor: HUAWEI
  dmi.board.version: 2.0
  dmi.chassis.type: 10
  dmi.chassis.vendor: HUAWEI
  dmi.modalias: 
dmi:bvnHUAWEI:bvr1.12:bd08/14/2017:svnHUAWEI:pnHUAWEIMateBookX:pvr2.0:rvnHUAWEI:rnHUAWEIMateBookX:rvr2.0:cvnHUAWEI:ct10:cvr:
  dmi.product.family: HUAWEI MateBook
  dmi.product.name: HUAWEI MateBook X
  dmi.product.version: 2.0
  dmi.sys.vendor: HUAWEI

To manage notifications about this bug go to:
https://bugs.launchpad.net/linux/+bug/1721987/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1573508] Re: nvidia-*: nvidia-* kernel module failed to build [error: too many arguments to function ‘get_user_pages’]

2019-03-07 Thread Jarno Suni
Bug #1819077

** Tags removed: verification-needed-xenial
** Tags added: verification-failed-xenial

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to nvidia-graphics-drivers-384 in Ubuntu.
https://bugs.launchpad.net/bugs/1573508

Title:
  nvidia-*: nvidia-* kernel module failed to build [error: too many
  arguments to function ‘get_user_pages’]

Status in nvidia-graphics-drivers-304 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-340 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-384 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-304 source package in Trusty:
  Fix Committed
Status in nvidia-graphics-drivers-340 source package in Trusty:
  Fix Committed
Status in nvidia-graphics-drivers-361 source package in Trusty:
  Invalid
Status in nvidia-graphics-drivers-384 source package in Trusty:
  Fix Committed
Status in nvidia-graphics-drivers-304 source package in Xenial:
  Fix Committed
Status in nvidia-graphics-drivers-340 source package in Xenial:
  Fix Committed
Status in nvidia-graphics-drivers-361 source package in Xenial:
  Invalid
Status in nvidia-graphics-drivers-384 source package in Xenial:
  Fix Committed

Bug description:
  NA

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: nvidia-361 361.42-0ubuntu2
  ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
  Uname: Linux 4.4.0-21-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  DKMSKernelVersion: 4.6.0-040600rc4-lowlatency
  Date: Fri Apr 22 15:43:10 2016
  DuplicateSignature: 
dkms:nvidia-361:361.42-0ubuntu2:/var/lib/dkms/nvidia-361/361.42/build/nvidia/os-mlock.c:119:11:
 error: too many arguments to function ‘get_user_pages’
  InstallationDate: Installed on 2016-04-22 (0 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  PackageVersion: 361.42-0ubuntu2
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1
   apt  1.2.10ubuntu1
  SourcePackage: nvidia-graphics-drivers-361
  Title: nvidia-361 361.42-0ubuntu2: nvidia-361 kernel module failed to build
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-304/+bug/1573508/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1788997] Re: rtl8723be wifi does not work under linux-modules-extra-4.15.0-33-generic

2019-03-07 Thread royden
I guess folk like myself who upgraded to Cosmic and 4.18 have a working
wifi with ant_sel=1. Bionic has the problem, ironically given that it is
LTS.

BTW, I suspect there are other issues with the rtl8723be under 4.18 - my
connection stalls after a while, until modprobe -r && modprobe then all
is well again

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1788997

Title:
  rtl8723be wifi does not work under linux-modules-
  extra-4.15.0-33-generic

Status in linux package in Ubuntu:
  Confirmed
Status in linux source package in Bionic:
  Confirmed

Bug description:
  When starting Xubuntu 18.04.1 LTS on a laptop HP 1S-af023ng with
  kernel 4.15.0-32.35 amd64, wifi via rtl8723be works OK.

  Using actual 4.15.0-33.36 amd64 instead, rtl8723be doesn't find any
  wifi networks and thus there is no connection. Changing the antenna
  setup in /etc/modprobe.d/rtl8723be_options.conf doesn't help either;
  as a workaround an external wifi device (Gigaset USB Adapter 108)
  works.

  The expectation is that wifi through rtl8723be will still work under 
4.15.0-33.36 as it did previously.
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC1:  al 1234 F pulseaudio
   /dev/snd/controlC0:  al 1234 F pulseaudio
  CurrentDesktop: XFCE
  DistroRelease: Ubuntu 18.04
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2018-05-27 (89 days ago)
  InstallationMedia: Xubuntu 18.04 LTS "Bionic Beaver" - Release amd64 
(20180426)
  MachineType: Hewlett-Packard HP Notebook
  Package: linux (not installed)
  ProcFB: 0 radeondrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-33-generic 
root=UUID=32ea87b7-f595-4137-a54b-55838586f720 ro quiet splash vt.handoff=1
  ProcVersionSignature: Ubuntu 4.15.0-33.36-generic 4.15.18
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-33-generic N/A
   linux-backports-modules-4.15.0-33-generic  N/A
   linux-firmware 1.173.1
  Tags:  bionic
  Uname: Linux 4.15.0-33-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 04/01/2015
  dmi.bios.vendor: Insyde
  dmi.bios.version: F.02
  dmi.board.asset.tag: Base Board Asset Tag
  dmi.board.name: 8137
  dmi.board.vendor: Hewlett-Packard
  dmi.board.version: 99.02
  dmi.chassis.asset.tag: Chassis Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: Hewlett-Packard
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsyde:bvrF.02:bd04/01/2015:svnHewlett-Packard:pnHPNotebook:pvrType1ProductConfigId:rvnHewlett-Packard:rn8137:rvr99.02:cvnHewlett-Packard:ct10:cvrChassisVersion:
  dmi.product.family: 103C_5335KV G=N L=CON B=HP
  dmi.product.name: HP Notebook
  dmi.product.version: Type1ProductConfigId
  dmi.sys.vendor: Hewlett-Packard

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1788997/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1816947] Re: [Dell XPS L321X] Touchpad not working after last apt-get upgrade

2019-03-07 Thread yoshiki2
Hello.
I have the same laptop.. It malfunctions all the time. The touchpad has to be 
used slowly or it freezes. and I am unable to drag and select/move text..
I can see there was a simillar bug to this..
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1048258
Some interesting information about these drivers.. project sputnik?
https://bartongeorge.io/2012/06/20/sputnik-update-touchpad-driver-now-available/
Let me know If i can help with something else.. thanks

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1816947

Title:
  [Dell XPS L321X] Touchpad not working after last apt-get upgrade

Status in libinput package in Ubuntu:
  Invalid
Status in linux package in Ubuntu:
  Incomplete

Bug description:
  The touchpad doesn't work unless the cursor is moved slowly.

  WORKAROUND: Execute at a terminal:
  sudo modprobe -r psmouse
  sudo modprobe psmouse proto=imps

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xorg 1:7.7+19ubuntu8
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu19
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperVersion: 1.402
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Feb 21 02:56:45 2019
  DistUpgraded: Fresh install
  DistroCodename: disco
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation 2nd Generation Core Processor Family Integrated Graphics 
Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
     Subsystem: Dell 2nd Generation Core Processor Family Integrated Graphics 
Controller [1028:052e]
  LiveMediaBuild: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20190203)
  MachineType: Dell Inc. Dell System XPS L321X
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=C.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper 
initrd=/casper/initrd quiet splash --- maybe-ubiquity
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 12/27/2011
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A01
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 0.1
  dmi.modalias: 
dmi:bvnDellInc.:bvrA01:bd12/27/2011:svnDellInc.:pnDellSystemXPSL321X:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr0.1:
  dmi.product.family: HuronRiver System
  dmi.product.name: Dell System XPS L321X
  dmi.product.sku: System SKUNumber
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.97-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.3.2-1ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.3-1ubuntu1
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20180925-2
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1
  ---
  ProblemType: Bug
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperVersion: 1.394
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroRelease: Ubuntu 18.04
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation 2nd Generation Core Processor Family Integrated Graphics 
Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
     Subsystem: Dell 2nd Generation Core Processor Family Integrated Graphics 
Controller [1028:052e]
  LiveMediaBuild: Ubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 (20190210)
  MachineType: Dell Inc. Dell System XPS L321X
  Package: libinput (not installed)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper 
initrd=/casper/initrd quiet splash --- maybe-ubiquity
  ProcVersionSignature: Ubuntu 4.18.0-15.16~18.04.1-generic 4.18.20
  Tags:  bionic ubuntu
  Uname: Linux 4.18.0-15-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 12/27/2011
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A01
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 0.1
  dmi.modalias: 
dmi:bvnDellInc.:bvrA01:bd12/27/2011:svnDellInc.:pnDellSystemXPSL321X:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr0.1:
  dmi.product.family: HuronRiver System
  dmi.product.name: Dell System XPS L321X
  dmi.product.sku: System SKUNumber
  dmi.sys.vendor: Dell Inc.
  version.compiz: 

[Kernel-packages] [Bug 1816947] Re: [Dell XPS L321X] Touchpad not working after last apt-get upgrade

2019-03-07 Thread yoshiki2
Hello. I am running the same os, on the same laptop.. On my case besides having 
the move the mouse slowly it prevents me from clicking and dragging.. or from 
selecting text..
Any more information that you need
?

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1816947

Title:
  [Dell XPS L321X] Touchpad not working after last apt-get upgrade

Status in libinput package in Ubuntu:
  Invalid
Status in linux package in Ubuntu:
  Incomplete

Bug description:
  The touchpad doesn't work unless the cursor is moved slowly.

  WORKAROUND: Execute at a terminal:
  sudo modprobe -r psmouse
  sudo modprobe psmouse proto=imps

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xorg 1:7.7+19ubuntu8
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu19
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperVersion: 1.402
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Feb 21 02:56:45 2019
  DistUpgraded: Fresh install
  DistroCodename: disco
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation 2nd Generation Core Processor Family Integrated Graphics 
Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
     Subsystem: Dell 2nd Generation Core Processor Family Integrated Graphics 
Controller [1028:052e]
  LiveMediaBuild: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20190203)
  MachineType: Dell Inc. Dell System XPS L321X
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=C.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper 
initrd=/casper/initrd quiet splash --- maybe-ubiquity
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 12/27/2011
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A01
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 0.1
  dmi.modalias: 
dmi:bvnDellInc.:bvrA01:bd12/27/2011:svnDellInc.:pnDellSystemXPSL321X:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr0.1:
  dmi.product.family: HuronRiver System
  dmi.product.name: Dell System XPS L321X
  dmi.product.sku: System SKUNumber
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.97-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.3.2-1ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.3-1ubuntu1
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20180925-2
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1
  ---
  ProblemType: Bug
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperVersion: 1.394
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  DistUpgraded: Fresh install
  DistroCodename: bionic
  DistroRelease: Ubuntu 18.04
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation 2nd Generation Core Processor Family Integrated Graphics 
Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
     Subsystem: Dell 2nd Generation Core Processor Family Integrated Graphics 
Controller [1028:052e]
  LiveMediaBuild: Ubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 (20190210)
  MachineType: Dell Inc. Dell System XPS L321X
  Package: libinput (not installed)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: file=/cdrom/preseed/username.seed boot=casper 
initrd=/casper/initrd quiet splash --- maybe-ubiquity
  ProcVersionSignature: Ubuntu 4.18.0-15.16~18.04.1-generic 4.18.20
  Tags:  bionic ubuntu
  Uname: Linux 4.18.0-15-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 12/27/2011
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A01
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: 0.1
  dmi.modalias: 
dmi:bvnDellInc.:bvrA01:bd12/27/2011:svnDellInc.:pnDellSystemXPSL321X:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr0.1:
  dmi.product.family: HuronRiver System
  dmi.product.name: Dell System XPS L321X
  dmi.product.sku: System SKUNumber
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.95-1~18.04.1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.2.2-0ubuntu1~18.04.2
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.2.2-0ubuntu1~18.04.2
  version.xserver-xorg-core: xserver-xorg-core N/A
  

[Kernel-packages] [Bug 1655280] Re: ISST-LTE:pVM:roselp4:ubuntu 16.04: cp: error reading '/proc/vmcore': Bad address when trying to dump vmcore

2019-03-07 Thread Manoj Iyer
** Description changed:

+ [Impact]
+ After a DLPAR memory/CPU add/remove operation, kdump tools need to be 
restarted or else kdump tools will fail to capture the crash. 
+ 
+ [Test]
+ 
  == Comment: #0 - Ping Tian Han  - 2017-01-09 02:51:00 ==
  ---Problem Description---
  Vmcore cannot be saved when triggering bug 150353 on roselp4:
  
  Copying data   : [  2.0 %] \/usr/sbin/kdump-config: line 
591:  5502 Bus error   makedumpfile $MAKEDUMP_ARGS $vmcore_file 
$KDUMP_CORETEMP
  [  512.833872] kdump-tools[5450]:  * kdump-tools: makedumpfile failed, 
falling back to 'cp'
  [  573.595449] kdump-tools[5450]: cp: error reading '/proc/vmcore': Bad 
address
  [  573.605717] kdump-tools[5450]:  * kdump-tools: failed to save vmcore in 
/var/crash/201701090223
  [  573.765417] kdump-tools[5450]:  * running makedumpfile --dump-dmesg 
/proc/vmcore /var/crash/201701090223/dmesg.201701090223
  [  574.285506] kdump-tools[5450]: The kernel version is not supported.
  [  574.285672] kdump-tools[5450]: The makedumpfile operation may be 
incomplete.
  [  574.285767] kdump-tools[5450]: The dmesg log is saved to 
/var/crash/201701090223/dmesg.201701090223.
  [  574.305422] kdump-tools[5450]: makedumpfile Completed.
  [  574.315363] kdump-tools[5450]:  * kdump-tools: saved dmesg content in 
/var/crash/201701090223
  [  574.615688] kdump-tools[5450]: Mon, 09 Jan 2017 02:24:26 -0600
  [  574.705384] kdump-tools[5450]: Rebooting.
-  Stopping ifup for ib0...
+  Stopping ifup for ib0...
  [  OK  ] Stopped ifup for ib0.
  [ 1008.579897] reboot: Restarting system
-  
- Contact Information = Ping Tian Han/pt...@cn.ibm.com Carrie 
Mitsuyoshi/carri...@us.ibm.com 
-  
+ 
+ Contact Information = Ping Tian Han/pt...@cn.ibm.com Carrie
+ Mitsuyoshi/carri...@us.ibm.com
+ 
  ---uname output---
  Linux roselp4 4.8.0-34-generic #36~16.04.1-Ubuntu SMP Wed Dec 21 18:53:20 UTC 
2016 ppc64le ppc64le ppc64le GNU/Linux
-  
- Machine Type = lpar 
-  
+ 
+ Machine Type = lpar
+ 
  ---Debugger---
  A debugger is not configured
-  
+ 
  ---Steps to Reproduce---
-  1. config kdump on roselp4
+  1. config kdump on roselp4
  2. try to trigger bug 150353
  
-  
- *Additional Instructions for Ping Tian Han/pt...@cn.ibm.com Carrie 
Mitsuyoshi/carri...@us.ibm.com: 
+ *Additional Instructions for Ping Tian Han/pt...@cn.ibm.com Carrie 
Mitsuyoshi/carri...@us.ibm.com:
  -Post a private note with access information to the machine that the bug is 
occuring on.
  
  == Comment: #3 - Brahadambal Srinivasan  -
  2017-01-10 02:42:25 ==
  
  root@roselp4:~# cat /proc/cmdline
  BOOT_IMAGE=/boot/vmlinux-4.8.0-34-generic 
root=UUID=0bcf3431-df8b-499c-9a13-33070f242e0c ro splash quiet 
crashkernel=384M-:512M
  
  root@roselp4:~# dmesg | grep Reser
  [0.00] Reserving 512MB of memory at 128MB for crashkernel (System 
RAM: 21760MB)
+ 
+ [Regression Potential]
+ The fix applies to makedumpfile, and could impact dump capture.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to makedumpfile in Ubuntu.
https://bugs.launchpad.net/bugs/1655280

Title:
  ISST-LTE:pVM:roselp4:ubuntu 16.04: cp: error reading '/proc/vmcore':
  Bad address when trying to dump vmcore

Status in The Ubuntu-power-systems project:
  In Progress
Status in linux package in Ubuntu:
  Invalid
Status in makedumpfile package in Ubuntu:
  Fix Released
Status in linux source package in Xenial:
  Invalid
Status in makedumpfile source package in Xenial:
  New
Status in linux source package in Bionic:
  Invalid
Status in makedumpfile source package in Bionic:
  New
Status in linux source package in Cosmic:
  Invalid
Status in makedumpfile source package in Cosmic:
  In Progress
Status in linux source package in Disco:
  Invalid
Status in makedumpfile source package in Disco:
  Fix Released

Bug description:
  [Impact]
  After a DLPAR memory/CPU add/remove operation, kdump tools need to be 
restarted or else kdump tools will fail to capture the crash. 

  [Test]

  == Comment: #0 - Ping Tian Han  - 2017-01-09 02:51:00 ==
  ---Problem Description---
  Vmcore cannot be saved when triggering bug 150353 on roselp4:

  Copying data   : [  2.0 %] \/usr/sbin/kdump-config: line 
591:  5502 Bus error   makedumpfile $MAKEDUMP_ARGS $vmcore_file 
$KDUMP_CORETEMP
  [  512.833872] kdump-tools[5450]:  * kdump-tools: makedumpfile failed, 
falling back to 'cp'
  [  573.595449] kdump-tools[5450]: cp: error reading '/proc/vmcore': Bad 
address
  [  573.605717] kdump-tools[5450]:  * kdump-tools: failed to save vmcore in 
/var/crash/201701090223
  [  573.765417] kdump-tools[5450]:  * running makedumpfile --dump-dmesg 
/proc/vmcore /var/crash/201701090223/dmesg.201701090223
  [  574.285506] kdump-tools[5450]: The kernel version is not supported.
  [  574.285672] kdump-tools[5450]: The makedumpfile operation may be 
incomplete.
  [  574.285767] kdump-tools[5450]: The dmesg log is saved to 

[Kernel-packages] [Bug 1818580] Re: [Medion MS-7616] [drm:amdgpu_init [amdgpu]] *ERROR* VGACON disables amdgpu kernel modesetting.

2019-03-07 Thread elhoir
@Christopher, 
i`m afraid kernel 4.19.0-7.8 does NOT work.
Here is the complete mesg output for that kernel

** Attachment added: "complete-dmesg-linux-4.19.0-7-lowlatency.txt"
   
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818580/+attachment/5244572/+files/complete-dmesg-linux-4.19.0-7-lowlatency.txt

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818580

Title:
  [Medion MS-7616] [drm:amdgpu_init [amdgpu]] *ERROR* VGACON disables
  amdgpu kernel modesetting.

Status in linux package in Ubuntu:
  Incomplete

Bug description:
  I cannot boot PC normally, i must use recovery mode.

  Full dmesg after modprobe'ing amdgpu demonstrating call trace and lead up:
  
https://launchpadlibrarian.net/414079136/complete-dmesg-after-modprobe-amdgpu.txt

  WORKAROUND: Use kernel parameter:
  nomodeset
  OR:
  modprobe.blacklist=amdgpu

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xserver-xorg-video-amdgpu 18.1.99+git20190207-1
  ProcVersionSignature: Ubuntu 5.0.0-7.8-lowlatency 5.0.0
  Uname: Linux 5.0.0-7-lowlatency x86_64
  .tmp.unity_support_test.1:

  ApportVersion: 2.20.10-0ubuntu21
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: XFCE
  Date: Tue Mar  5 00:59:48 2019
  DistUpgraded: 2019-02-07 01:41:15,390 DEBUG Running PostInstallScript: 
'./xorg_fix_proprietary.py'
  DistroCodename: disco
  DistroVariant: ubuntu
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 
470/480/570/570X/580/580X] [1002:67df] (rev cf) (prog-if 00 [VGA controller])
     Subsystem: PC Partner Limited / Sapphire Technology Ellesmere [Radeon RX 
470/480/570/570X/580/580X/590] [174b:353e]
  InstallationDate: Installed on 2012-02-27 (2562 days ago)
  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
  MachineType: MEDIONPC MS-7616
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-7-lowlatency 
root=UUID=cded073e-f845-4947-970b-f8a4290c4c2b ro quiet splash acpi_osi=Linux 
nomodeset crashkernel=384M-:128M crashkernel=384M-2G:128M,2G-:256M 
crashkernel=512M-:192M vt.handoff=1
  SourcePackage: xserver-xorg-video-amdgpu
  UpgradeStatus: Upgraded to disco on 2019-02-07 (25 days ago)
  dmi.bios.date: 01/15/2010
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: A7616MLN.10F
  dmi.board.asset.tag: To Be Filled By O.E.M.
  dmi.board.name: MS-7616
  dmi.board.vendor: MEDIONPC
  dmi.board.version: 1.0
  dmi.chassis.type: 3
  dmi.chassis.vendor: MEDIONPC
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrA7616MLN.10F:bd01/15/2010:svnMEDIONPC:pnMS-7616:pvr1.0:rvnMEDIONPC:rnMS-7616:rvr1.0:cvnMEDIONPC:ct3:cvr:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: MS-7616
  dmi.product.sku: To Be Filled By O.E.M.
  dmi.product.version: 1.0
  dmi.sys.vendor: MEDIONPC
  version.compiz: compiz 1:0.9.14.0+19.04.20190219-0ubuntu1
  version.libdrm2: libdrm2 2.4.97-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.3.4-1ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.3.4-1ubuntu1
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.3-1ubuntu1
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.99+git20190207-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20180925-2
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818580/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818580] Re: [Medion MS-7616] [drm:amdgpu_init [amdgpu]] *ERROR* VGACON disables amdgpu kernel modesetting.

2019-03-07 Thread elhoir
mesg==dmesg

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818580

Title:
  [Medion MS-7616] [drm:amdgpu_init [amdgpu]] *ERROR* VGACON disables
  amdgpu kernel modesetting.

Status in linux package in Ubuntu:
  Incomplete

Bug description:
  I cannot boot PC normally, i must use recovery mode.

  Full dmesg after modprobe'ing amdgpu demonstrating call trace and lead up:
  
https://launchpadlibrarian.net/414079136/complete-dmesg-after-modprobe-amdgpu.txt

  WORKAROUND: Use kernel parameter:
  nomodeset
  OR:
  modprobe.blacklist=amdgpu

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: xserver-xorg-video-amdgpu 18.1.99+git20190207-1
  ProcVersionSignature: Ubuntu 5.0.0-7.8-lowlatency 5.0.0
  Uname: Linux 5.0.0-7-lowlatency x86_64
  .tmp.unity_support_test.1:

  ApportVersion: 2.20.10-0ubuntu21
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: XFCE
  Date: Tue Mar  5 00:59:48 2019
  DistUpgraded: 2019-02-07 01:41:15,390 DEBUG Running PostInstallScript: 
'./xorg_fix_proprietary.py'
  DistroCodename: disco
  DistroVariant: ubuntu
  GraphicsCard:
   Advanced Micro Devices, Inc. [AMD/ATI] Ellesmere [Radeon RX 
470/480/570/570X/580/580X] [1002:67df] (rev cf) (prog-if 00 [VGA controller])
     Subsystem: PC Partner Limited / Sapphire Technology Ellesmere [Radeon RX 
470/480/570/570X/580/580X/590] [174b:353e]
  InstallationDate: Installed on 2012-02-27 (2562 days ago)
  InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
  MachineType: MEDIONPC MS-7616
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.0.0-7-lowlatency 
root=UUID=cded073e-f845-4947-970b-f8a4290c4c2b ro quiet splash acpi_osi=Linux 
nomodeset crashkernel=384M-:128M crashkernel=384M-2G:128M,2G-:256M 
crashkernel=512M-:192M vt.handoff=1
  SourcePackage: xserver-xorg-video-amdgpu
  UpgradeStatus: Upgraded to disco on 2019-02-07 (25 days ago)
  dmi.bios.date: 01/15/2010
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: A7616MLN.10F
  dmi.board.asset.tag: To Be Filled By O.E.M.
  dmi.board.name: MS-7616
  dmi.board.vendor: MEDIONPC
  dmi.board.version: 1.0
  dmi.chassis.type: 3
  dmi.chassis.vendor: MEDIONPC
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrA7616MLN.10F:bd01/15/2010:svnMEDIONPC:pnMS-7616:pvr1.0:rvnMEDIONPC:rnMS-7616:rvr1.0:cvnMEDIONPC:ct3:cvr:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: MS-7616
  dmi.product.sku: To Be Filled By O.E.M.
  dmi.product.version: 1.0
  dmi.sys.vendor: MEDIONPC
  version.compiz: compiz 1:0.9.14.0+19.04.20190219-0ubuntu1
  version.libdrm2: libdrm2 2.4.97-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.3.4-1ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.3.4-1ubuntu1
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.3-1ubuntu1
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.1.99+git20190207-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20180925-2
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818580/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1048258] Re: Cypress trackpad gets psmouse lost sync / driver resynced warnings

2019-03-07 Thread yoshiki2
@Kyle Fazzary this bug came out once again on the last ubuntu version. Is there 
a way this can be patched once again?
Thanks

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1048258

Title:
  Cypress trackpad gets psmouse lost sync / driver resynced warnings

Status in Dell Sputnik:
  Fix Released
Status in linux package in Ubuntu:
  Triaged
Status in linux source package in Precise:
  Fix Released
Status in linux source package in Quantal:
  Fix Released

Bug description:
  I installed Kubuntu 12.04 with ppa suggested on this forum but I still
  have intermittent problem with touchpad.I also install kde-config-
  touchpad and have full control on touchpad(ex.: disable when mouse
  plugged).

  It work like I want but after come back from sleep mode, I got error message 
about synaptics and the syslog look like this:
  Sep  9 10:28:34 XPS-L321X kernel: [ 6839.441575] psmouse serio1: Trackpad at 
isa0060/serio1/input0 lost sync at byte 1
  Sep  9 10:28:34 XPS-L321X kernel: [ 6839.442852] psmouse serio1: Trackpad at 
isa0060/serio1/input0 - driver resynced.

  These lines are repeated in infinite loop.

  I tried these command:
  sudo modprobe -r psmouse
  sudo modprobe psmouse

  It reassign input:
  input: CyPS/2 Cypress as /devices/platform/i8042/serio1/input/input17
  It stop the loop for 2 minutes and start again

  Only way to fix is restart x session

To manage notifications about this bug go to:
https://bugs.launchpad.net/dell-sputnik/+bug/1048258/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1776563] Re: Acer Aspire A315 IOAPIC failure on Ubuntu 18.04, kernel hangs, can't load, kernel freeze (AMD Ryzen 5/Radeon/Raven) / AMDGPU Hybrid crash

2019-03-07 Thread Aroiu Ovidiu
Did you try all this parameters together? Or in what combination?

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-firmware in Ubuntu.
https://bugs.launchpad.net/bugs/1776563

Title:
  Acer Aspire A315 IOAPIC failure on Ubuntu 18.04, kernel hangs, can't
  load, kernel freeze  (AMD Ryzen 5/Radeon/Raven) / AMDGPU Hybrid crash

Status in amd:
  Fix Released
Status in Linux:
  Incomplete
Status in linux package in Ubuntu:
  Triaged
Status in linux-firmware package in Ubuntu:
  Confirmed

Bug description:
  CPU: Ryzen 5 2500U
  VGA: Radeon 535
  Notebook: Acer Aspire A315

  This is a brand new notebook on the market with Ryzen 5/Radeon. 
  The default kernel of Ubuntu(18.04) hangs at loading with message:

  tsc: Refined TSC clocksource calibration: 1996.250 MHz
  clocksource: tsc: mask: 0x max_cycles: (...), max_idle_ns: 
(...) 
  Soft lockup

  Using pci=noacpi kernel parameter kernel loads without any problem but
  my notebook produces more heat than on Win10. If I know right Acer
  notebooks need ACPI to the correct power management.

  The same thing happens on mainline 4.17,4.18rc1-2.
  BIOS upgrade to the latest version: 1.08 hasn't helped

  This problem has been reported upstream:
  https://bugzilla.kernel.org/show_bug.cgi?id=200087

  The latest correctly working kernel was 4.13.* but the heat problem
  was present with this too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/amd/+bug/1776563/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818294] Re: HiSilicon HNS ethernet broken in 4.15.0-45

2019-03-07 Thread dann frazier
@directhex: Would you mind also testing a build of the HWE kernel?

http://people.canonical.com/~dannf/lp1818294/hwe/

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818294

Title:
  HiSilicon HNS ethernet broken in 4.15.0-45

Status in linux package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  In Progress
Status in linux source package in Cosmic:
  In Progress
Status in linux source package in Disco:
  Fix Released

Bug description:
  A number of HiSilicon patches were backported in
  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1810457 from
  5.0rc1.

  Subsequently, I lost networking on my Huawei TaiShan XR320 boards.

  There are 6 commits to drivers/net/ethernet/hisilicon/hns between
  5.0rc1 and (current) 5.0rc8 - and I know my networking works fine with
  a 5.0rc8 mainline build.

  Can we do another update run for the next 4.15.0 kernel service
  release, to include HiSilicon changes from 5.0rc8?

  CC @dannf
  --- 
  AlsaDevices:
   total 0
   crw-rw+ 1 root audio 116,  1 Mar  6 10:17 seq
   crw-rw+ 1 root audio 116, 33 Mar  6 10:17 timer
  AplayDevices: Error: [Errno 2] No such file or directory
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: arm64
  ArecordDevices: Error: [Errno 2] No such file or directory
  AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
  DistroRelease: Ubuntu 16.04
  HibernationDevice: RESUME=UUID=1422a627-9a9e-4928-ae58-8c33759cd27f
  IwConfig: Error: [Errno 2] No such file or directory
  MachineType: Huawei XR320
  Package: linux (not installed)
  PciMultimedia:
   
  ProcEnviron:
   TERM=linux
   PATH=(custom, no user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcFB: 0 hibmcdrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-43-generic 
root=UUID=55387aff-49ec-4252-80e0-c77e039d342f ro
  ProcVersionSignature: Ubuntu 4.15.0-43.46~16.04.1-generic 4.15.18
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-43-generic N/A
   linux-backports-modules-4.15.0-43-generic  N/A
   linux-firmware 1.157.21
  RfKill: Error: [Errno 2] No such file or directory
  Tags:  xenial xenial xenial xenial
  Uname: Linux 4.15.0-43-generic aarch64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:
   
  _MarkForUpload: True
  dmi.bios.date: 08/07/2018
  dmi.bios.vendor: Huawei
  dmi.bios.version: 1.54
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: BC81HPNA
  dmi.board.vendor: Huawei
  dmi.board.version: VER.A
  dmi.chassis.asset.tag: To be filled by O.E.M.
  dmi.chassis.type: 17
  dmi.chassis.vendor: Huawei
  dmi.chassis.version: To be filled by O.E.M.
  dmi.modalias: 
dmi:bvnHuawei:bvr1.54:bd08/07/2018:svnHuawei:pnXR320:pvrV100R001C00:rvnHuawei:rnBC81HPNA:rvrVER.A:cvnHuawei:ct17:cvrTobefilledbyO.E.M.:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: XR320
  dmi.product.version: V100R001C00
  dmi.sys.vendor: Huawei

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818294/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1778011] Re: SRU: PRIME Power Saving mode draws too much power

2019-03-07 Thread Fink Nottle
After spending some more time with this, I can confirm that this is
definitely a regression. Both nouveau and the old bbswitch based method
in 16.04 were able to power off the nvidia card successfully when not in
use. The current implementation of prime-select in 18.04 doesn't do
that. It may be that this is card or ACPI specific, but my hardware is
fairly old (2012 ivybridge with kepler GPU), and it doesn't work for it.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to nvidia-settings in Ubuntu.
https://bugs.launchpad.net/bugs/1778011

Title:
  SRU: PRIME Power Saving mode draws too much power

Status in HWE Next:
  New
Status in gdm3 package in Ubuntu:
  Fix Released
Status in nvidia-graphics-drivers-390 package in Ubuntu:
  Fix Released
Status in nvidia-prime package in Ubuntu:
  Fix Released
Status in nvidia-settings package in Ubuntu:
  Fix Released
Status in sddm package in Ubuntu:
  Confirmed
Status in ubuntu-drivers-common package in Ubuntu:
  Fix Released
Status in gdm3 source package in Bionic:
  Fix Released
Status in nvidia-graphics-drivers-390 source package in Bionic:
  Fix Released
Status in nvidia-prime source package in Bionic:
  Fix Released
Status in nvidia-settings source package in Bionic:
  Fix Released
Status in sddm source package in Bionic:
  Confirmed
Status in ubuntu-drivers-common source package in Bionic:
  Fix Released

Bug description:
  SRU Request:

  [Impact]
  Relying on the nouveau driver and on the vga switcheroo (to get around a 
change in systemd LP: #1777099) caused increased power consumption, and slowed 
down the switching process.

  Furthermore, if the main X/Xwayland session was started by Gdm when
  the nvidia driver was loaded, the session will keep the nvidia module
  loaded, and prevent the system from switching off the dGPU. Also, the
  nouveau driver will be loaded, if nvidia is not, and this can cause
  problems to unsupported NVIDIA GPUs.

  The solution involves the following changes:

  1) Solving the problem in systemd (LP: #1777099)

  2) Adding code in gpu-manager and in nvidia-prime to unload the nvidia
  modules, and to allow the PCI device to sleep.

  3) Making a slight change to the current patch in Gdm, used to call
  the PRIME scripts before and after a Gdm session (so that gpu-manager
  gets actually called on log out)

  4) Adding code in gpu-manager to kill the main X/Xwayland session on
  log out, if the session is preventing us from unloading the nvidia
  driver. A new X/Xwayland session will be created after unload the
  module.

  5) Removing the systemd service that loads nouveau from the nvidia
  packages.

  [Test Case]
  1) Enable the -proposed repository, and install the new 
"ubuntu-drivers-common", nvidia drivers, nvidia-prime, and gdm3 *

  2) Make sure the nvidia packages are installed, and enable performance mode 
(if it is already enabled, call "sudo prime-select intel" first):
  sudo prime-select nvidia

  3) Restart your computer and attach your /var/log/gpu-manager.log. see
  if the system boots correctly. If unsure, please attach your /var/log
  /gpu-manager.log and /var/log/Xorg.0.log

  4) Select power saving mode:
  sudo prime-select intel

  5) Log out and log back in

  6) Check if the nvidia driver is still loaded:
  lsmod | grep nvidia

  [Regression Potential]
  Low, as hybrid graphics support does not work correctly, and the changes only 
affect this use case.

  _
  * Steps to test the updates:

  1) Enable the bionic-proposed repositories

  2) Create /etc/apt/preferences.d/proposed-updates with the following
  content:

  Package: *
  Pin: release a=bionic-proposed
  Pin-Priority: 400

  3) Update the list of packages:

  sudo apt-get update

  4) Install the packages from -proposed using the following command:

  sudo apt install nvidia-driver-390/bionic-proposed gdm3/bionic-
  proposed ubuntu-drivers-common/bionic-proposed nvidia-prime/bionic-
  proposed nvidia-settings/bionic-proposed libnvidia-gl-390/bionic-
  proposed libnvidia-compute-390/bionic-proposed libnvidia-decode-390
  /bionic-proposed libnvidia-encode-390/bionic-proposed libnvidia-
  ifr1-390/bionic-proposed libnvidia-fbc1-390/bionic-proposed

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1778011/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1788997] Re: rtl8723be wifi does not work under linux-modules-extra-4.15.0-33-generic

2019-03-07 Thread Heribert Heckhoff
well, I have not seen any "officially released" kernel beyond 4.15.0-32,
that works .

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1788997

Title:
  rtl8723be wifi does not work under linux-modules-
  extra-4.15.0-33-generic

Status in linux package in Ubuntu:
  Confirmed
Status in linux source package in Bionic:
  Confirmed

Bug description:
  When starting Xubuntu 18.04.1 LTS on a laptop HP 1S-af023ng with
  kernel 4.15.0-32.35 amd64, wifi via rtl8723be works OK.

  Using actual 4.15.0-33.36 amd64 instead, rtl8723be doesn't find any
  wifi networks and thus there is no connection. Changing the antenna
  setup in /etc/modprobe.d/rtl8723be_options.conf doesn't help either;
  as a workaround an external wifi device (Gigaset USB Adapter 108)
  works.

  The expectation is that wifi through rtl8723be will still work under 
4.15.0-33.36 as it did previously.
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC1:  al 1234 F pulseaudio
   /dev/snd/controlC0:  al 1234 F pulseaudio
  CurrentDesktop: XFCE
  DistroRelease: Ubuntu 18.04
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2018-05-27 (89 days ago)
  InstallationMedia: Xubuntu 18.04 LTS "Bionic Beaver" - Release amd64 
(20180426)
  MachineType: Hewlett-Packard HP Notebook
  Package: linux (not installed)
  ProcFB: 0 radeondrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-33-generic 
root=UUID=32ea87b7-f595-4137-a54b-55838586f720 ro quiet splash vt.handoff=1
  ProcVersionSignature: Ubuntu 4.15.0-33.36-generic 4.15.18
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-33-generic N/A
   linux-backports-modules-4.15.0-33-generic  N/A
   linux-firmware 1.173.1
  Tags:  bionic
  Uname: Linux 4.15.0-33-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 04/01/2015
  dmi.bios.vendor: Insyde
  dmi.bios.version: F.02
  dmi.board.asset.tag: Base Board Asset Tag
  dmi.board.name: 8137
  dmi.board.vendor: Hewlett-Packard
  dmi.board.version: 99.02
  dmi.chassis.asset.tag: Chassis Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: Hewlett-Packard
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsyde:bvrF.02:bd04/01/2015:svnHewlett-Packard:pnHPNotebook:pvrType1ProductConfigId:rvnHewlett-Packard:rn8137:rvr99.02:cvnHewlett-Packard:ct10:cvrChassisVersion:
  dmi.product.family: 103C_5335KV G=N L=CON B=HP
  dmi.product.name: HP Notebook
  dmi.product.version: Type1ProductConfigId
  dmi.sys.vendor: Hewlett-Packard

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1788997/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1787743] Re: Slow USB mouse input on linux-lowlatency

2019-03-07 Thread Jeb E.
** Changed in: linux (Ubuntu)
   Status: Incomplete => Confirmed

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1787743

Title:
  Slow USB mouse input on linux-lowlatency

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  USB mouse input is very slow and "laggy" onscreen after switching over
  from the generic 'linux' kernel to 'linux-lowlatency.'

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: linux-lowlatency 4.15.0.32.34
  ProcVersionSignature: Ubuntu 4.15.0-32.35-lowlatency 4.15.18
  Uname: Linux 4.15.0-32-lowlatency x86_64
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC2:  jeb1710 F pulseaudio
   /dev/snd/controlC1:  jeb1710 F pulseaudio
   /dev/snd/controlC0:  jeb1710 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Sat Aug 18 12:41:52 2018
  InstallationDate: Installed on 2018-08-17 (1 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  MachineType: BIOSTAR Group A880G+
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcFB: 0 nouveaufb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-32-lowlatency 
root=UUID=a967adb1-1600-455b-8704-e2bf5de5081d ro quiet splash vt.handoff=1
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-32-lowlatency N/A
   linux-backports-modules-4.15.0-32-lowlatency  N/A
   linux-firmware1.173.1
  SourcePackage: linux
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 09/21/2011
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 080016
  dmi.board.asset.tag: To Be Filled By O.E.M.
  dmi.board.name: A880G+
  dmi.board.vendor: BIOSTAR Group
  dmi.chassis.asset.tag: None
  dmi.chassis.type: 3
  dmi.chassis.vendor: BIOSTAR Group
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr080016:bd09/21/2011:svnBIOSTARGroup:pnA880G+:pvr:rvnBIOSTARGroup:rnA880G+:rvr:cvnBIOSTARGroup:ct3:cvr:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: A880G+
  dmi.sys.vendor: BIOSTAR Group

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1787743/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818294] Re: HiSilicon HNS ethernet broken in 4.15.0-45

2019-03-07 Thread dann frazier
** Changed in: linux (Ubuntu Disco)
   Status: Incomplete => Fix Released

** Changed in: linux (Ubuntu Cosmic)
 Assignee: (unassigned) => dann frazier (dannf)

** Changed in: linux (Ubuntu Bionic)
 Assignee: (unassigned) => dann frazier (dannf)

** Changed in: linux (Ubuntu Cosmic)
   Status: Incomplete => In Progress

** Changed in: linux (Ubuntu Bionic)
   Status: Incomplete => In Progress

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818294

Title:
  HiSilicon HNS ethernet broken in 4.15.0-45

Status in linux package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  In Progress
Status in linux source package in Cosmic:
  In Progress
Status in linux source package in Disco:
  Fix Released

Bug description:
  A number of HiSilicon patches were backported in
  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1810457 from
  5.0rc1.

  Subsequently, I lost networking on my Huawei TaiShan XR320 boards.

  There are 6 commits to drivers/net/ethernet/hisilicon/hns between
  5.0rc1 and (current) 5.0rc8 - and I know my networking works fine with
  a 5.0rc8 mainline build.

  Can we do another update run for the next 4.15.0 kernel service
  release, to include HiSilicon changes from 5.0rc8?

  CC @dannf
  --- 
  AlsaDevices:
   total 0
   crw-rw+ 1 root audio 116,  1 Mar  6 10:17 seq
   crw-rw+ 1 root audio 116, 33 Mar  6 10:17 timer
  AplayDevices: Error: [Errno 2] No such file or directory
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: arm64
  ArecordDevices: Error: [Errno 2] No such file or directory
  AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
  DistroRelease: Ubuntu 16.04
  HibernationDevice: RESUME=UUID=1422a627-9a9e-4928-ae58-8c33759cd27f
  IwConfig: Error: [Errno 2] No such file or directory
  MachineType: Huawei XR320
  Package: linux (not installed)
  PciMultimedia:
   
  ProcEnviron:
   TERM=linux
   PATH=(custom, no user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcFB: 0 hibmcdrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-43-generic 
root=UUID=55387aff-49ec-4252-80e0-c77e039d342f ro
  ProcVersionSignature: Ubuntu 4.15.0-43.46~16.04.1-generic 4.15.18
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-43-generic N/A
   linux-backports-modules-4.15.0-43-generic  N/A
   linux-firmware 1.157.21
  RfKill: Error: [Errno 2] No such file or directory
  Tags:  xenial xenial xenial xenial
  Uname: Linux 4.15.0-43-generic aarch64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:
   
  _MarkForUpload: True
  dmi.bios.date: 08/07/2018
  dmi.bios.vendor: Huawei
  dmi.bios.version: 1.54
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: BC81HPNA
  dmi.board.vendor: Huawei
  dmi.board.version: VER.A
  dmi.chassis.asset.tag: To be filled by O.E.M.
  dmi.chassis.type: 17
  dmi.chassis.vendor: Huawei
  dmi.chassis.version: To be filled by O.E.M.
  dmi.modalias: 
dmi:bvnHuawei:bvr1.54:bd08/07/2018:svnHuawei:pnXR320:pvrV100R001C00:rvnHuawei:rnBC81HPNA:rvrVER.A:cvnHuawei:ct17:cvrTobefilledbyO.E.M.:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: XR320
  dmi.product.version: V100R001C00
  dmi.sys.vendor: Huawei

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818294/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Kernel-packages] [Bug 1818294] Re: HiSilicon HNS ethernet broken in 4.15.0-45

2019-03-07 Thread dann frazier
On Thu, Mar 7, 2019 at 1:20 PM directhex  wrote:
>
> I am online with +xr320.3
>
> So the fix is c77804be53369dd4c15bfc376cf9b45948194cab ?

Apparently.

> The commit message doesn't make it _seem_ relevant, except for the
> reference to 2b3e88ea65287ba738a798622405b15344871085 which makes it
> seem like maybe prior to c77804be53369dd4c15bfc376cf9b45948194cab the
> state checking is screwed? Which explains why the dmesg difference is
> just whether it detected a link up or not.

Yeah, the commit message describes a different problem than the one
you are seeing, but I suspect you were also broken by 308c6cafde01,
because that added the phy_stop() call.

On Thu, Mar 7, 2019 at 1:30 PM directhex  wrote:
>
> -   if (h->phy_if == PHY_INTERFACE_MODE_SGMII)
> -   phy_stop(phy_dev);
>
> ... if the interface supports sgmii, disable the device? Or am I reading
> that wrong

It stops the underlying phy, but it should be started again when the
interface is brought up (hns_nic_net_up()). I don't know why it isn't
- perhaps another side-effect of calling phy_stop() before
phy_start(). Thanks for testing - I'll get this fix submitted.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818294

Title:
  HiSilicon HNS ethernet broken in 4.15.0-45

Status in linux package in Ubuntu:
  Incomplete
Status in linux source package in Bionic:
  Incomplete
Status in linux source package in Cosmic:
  Incomplete
Status in linux source package in Disco:
  Incomplete

Bug description:
  A number of HiSilicon patches were backported in
  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1810457 from
  5.0rc1.

  Subsequently, I lost networking on my Huawei TaiShan XR320 boards.

  There are 6 commits to drivers/net/ethernet/hisilicon/hns between
  5.0rc1 and (current) 5.0rc8 - and I know my networking works fine with
  a 5.0rc8 mainline build.

  Can we do another update run for the next 4.15.0 kernel service
  release, to include HiSilicon changes from 5.0rc8?

  CC @dannf
  --- 
  AlsaDevices:
   total 0
   crw-rw+ 1 root audio 116,  1 Mar  6 10:17 seq
   crw-rw+ 1 root audio 116, 33 Mar  6 10:17 timer
  AplayDevices: Error: [Errno 2] No such file or directory
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: arm64
  ArecordDevices: Error: [Errno 2] No such file or directory
  AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
  DistroRelease: Ubuntu 16.04
  HibernationDevice: RESUME=UUID=1422a627-9a9e-4928-ae58-8c33759cd27f
  IwConfig: Error: [Errno 2] No such file or directory
  MachineType: Huawei XR320
  Package: linux (not installed)
  PciMultimedia:
   
  ProcEnviron:
   TERM=linux
   PATH=(custom, no user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcFB: 0 hibmcdrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-43-generic 
root=UUID=55387aff-49ec-4252-80e0-c77e039d342f ro
  ProcVersionSignature: Ubuntu 4.15.0-43.46~16.04.1-generic 4.15.18
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-43-generic N/A
   linux-backports-modules-4.15.0-43-generic  N/A
   linux-firmware 1.157.21
  RfKill: Error: [Errno 2] No such file or directory
  Tags:  xenial xenial xenial xenial
  Uname: Linux 4.15.0-43-generic aarch64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:
   
  _MarkForUpload: True
  dmi.bios.date: 08/07/2018
  dmi.bios.vendor: Huawei
  dmi.bios.version: 1.54
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: BC81HPNA
  dmi.board.vendor: Huawei
  dmi.board.version: VER.A
  dmi.chassis.asset.tag: To be filled by O.E.M.
  dmi.chassis.type: 17
  dmi.chassis.vendor: Huawei
  dmi.chassis.version: To be filled by O.E.M.
  dmi.modalias: 
dmi:bvnHuawei:bvr1.54:bd08/07/2018:svnHuawei:pnXR320:pvrV100R001C00:rvnHuawei:rnBC81HPNA:rvrVER.A:cvnHuawei:ct17:cvrTobefilledbyO.E.M.:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: XR320
  dmi.product.version: V100R001C00
  dmi.sys.vendor: Huawei

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818294/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818294] Re: HiSilicon HNS ethernet broken in 4.15.0-45

2019-03-07 Thread directhex
-   if (h->phy_if == PHY_INTERFACE_MODE_SGMII)
-   phy_stop(phy_dev);

... if the interface supports sgmii, disable the device? Or am I reading
that wrong

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818294

Title:
  HiSilicon HNS ethernet broken in 4.15.0-45

Status in linux package in Ubuntu:
  Incomplete
Status in linux source package in Bionic:
  Incomplete
Status in linux source package in Cosmic:
  Incomplete
Status in linux source package in Disco:
  Incomplete

Bug description:
  A number of HiSilicon patches were backported in
  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1810457 from
  5.0rc1.

  Subsequently, I lost networking on my Huawei TaiShan XR320 boards.

  There are 6 commits to drivers/net/ethernet/hisilicon/hns between
  5.0rc1 and (current) 5.0rc8 - and I know my networking works fine with
  a 5.0rc8 mainline build.

  Can we do another update run for the next 4.15.0 kernel service
  release, to include HiSilicon changes from 5.0rc8?

  CC @dannf
  --- 
  AlsaDevices:
   total 0
   crw-rw+ 1 root audio 116,  1 Mar  6 10:17 seq
   crw-rw+ 1 root audio 116, 33 Mar  6 10:17 timer
  AplayDevices: Error: [Errno 2] No such file or directory
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: arm64
  ArecordDevices: Error: [Errno 2] No such file or directory
  AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
  DistroRelease: Ubuntu 16.04
  HibernationDevice: RESUME=UUID=1422a627-9a9e-4928-ae58-8c33759cd27f
  IwConfig: Error: [Errno 2] No such file or directory
  MachineType: Huawei XR320
  Package: linux (not installed)
  PciMultimedia:
   
  ProcEnviron:
   TERM=linux
   PATH=(custom, no user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcFB: 0 hibmcdrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-43-generic 
root=UUID=55387aff-49ec-4252-80e0-c77e039d342f ro
  ProcVersionSignature: Ubuntu 4.15.0-43.46~16.04.1-generic 4.15.18
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-43-generic N/A
   linux-backports-modules-4.15.0-43-generic  N/A
   linux-firmware 1.157.21
  RfKill: Error: [Errno 2] No such file or directory
  Tags:  xenial xenial xenial xenial
  Uname: Linux 4.15.0-43-generic aarch64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:
   
  _MarkForUpload: True
  dmi.bios.date: 08/07/2018
  dmi.bios.vendor: Huawei
  dmi.bios.version: 1.54
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: BC81HPNA
  dmi.board.vendor: Huawei
  dmi.board.version: VER.A
  dmi.chassis.asset.tag: To be filled by O.E.M.
  dmi.chassis.type: 17
  dmi.chassis.vendor: Huawei
  dmi.chassis.version: To be filled by O.E.M.
  dmi.modalias: 
dmi:bvnHuawei:bvr1.54:bd08/07/2018:svnHuawei:pnXR320:pvrV100R001C00:rvnHuawei:rnBC81HPNA:rvrVER.A:cvnHuawei:ct17:cvrTobefilledbyO.E.M.:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: XR320
  dmi.product.version: V100R001C00
  dmi.sys.vendor: Huawei

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818294/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818294] Re: HiSilicon HNS ethernet broken in 4.15.0-45

2019-03-07 Thread directhex
I am online with +xr320.3

So the fix is c77804be53369dd4c15bfc376cf9b45948194cab ?

The commit message doesn't make it _seem_ relevant, except for the
reference to 2b3e88ea65287ba738a798622405b15344871085 which makes it
seem like maybe prior to c77804be53369dd4c15bfc376cf9b45948194cab the
state checking is screwed? Which explains why the dmesg difference is
just whether it detected a link up or not.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818294

Title:
  HiSilicon HNS ethernet broken in 4.15.0-45

Status in linux package in Ubuntu:
  Incomplete
Status in linux source package in Bionic:
  Incomplete
Status in linux source package in Cosmic:
  Incomplete
Status in linux source package in Disco:
  Incomplete

Bug description:
  A number of HiSilicon patches were backported in
  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1810457 from
  5.0rc1.

  Subsequently, I lost networking on my Huawei TaiShan XR320 boards.

  There are 6 commits to drivers/net/ethernet/hisilicon/hns between
  5.0rc1 and (current) 5.0rc8 - and I know my networking works fine with
  a 5.0rc8 mainline build.

  Can we do another update run for the next 4.15.0 kernel service
  release, to include HiSilicon changes from 5.0rc8?

  CC @dannf
  --- 
  AlsaDevices:
   total 0
   crw-rw+ 1 root audio 116,  1 Mar  6 10:17 seq
   crw-rw+ 1 root audio 116, 33 Mar  6 10:17 timer
  AplayDevices: Error: [Errno 2] No such file or directory
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: arm64
  ArecordDevices: Error: [Errno 2] No such file or directory
  AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
  DistroRelease: Ubuntu 16.04
  HibernationDevice: RESUME=UUID=1422a627-9a9e-4928-ae58-8c33759cd27f
  IwConfig: Error: [Errno 2] No such file or directory
  MachineType: Huawei XR320
  Package: linux (not installed)
  PciMultimedia:
   
  ProcEnviron:
   TERM=linux
   PATH=(custom, no user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcFB: 0 hibmcdrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-43-generic 
root=UUID=55387aff-49ec-4252-80e0-c77e039d342f ro
  ProcVersionSignature: Ubuntu 4.15.0-43.46~16.04.1-generic 4.15.18
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-43-generic N/A
   linux-backports-modules-4.15.0-43-generic  N/A
   linux-firmware 1.157.21
  RfKill: Error: [Errno 2] No such file or directory
  Tags:  xenial xenial xenial xenial
  Uname: Linux 4.15.0-43-generic aarch64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:
   
  _MarkForUpload: True
  dmi.bios.date: 08/07/2018
  dmi.bios.vendor: Huawei
  dmi.bios.version: 1.54
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: BC81HPNA
  dmi.board.vendor: Huawei
  dmi.board.version: VER.A
  dmi.chassis.asset.tag: To be filled by O.E.M.
  dmi.chassis.type: 17
  dmi.chassis.vendor: Huawei
  dmi.chassis.version: To be filled by O.E.M.
  dmi.modalias: 
dmi:bvnHuawei:bvr1.54:bd08/07/2018:svnHuawei:pnXR320:pvrV100R001C00:rvnHuawei:rnBC81HPNA:rvrVER.A:cvnHuawei:ct17:cvrTobefilledbyO.E.M.:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: XR320
  dmi.product.version: V100R001C00
  dmi.sys.vendor: Huawei

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818294/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Kernel-packages] [Bug 1818294] Re: HiSilicon HNS ethernet broken in 4.15.0-45

2019-03-07 Thread dann frazier
On Thu, Mar 7, 2019 at 7:45 AM directhex  wrote:
>
> bisect 4.15.0-45.48+xr320.2 good
>
> So the fix is in one of 263c6d75f9a544a3c2f8f6a26de4f4808d8f59cf,
> bb989501abcafa0de5f18b0ec0ec459b5b817908 or
> c77804be53369dd4c15bfc376cf9b45948194cab

Thanks. I'll just hand build the rest to save time. Here's the next one:
  http://people.canonical.com/~dannf/lp1818294/

  -dann

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818294

Title:
  HiSilicon HNS ethernet broken in 4.15.0-45

Status in linux package in Ubuntu:
  Incomplete
Status in linux source package in Bionic:
  Incomplete
Status in linux source package in Cosmic:
  Incomplete
Status in linux source package in Disco:
  Incomplete

Bug description:
  A number of HiSilicon patches were backported in
  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1810457 from
  5.0rc1.

  Subsequently, I lost networking on my Huawei TaiShan XR320 boards.

  There are 6 commits to drivers/net/ethernet/hisilicon/hns between
  5.0rc1 and (current) 5.0rc8 - and I know my networking works fine with
  a 5.0rc8 mainline build.

  Can we do another update run for the next 4.15.0 kernel service
  release, to include HiSilicon changes from 5.0rc8?

  CC @dannf
  --- 
  AlsaDevices:
   total 0
   crw-rw+ 1 root audio 116,  1 Mar  6 10:17 seq
   crw-rw+ 1 root audio 116, 33 Mar  6 10:17 timer
  AplayDevices: Error: [Errno 2] No such file or directory
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: arm64
  ArecordDevices: Error: [Errno 2] No such file or directory
  AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', 
'/dev/snd/timer'] failed with exit code 1:
  DistroRelease: Ubuntu 16.04
  HibernationDevice: RESUME=UUID=1422a627-9a9e-4928-ae58-8c33759cd27f
  IwConfig: Error: [Errno 2] No such file or directory
  MachineType: Huawei XR320
  Package: linux (not installed)
  PciMultimedia:
   
  ProcEnviron:
   TERM=linux
   PATH=(custom, no user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcFB: 0 hibmcdrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-43-generic 
root=UUID=55387aff-49ec-4252-80e0-c77e039d342f ro
  ProcVersionSignature: Ubuntu 4.15.0-43.46~16.04.1-generic 4.15.18
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-43-generic N/A
   linux-backports-modules-4.15.0-43-generic  N/A
   linux-firmware 1.157.21
  RfKill: Error: [Errno 2] No such file or directory
  Tags:  xenial xenial xenial xenial
  Uname: Linux 4.15.0-43-generic aarch64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:
   
  _MarkForUpload: True
  dmi.bios.date: 08/07/2018
  dmi.bios.vendor: Huawei
  dmi.bios.version: 1.54
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: BC81HPNA
  dmi.board.vendor: Huawei
  dmi.board.version: VER.A
  dmi.chassis.asset.tag: To be filled by O.E.M.
  dmi.chassis.type: 17
  dmi.chassis.vendor: Huawei
  dmi.chassis.version: To be filled by O.E.M.
  dmi.modalias: 
dmi:bvnHuawei:bvr1.54:bd08/07/2018:svnHuawei:pnXR320:pvrV100R001C00:rvnHuawei:rnBC81HPNA:rvrVER.A:cvnHuawei:ct17:cvrTobefilledbyO.E.M.:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: XR320
  dmi.product.version: V100R001C00
  dmi.sys.vendor: Huawei

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818294/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1779736] Re: umask ignored on NFSv4.2 mounts

2019-03-07 Thread Mason Loring Bliss
I can confirm that "zfs set acltype=posixacl foo/bar/" is an effective 
workaround. It appears to be
unset by default.

root@box /root# zfs set acltype=posixacl pool/srv/thing
root@box /root# zfs get acltype pool/srv
NAME  PROPERTY  VALUE SOURCE
pool/srv  acltype   off   default
root@box /root# zfs get acltype pool/srv/thing
NAMEPROPERTY  VALUE SOURCE
pool/srv/thing  acltype   posixacl  local

Thanks, Quentin.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1779736

Title:
  umask ignored on NFSv4.2 mounts

Status in linux package in Ubuntu:
  Confirmed
Status in nfs-utils package in Ubuntu:
  Confirmed

Bug description:
  After upgrading to kernel 4.15.0-24-generic (on Ubuntu 18.04 LTS)
  NFSv4.2 mounts ignore the umask when creating files and directories.
  Files get permissions 666 and directories get 777.  Therefore, a umask
  of 000 is seemingly being forced when creating files/directories in
  NFS mounts.  Mounting with noacl does not resolve the issue.

  How to replicate:

  1. Mount an NFS share (defaults to NFSv4.2)
  2. Ensure restrictive umask: umask 022
  3. Create directory: mkdir test_dir
  4. Create file: touch test_file
  5. List: ls -l

  The result will be:
  drwxrwxrwx 2 user user 2 Jul  2 12:16 test_dir
  -rw-rw-rw- 1 user user 0 Jul  2 12:16 test_file

  while the expected result would be
  drwxr-xr-x 2 user user 2 Jul  2 12:16 test_dir
  -rw-r--r-- 1 user user 0 Jul  2 12:16 test_file

  Bug does not occur when mounting with any of:
    vers=3
    vers=4.0
    vers=4.1

  I have a suspicion this is related to: 
https://tools.ietf.org/id/draft-ietf-nfsv4-umask-03.html
  But since the server does not have ACL's enabled, and mounting with noacl 
does not resolve the issue this is unexpected behavior.

  Both server and client are running kernel 4.15.0-24-generic on Ubuntu
  18.04 LTS.  NFS package versions are:

  nfs-kernel-server 1:1.3.4-2.1ubuntu5
  nfs-common 1:1.3.4-2.1ubuntu5

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1779736/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1779736] Re: umask ignored on NFSv4.2 mounts

2019-03-07 Thread Seth Arnold
** Also affects: linux (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: linux (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1779736

Title:
  umask ignored on NFSv4.2 mounts

Status in linux package in Ubuntu:
  Confirmed
Status in nfs-utils package in Ubuntu:
  Confirmed

Bug description:
  After upgrading to kernel 4.15.0-24-generic (on Ubuntu 18.04 LTS)
  NFSv4.2 mounts ignore the umask when creating files and directories.
  Files get permissions 666 and directories get 777.  Therefore, a umask
  of 000 is seemingly being forced when creating files/directories in
  NFS mounts.  Mounting with noacl does not resolve the issue.

  How to replicate:

  1. Mount an NFS share (defaults to NFSv4.2)
  2. Ensure restrictive umask: umask 022
  3. Create directory: mkdir test_dir
  4. Create file: touch test_file
  5. List: ls -l

  The result will be:
  drwxrwxrwx 2 user user 2 Jul  2 12:16 test_dir
  -rw-rw-rw- 1 user user 0 Jul  2 12:16 test_file

  while the expected result would be
  drwxr-xr-x 2 user user 2 Jul  2 12:16 test_dir
  -rw-r--r-- 1 user user 0 Jul  2 12:16 test_file

  Bug does not occur when mounting with any of:
    vers=3
    vers=4.0
    vers=4.1

  I have a suspicion this is related to: 
https://tools.ietf.org/id/draft-ietf-nfsv4-umask-03.html
  But since the server does not have ACL's enabled, and mounting with noacl 
does not resolve the issue this is unexpected behavior.

  Both server and client are running kernel 4.15.0-24-generic on Ubuntu
  18.04 LTS.  NFS package versions are:

  nfs-kernel-server 1:1.3.4-2.1ubuntu5
  nfs-common 1:1.3.4-2.1ubuntu5

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1779736/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818617] Re: [amdgpu] screen corruption when using touchpad

2019-03-07 Thread Timo Aaltonen
** Also affects: linux (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: linux (Ubuntu)
   Status: New => Confirmed

** Also affects: linux (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Also affects: linux-oem (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Changed in: linux (Ubuntu Bionic)
   Status: New => Confirmed

** Changed in: linux (Ubuntu)
   Status: Confirmed => Fix Released

** Description changed:

- An OEM system is suffering from screen corruption when the touchpad is
- used. This would be fixed by backporting these commits from 4.18:
+ [Impact]
+ An OEM system is suffering from screen corruption when the touchpad is used. 
This would be fixed by backporting these commits from 4.18:
  
  ebdef28ebbcf767 drm/amdgpu/gmc: steal the appropriate amount of vram for fw 
hand-over (v3)
  6f752ec2c20c6a5 drm/amdgpu: Free VGA stolen memory as soon as possible.
+ 
+ [Test case]
+ boot a fixed kernel on the affected system, check that it doesn't suffer from 
the corruption
+ 
+ [Regression potential]
+ low, this has been upstream since 4.18, and AMD asked us to backport these

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818617

Title:
  [amdgpu] screen corruption when using touchpad

Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  New
Status in linux source package in Bionic:
  Confirmed
Status in linux-oem source package in Bionic:
  New

Bug description:
  [Impact]
  An OEM system is suffering from screen corruption when the touchpad is used. 
This would be fixed by backporting these commits from 4.18:

  ebdef28ebbcf767 drm/amdgpu/gmc: steal the appropriate amount of vram for fw 
hand-over (v3)
  6f752ec2c20c6a5 drm/amdgpu: Free VGA stolen memory as soon as possible.

  [Test case]
  boot a fixed kernel on the affected system, check that it doesn't suffer from 
the corruption

  [Regression potential]
  low, this has been upstream since 4.18, and AMD asked us to backport these

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818617/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1810619] Re: Sleep mode doesn't work

2019-03-07 Thread Kai-Heng Feng
Since Ubuntu-4.18.0-14.15.

** Changed in: linux (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1810619

Title:
  Sleep mode doesn't work

Status in linux package in Ubuntu:
  Fix Released

Bug description:
  On my Dell XPS 13 laptop (9370), the sleep mode dosn't work anymore with 
linux-image-4.18.0-13.
  The screen goes off correctly but any touch resume the laptop.

  This is the log :
  Jan  5 11:15:25 skeleton systemd[1]: Reached target Sleep.
  Jan  5 11:15:25 skeleton systemd[1]: Starting Suspend...
  Jan  5 11:15:25 skeleton systemd[1]: Starting Network Manager Script 
Dispatcher Service...
  Jan  5 11:15:25 skeleton systemd-sleep[6229]: Suspending system...
  Jan  5 11:15:25 skeleton kernel: [ 6176.006021] PM: suspend entry (s2idle)
  an  5 11:15:25 skeleton dbus-daemon[1051]: [system] Successfully activated 
service 'org.freedesktop.nm_dispatcher'
  Jan  5 11:15:25 skeleton systemd[1]: Started Network Manager Script 
Dispatcher Service.
  Jan  5 11:15:25 skeleton nm-dispatcher: req:1 'down' [wlp2s0]: new request (1 
scripts)
  Jan  5 11:15:25 skeleton nm-dispatcher: req:1 'down' [wlp2s0]: start running 
ordered scripts...

  [...]
  Resume :

  Jan  5 12:00:02 skeleton kernel: [ 6176.006023] PM: Syncing filesystems ... 
done.
  Jan  5 12:00:02 skeleton kernel: [ 6176.016581] Freezing user space processes 
... (elapsed 0.088 seconds) done.
  Jan  5 12:00:02 skeleton kernel: [ 6176.104653] OOM killer disabled.
  Jan  5 12:00:02 skeleton kernel: [ 6176.104654] Freezing remaining freezable 
tasks ... (elapsed 0.001 seconds) done.
  Jan  5 12:00:02 skeleton kernel: [ 6176.106070] Suspending console(s) (use 
no_console_suspend to debug)
  Jan  5 12:00:02 skeleton kernel: [ 8852.990035] OOM killer enabled.
  Jan  5 12:00:02 skeleton kernel: [ 8852.990037] Restarting tasks ... done.
  Jan  5 12:00:02 skeleton kernel: [ 8853.015639] r8152 2-1.2:1.0 
enxe4b97acfa7e9: carrier on
  Jan  5 12:00:02 skeleton kernel: [ 8853.084055] PM: suspend exit


  
  With linux-image-4.18.0-10, it works correcly (but no with 4.18.0-11 and 
4.18.0-12).
  Thanks,

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1810619/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818547] Re: hid-sensor-hub spamming dmesg in 4.20

2019-03-07 Thread Mayur Virkar
I have the same laptop. Neither my orientation is working, nor my mic.
PS: its a late 2018 model.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818547

Title:
  hid-sensor-hub spamming dmesg in 4.20

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  Dmesg is a constant barrage of the same error:
  ```
  [  406.165461] hid-sensor-hub 001F:8086:22D8.0002: hid_field_extract() called 
with n (192) > 32! (kworker/5:1)
  ```

  This does not occur in 4.19 but does occur in all mainline 4.20
  releases including 4.20.13 (linux-image-unsigned-4.20.13-042013).
  Tested with both Ubuntu's included libinput 1.10 and an updated
  libinput 1.12.

  Hardware (from lspci) includes a synaptic touchpad. Having the xorg
  synaptic driver installed makes no difference.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818547/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1813873] Re: Userspace break as a result of missing patch backport

2019-03-07 Thread markw
Will the fix for 16.04 32 bit be available through normal channels in the near 
future?
Thank you.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1813873

Title:
  Userspace break as a result of missing patch backport

Status in linux package in Ubuntu:
  Fix Committed
Status in linux source package in Xenial:
  Fix Committed
Status in linux source package in Bionic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released

Bug description:
  Hi,

  The most recent set of Ubuntu kernels applied a variety of tty patches
  including:
  
https://github.com/torvalds/linux/commit/c96cf923a98d1b094df9f0cf97a83e118817e31b

  But have not applied the more recent
  
https://github.com/torvalds/linux/commit/d3736d82e8169768218ee0ef68718875918091a0
  patch.

  This second patch is required to prevent a rather serious regression
  where userspace applications reading from stdin can receive EAGAIN
  when they should not.

  I will try to link correspondence from the mailing list archives once
  they are available, but for now if you have access to the linux-
  console mailing list you can find discussion under the thread
  "Userspace break? read from STDIN returns EAGAIN if tty is "touched"".

  I would appreciate it if this could be examined soon as it is a
  regression on userspace.

  Thanks
  Michael

  
  Good:
  4.15.0-43-generic #46-Ubuntu SMP Thu Dec 6 14:45:28 UTC 2018

  
  Bad:
  4.15.0-44-generic #47-Ubuntu SMP Mon Jan 14 11:26:59 UTC 2019

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1813873/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1806392] Re: tun/tap: unable to manage carrier state from userland

2019-03-07 Thread Kleber Sacilotto de Souza
** Also affects: linux (Ubuntu Cosmic)
   Importance: Undecided
   Status: New

** Also affects: linux (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Changed in: linux (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: linux (Ubuntu Cosmic)
   Status: New => In Progress

** Changed in: linux (Ubuntu)
   Status: Triaged => Invalid

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1806392

Title:
  tun/tap: unable to manage carrier state from userland

Status in linux package in Ubuntu:
  Invalid
Status in linux source package in Bionic:
  In Progress
Status in linux source package in Cosmic:
  In Progress

Bug description:
  === SRU Justification ===
  [Impact]
  Userspace cannot change tun's carrier state.

  [Fix]
  Add .ndo_change_carrier callback for tun.

  [Test]
  User confirm the backport works.
   
  [Regression Potential]
  Low. It add a new function and a new case switch for ioctl, but the new
  code doesn't affect existing behavior.
  === Original Bug Report ===
  This upstream patch is missing: 26d31925cd5e ("tun: implement carrier 
change").

  https://git.kernel.org/pub/scm/linux/kernel/git/davem/net-
  next.git/commit/?id=26d31925cd5e

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1806392/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1817738] Re: Can't change virtual terminal when auto-login is enabled

2019-03-07 Thread Łukasz Zemczak
Hello Eric, or anyone else affected,

Accepted gdm3 into bionic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/gdm3/3.28.3-0ubuntu18.04.5 in a few
hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: gdm3 (Ubuntu Bionic)
   Status: In Progress => Fix Committed

** Tags added: verification-needed verification-needed-bionic

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1817738

Title:
  Can't change virtual terminal when auto-login is enabled

Status in OEM Priority Project:
  New
Status in gdm3 package in Ubuntu:
  Fix Released
Status in linux package in Ubuntu:
  Invalid
Status in gdm3 source package in Bionic:
  Fix Committed
Status in linux source package in Bionic:
  Invalid

Bug description:
  [Impact]

  When AutomaticLogin is enable in gdm3. The "chvt" command hangs
  forever, preventing from changing foreground virtual terminal.

  [Test case]

  1) Install Bionic/18.04LTS Desktop

  2) Enable AutomaticLogin
   2.1) Modify /etc/gdm3/custom.conf
  # Enabling automatic login
    AutomaticLoginEnable = true
    AutomaticLogin = 

  3) Reboot your system and make sure AutoLogin works by not requesting
  password before opening the  session.

  4) Print active VT
  $ sudo fgconsole

  Without the fix, it will be "1". # BAD
  With the fix, it will be "2". # GOOD

  5) sudo chvt 4 ## chvt will hang here.

  Verification can be made from a 2nd terminal, run :
  $ cat /proc/$(pidof chvt)/stack
  [<0>] __vt_event_wait.isra.2.part.3+0x40/0x90
  [<0>] vt_waitactive+0x80/0xd0
  [<0>] vt_ioctl+0xd26/0x1140
  [<0>] tty_ioctl+0xf6/0x8c0
  [<0>] do_vfs_ioctl+0xa8/0x630
  [<0>] SyS_ioctl+0x79/0x90
  [<0>] do_syscall_64+0x73/0x130
  [<0>] entry_SYSCALL_64_after_hwframe+0x3d/0xa2
  [<0>] 0x

  It's basically waiting for the VT to be activated, but it never
  happens.

  [Potential regression]

  Low.

  Current gdm3 run autologin display on tty1. tty1 is really meant for
  the login screen. This commit changes autologin to not use the initial
  vt.

  If one switch to tty1, the next VT switch attempt will hangs again and
  one won't be able to switch it. tty1 is really the problem here, so by
  forcing the autologin to not use tty1 we improve the current behaviour
  where we can't switch VTs at all when autologin is enabled.

  The tty1 behaviour will still need (normal behaviour or not ???) to be
  investigated, but not mandatory required for the sake of this SRU
  IMHO.

  I suspect systemd-logind to be the reason of the tty1 behaviour:

  # ps
  root  1350 1  0 Mar03 ?00:00:03 /lib/systemd/systemd-logind

  #lsof
  systemd-l  1350   root   24u  CHR4,1  
 0t0 45 /dev/tty1

  But I haven't dig much in it for now.

  So the fix will works as long as one doesn't do run on tty1.

  Exactly like when autologin isn't enable.

  * From a machine with autologin enable:

  /etc/gdm3/customer.conf
  # Enabling automatic login
    AutomaticLoginEnable = true
    AutomaticLogin = user1

  $ sudo fgconsole
  1

  * From a machine with autologin disable:

  /etc/gdm3/customer.conf
  # Enabling automatic login
  #  AutomaticLoginEnable = true
  #  AutomaticLogin = user1

  $ sudo fgconsole
  2

  [Other information]

  * Upstream fix:
  https://github.com/GNOME/gdm/commit/39fb4ff6

  $ git describe --contains 39fb4ff6
  3.30.1~2^2~3

  $ rmadision gdm3
   ==> gdm3 | 3.28.3-0ubuntu18.04.4   | bionic-updates   | ...
   gdm3 | 3.30.1-1ubuntu5 | cosmic   | ...
   gdm3 | 3.30.1-1ubuntu5 | disco| ...
   gdm3 | 3.30.1-1ubuntu5.1   | cosmic-security  | ...
   gdm3 | 3.30.1-1ubuntu5.1   | cosmic-updates   | ...
   gdm3 | 3.31.4+git20190225-1ubuntu1 | disco-proposed   | ...

  [Original Description]
  sudo strace chvt 4
  execve("/bin/chvt", ["chvt", "4"], 

[Kernel-packages] [Bug 1819042] [NEW] NVIDIA GK107GLM [Quadro K1000M] fails with 390.116-0ubuntu0.18.04.1

2019-03-07 Thread Mike Berkley
Public bug reported:

I installed the 390.116-0ubuntu0.18.04.1 upgrade this morning.
After a reboot, my laptop with Quadro K1000M came up into sddm with a low 
resolution graphics.
Second screen also did not appear.
The Quadro K1000M is in "Integrated Graphics" mode.  Switching to Optimus or 
Integrated graphics did not improve the situation.
Removing 390.116-0ubuntu0.18.04.1 and reinstalling 390.77-0ubuntu0.18.04.2 
fixed the problem.

** Affects: nvidia-graphics-drivers-390 (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to nvidia-graphics-drivers-390 in Ubuntu.
https://bugs.launchpad.net/bugs/1819042

Title:
  NVIDIA GK107GLM [Quadro K1000M] fails with 390.116-0ubuntu0.18.04.1

Status in nvidia-graphics-drivers-390 package in Ubuntu:
  New

Bug description:
  I installed the 390.116-0ubuntu0.18.04.1 upgrade this morning.
  After a reboot, my laptop with Quadro K1000M came up into sddm with a low 
resolution graphics.
  Second screen also did not appear.
  The Quadro K1000M is in "Integrated Graphics" mode.  Switching to Optimus or 
Integrated graphics did not improve the situation.
  Removing 390.116-0ubuntu0.18.04.1 and reinstalling 390.77-0ubuntu0.18.04.2 
fixed the problem.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/+bug/1819042/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818547] Re: hid-sensor-hub spamming dmesg in 4.20

2019-03-07 Thread Fmstrat
That did the trick.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818547

Title:
  hid-sensor-hub spamming dmesg in 4.20

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  Dmesg is a constant barrage of the same error:
  ```
  [  406.165461] hid-sensor-hub 001F:8086:22D8.0002: hid_field_extract() called 
with n (192) > 32! (kworker/5:1)
  ```

  This does not occur in 4.19 but does occur in all mainline 4.20
  releases including 4.20.13 (linux-image-unsigned-4.20.13-042013).
  Tested with both Ubuntu's included libinput 1.10 and an updated
  libinput 1.12.

  Hardware (from lspci) includes a synaptic touchpad. Having the xorg
  synaptic driver installed makes no difference.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818547/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818547] Re: hid-sensor-hub spamming dmesg in 4.20

2019-03-07 Thread Fmstrat
I will give that a shot and report back. Should the implement function
on line 1347 be changed as well?

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818547

Title:
  hid-sensor-hub spamming dmesg in 4.20

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  Dmesg is a constant barrage of the same error:
  ```
  [  406.165461] hid-sensor-hub 001F:8086:22D8.0002: hid_field_extract() called 
with n (192) > 32! (kworker/5:1)
  ```

  This does not occur in 4.19 but does occur in all mainline 4.20
  releases including 4.20.13 (linux-image-unsigned-4.20.13-042013).
  Tested with both Ubuntu's included libinput 1.10 and an updated
  libinput 1.12.

  Hardware (from lspci) includes a synaptic touchpad. Having the xorg
  synaptic driver installed makes no difference.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818547/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1813783] Re: Unable to toggle Touchpad by keyboard shortcut

2019-03-07 Thread Kai-Heng Feng
Something like:

evdev:atkbd:dmi:bvn*:bvr*:bd*:svnStandard*:pn*
 KEYBOARD_KEY_f8=f21

And yes it's f8 not f5.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1813783

Title:
  Unable to toggle Touchpad by keyboard shortcut

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  Pressing Fn+F5 button should toggle the onboard touchpad. This seems not to 
work and might be related to the following bug:
  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/717931 

  After pressing Fn+F5 shows the following:
  $ dmesg
  ...
  [  248.412826] atkbd serio0: Unknown key pressed (translated set 2, code 0xf8 
on isa0060/serio0).
  [  248.412833] atkbd serio0: Use 'setkeycodes e078 ' to make it 
known.
  [  250.261108] atkbd serio0: Unknown key released (translated set 2, code 
0xf8 on isa0060/serio0).
  [  250.261110] atkbd serio0: Use 'setkeycodes e078 ' to make it 
known.

  I've added the mentioned kernel parameters as described in 
  https://wiki.ubuntu.com/DebuggingACPI (adding acpi=off)
  and 
  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/717931/comments/21 
(i8042.nomux=1)
  but the problem still exists. 

  Touchpad also has a little dot in the upper left side which I assume
  also is for toggling on/off the touchpad. This is also unresponsive.

  
  How reproducible:
  Always

  Steps to Reproduce:
  Press Fn+F5

  Actual results:
  Touchpad is not working

  Expected results:
  Touchpad should toggle on/off, making it able to use the touchpad.

  Extra info:
  Bios is up to date.

  $ lsb_release -rd

  Description:  Ubuntu 18.04.1 LTS
  Release:  18.04

  $ inxi -F

  System:Host: CarogaLaptopLinux Kernel: 4.15.0-43-generic x86_64 bits: 64 
Desktop: Gnome 3.28.3
 Distro: Ubuntu 18.04.1 LTS
  Machine:   Device: laptop System: Standard product: Standard v: Standard 
serial: N/A
 Mobo: Standard model: Standard v: Standard serial: N/A
 UEFI: American Megatrends v: N.0.05 date: 04/14/2018
  BatteryBAT0: charge: 42.2 Wh 90.2% condition: 46.7/46.7 Wh (100%)
  CPU:   6 core Intel Core i7-8750H (-MT-MCP-) cache: 9216 KB
 clock speeds: max: 4100 MHz 1: 1541 MHz 2: 2043 MHz 3: 2069 MHz 4: 
2345 MHz 5: 2241 MHz 6: 2111 MHz
 7: 2080 MHz 8: 2047 MHz 9: 2035 MHz 10: 2388 MHz 11: 1879 MHz 12: 
2175 MHz
  Graphics:  Card-1: Intel Device 3e9b
 Card-2: NVIDIA GP106M [GeForce GTX 1060 Mobile]
 Display Server: x11 (X.Org 1.19.6 ) drivers: modesetting,nvidia 
(unloaded: fbdev,vesa,nouveau)
 Resolution: 1920x1080@144.00hz
 OpenGL: renderer: Mesa DRI Intel HD Graphics (Coffeelake 3x8 GT2) 
version: 4.5 Mesa 18.0.5
  Audio: Card Intel Device a348 driver: snd_hda_intel Sound: ALSA v: 
k4.15.0-43-generic
  Network:   Card-1: Intel Device a370 driver: iwlwifi
 IF: wlo1 state: up speed: N/A duplex: N/A mac: 94:b8:6d:fc:16:24
 Card-2: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet 
Controller driver: r8169
 IF: enp4s0 state: down mac: b0:25:aa:29:17:57
  Drives:HDD Total Size: 500.1GB (25.6% used)
 ID-1: /dev/nvme0n1 model: WDS500G2X0C size: 500.1GB
 ID-2: /dev/nvme1n1 model: WDS500G2X0C size: 500.1GB
  Partition: ID-1: / size: 398G used: 61G (17%) fs: ext4 dev: /dev/nvme0n1p2
 ID-2: swap-1 size: 65.53GB used: 0.00GB (0%) fs: swap dev: 
/dev/nvme0n1p1
  RAID:  No RAID devices: /proc/mdstat, md_mod kernel module present
  Sensors:   System Temperatures: cpu: 55.0C mobo: 54.0C
 Fan Speeds (in rpm): cpu: N/A
  Info:  Processes: 387 Uptime: 16 min Memory: 3855.5/32027.2MB Client: 
Shell (zsh) inxi: 2.3.56

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: linux-image-4.15.0-43-generic 4.15.0-43.46
  ProcVersionSignature: Ubuntu 4.15.0-43.46-generic 4.15.18
  Uname: Linux 4.15.0-43-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/pcmC0D0p:   caroga 3523 F...m pulseaudio
   /dev/snd/controlC0:  caroga 3523 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Jan 29 16:04:41 2019
  HibernationDevice: RESUME=UUID=8cafe715-f523-4099-8dd8-7f80c5de58d4
  InstallationDate: Installed on 2018-08-17 (164 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180725)
  MachineType: Standard Standard
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-43-generic 
root=UUID=e177b84e-a10b-4a4e-8d1c-8eeafbb021ba ro quiet splash i8042.nomux=1 
vt.handoff=1
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-43-generic N/A
   linux-backports-modules-4.15.0-43-generic  N/A
   linux-firmware 1.173.3
  SourcePackage: linux
  UpgradeStatus: No upgrade log present (probably fresh install)
  

[Kernel-packages] [Bug 1573508] Please test proposed package

2019-03-07 Thread Andy Whitcroft
Hello khanpak...@gmail.com, or anyone else affected,

Accepted nvidia-graphics-drivers-340 into trusty-proposed. The package
will build now and be available at https://launchpad.net/ubuntu/+source
/nvidia-graphics-drivers-340/340.107-0ubuntu0.14.04.1 in a few hours,
and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-trusty to verification-done-trusty. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-trusty. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to nvidia-graphics-drivers-384 in Ubuntu.
https://bugs.launchpad.net/bugs/1573508

Title:
  nvidia-*: nvidia-* kernel module failed to build [error: too many
  arguments to function ‘get_user_pages’]

Status in nvidia-graphics-drivers-304 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-340 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-384 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-304 source package in Trusty:
  Fix Committed
Status in nvidia-graphics-drivers-340 source package in Trusty:
  Fix Committed
Status in nvidia-graphics-drivers-361 source package in Trusty:
  Invalid
Status in nvidia-graphics-drivers-384 source package in Trusty:
  Fix Committed
Status in nvidia-graphics-drivers-304 source package in Xenial:
  Fix Committed
Status in nvidia-graphics-drivers-340 source package in Xenial:
  Fix Committed
Status in nvidia-graphics-drivers-361 source package in Xenial:
  Invalid
Status in nvidia-graphics-drivers-384 source package in Xenial:
  Fix Committed

Bug description:
  NA

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: nvidia-361 361.42-0ubuntu2
  ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
  Uname: Linux 4.4.0-21-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  DKMSKernelVersion: 4.6.0-040600rc4-lowlatency
  Date: Fri Apr 22 15:43:10 2016
  DuplicateSignature: 
dkms:nvidia-361:361.42-0ubuntu2:/var/lib/dkms/nvidia-361/361.42/build/nvidia/os-mlock.c:119:11:
 error: too many arguments to function ‘get_user_pages’
  InstallationDate: Installed on 2016-04-22 (0 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  PackageVersion: 361.42-0ubuntu2
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1
   apt  1.2.10ubuntu1
  SourcePackage: nvidia-graphics-drivers-361
  Title: nvidia-361 361.42-0ubuntu2: nvidia-361 kernel module failed to build
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-304/+bug/1573508/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1573508] Please test proposed package

2019-03-07 Thread Andy Whitcroft
Hello khanpak...@gmail.com, or anyone else affected,

Accepted nvidia-graphics-drivers-304 into trusty-proposed. The package
will build now and be available at https://launchpad.net/ubuntu/+source
/nvidia-graphics-drivers-304/304.135-0ubuntu0.14.04.2 in a few hours,
and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-trusty to verification-done-trusty. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-trusty. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: nvidia-graphics-drivers-340 (Ubuntu Trusty)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to nvidia-graphics-drivers-384 in Ubuntu.
https://bugs.launchpad.net/bugs/1573508

Title:
  nvidia-*: nvidia-* kernel module failed to build [error: too many
  arguments to function ‘get_user_pages’]

Status in nvidia-graphics-drivers-304 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-340 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-384 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-304 source package in Trusty:
  Fix Committed
Status in nvidia-graphics-drivers-340 source package in Trusty:
  Fix Committed
Status in nvidia-graphics-drivers-361 source package in Trusty:
  Invalid
Status in nvidia-graphics-drivers-384 source package in Trusty:
  Fix Committed
Status in nvidia-graphics-drivers-304 source package in Xenial:
  Fix Committed
Status in nvidia-graphics-drivers-340 source package in Xenial:
  Fix Committed
Status in nvidia-graphics-drivers-361 source package in Xenial:
  Invalid
Status in nvidia-graphics-drivers-384 source package in Xenial:
  Fix Committed

Bug description:
  NA

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: nvidia-361 361.42-0ubuntu2
  ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
  Uname: Linux 4.4.0-21-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  DKMSKernelVersion: 4.6.0-040600rc4-lowlatency
  Date: Fri Apr 22 15:43:10 2016
  DuplicateSignature: 
dkms:nvidia-361:361.42-0ubuntu2:/var/lib/dkms/nvidia-361/361.42/build/nvidia/os-mlock.c:119:11:
 error: too many arguments to function ‘get_user_pages’
  InstallationDate: Installed on 2016-04-22 (0 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  PackageVersion: 361.42-0ubuntu2
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1
   apt  1.2.10ubuntu1
  SourcePackage: nvidia-graphics-drivers-361
  Title: nvidia-361 361.42-0ubuntu2: nvidia-361 kernel module failed to build
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-304/+bug/1573508/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1573508] Re: nvidia-*: nvidia-* kernel module failed to build [error: too many arguments to function ‘get_user_pages’]

2019-03-07 Thread Andy Whitcroft
Hello khanpak...@gmail.com, or anyone else affected,

Accepted nvidia-graphics-drivers-384 into trusty-proposed. The package
will build now and be available at https://launchpad.net/ubuntu/+source
/nvidia-graphics-drivers-384/384.130-0ubuntu0.14.04.2 in a few hours,
and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-trusty to verification-done-trusty. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-trusty. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: nvidia-graphics-drivers-384 (Ubuntu Trusty)
   Status: In Progress => Fix Committed

** Tags added: verification-needed-trusty

** Changed in: nvidia-graphics-drivers-304 (Ubuntu Trusty)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to nvidia-graphics-drivers-384 in Ubuntu.
https://bugs.launchpad.net/bugs/1573508

Title:
  nvidia-*: nvidia-* kernel module failed to build [error: too many
  arguments to function ‘get_user_pages’]

Status in nvidia-graphics-drivers-304 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-340 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-384 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-304 source package in Trusty:
  Fix Committed
Status in nvidia-graphics-drivers-340 source package in Trusty:
  Fix Committed
Status in nvidia-graphics-drivers-361 source package in Trusty:
  Invalid
Status in nvidia-graphics-drivers-384 source package in Trusty:
  Fix Committed
Status in nvidia-graphics-drivers-304 source package in Xenial:
  Fix Committed
Status in nvidia-graphics-drivers-340 source package in Xenial:
  Fix Committed
Status in nvidia-graphics-drivers-361 source package in Xenial:
  Invalid
Status in nvidia-graphics-drivers-384 source package in Xenial:
  Fix Committed

Bug description:
  NA

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: nvidia-361 361.42-0ubuntu2
  ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
  Uname: Linux 4.4.0-21-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  DKMSKernelVersion: 4.6.0-040600rc4-lowlatency
  Date: Fri Apr 22 15:43:10 2016
  DuplicateSignature: 
dkms:nvidia-361:361.42-0ubuntu2:/var/lib/dkms/nvidia-361/361.42/build/nvidia/os-mlock.c:119:11:
 error: too many arguments to function ‘get_user_pages’
  InstallationDate: Installed on 2016-04-22 (0 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  PackageVersion: 361.42-0ubuntu2
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1
   apt  1.2.10ubuntu1
  SourcePackage: nvidia-graphics-drivers-361
  Title: nvidia-361 361.42-0ubuntu2: nvidia-361 kernel module failed to build
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-304/+bug/1573508/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1808743] Re: [Ubuntu 1810] Kdump fails to dump vmcore and enters initramfs inside Power9 KVM guest

2019-03-07 Thread Frank Heimes
Since it was in comment #9 verified that it now works as expected with
the in between available package (thanks to balamuruh...@in.ibm.com) -
I'm closing that ticket and set the status to Fix Released.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to makedumpfile in Ubuntu.
https://bugs.launchpad.net/bugs/1808743

Title:
  [Ubuntu 1810] Kdump fails to dump vmcore and enters initramfs inside
  Power9 KVM guest

Status in The Ubuntu-power-systems project:
  Fix Released
Status in makedumpfile package in Ubuntu:
  Fix Released

Bug description:
  Kdump fails to dump vmcore even with workaround suggested

  This issue is submitted to
  track on Power9 Guest where it uses file type qcow2 disk (virtio-scsi)

  
  Boot Log: (Attached full console log)

  [3.754031]32regs: 19616.000 MB/sec
  [3.794031]32regs_prefetch: 17280.000 MB/sec
  [3.834030]altivec   : 22480.000 MB/sec
  [3.834063] xor: using function: altivec (22480.000 MB/sec)
  done.
  Begin: Running /scripts/init-premount ... done.
  Begin: Mounting root file system ... Begin: Running /scripts/local-top ... 
done.
  Begin: Running /scripts/local-premount ... done.
  Begin: Waiting for root file system ... Begin: Running /scripts/local-block 
... mdadm: No devices listed in conf file were found.
  done.
  mdadm: No devices listed in conf file were found.
  mdadm: No devices listed in conf file were found.
  mdadm: No devices listed in conf file were found.
  done.
  Gave up waiting for root file system device.  Common problems:
   - Boot args (cat /proc/cmdline)
 - Check rootdelay= (did the system wait long enough?)
   - Missing modules (cat /proc/modules; ls /dev)
  ALERT!  UUID=5e1fe9e9-cf03-4c73-adce-0e57676f98e0 does not exist.  Dropping 
to a shell!

  
  BusyBox v1.27.2 (Ubuntu 1:1.27.2-2ubuntu4) built-in shell (ash)
  Enter 'help' for a list of built-in commands.

  (initramfs)

  Contact Information = Balamuruhan S / balamuruh...@in.ibm.com 
   
  ---uname output---

  Guest Kernel: 4.18.0-11-generic
  Host Kernel:  4.18.0-11-generic
   
  Machine Type = Boston 
   
  ---Debugger---
  A debugger is not configured
   
  ---Steps to Reproduce---
  1. Have a healthy KVM guest with Ubuntu 1810 with kernel 4.18.0-11-generic
  2. Install kdump, kexec and crash tools in the guest,
  # dpkg -l | grep crash
  ii  apport2.20.10-0ubuntu13.1 
 all  automatically generate crash reports for debugging
  ii  crash 7.2.3+real-1
 ppc64el  kernel debugging utility, allowing gdb like syntax
  ii  kdump-tools   1:1.6.4-2ubuntu1
 ppc64el  scripts and tools for automating kdump (Linux crash dumps)
  ii  linux-crashdump   4.18.0.11.12
 ppc64el  Linux kernel crashdump setup for the latest generic kernel
  ii  python3-apport2.20.10-0ubuntu13.1 
 all  Python 3 library for Apport crash report handling

  3. Ensure workaround suggested in Bug 172389 is followed by uncomment the 
`KDUMP_CMDLINE_APPEND`
  and change nr_cpus to maxcpus in /etc/default/kdump-tools config file,
   
  # cat /etc/default/kdump-tools | grep -i cmdline
  # KDUMP_CMDLINE - The default is to use the contents of /proc/cmdline.  
  # Set this variable to override /proc/cmdline.
  # KDUMP_CMDLINE_APPEND - Additional arguments to append to the command line 
  #KDUMP_CMDLINE=""
  KDUMP_CMDLINE_APPEND="1 maxcpus=1 systemd.unit=kdump-tools.service irqpoll 
noirqdistrib nousb reset_devices"

  4. restart the kdump tools service,
  # service kdump-tools restart
  # service kdump-tools status
  ? kdump-tools.service - Kernel crash dump capture service
 Loaded: loaded (/lib/systemd/system/kdump-tools.service; enabled; vendor 
pres
 Active: active (exited) since Mon 2018-12-03 02:34:03 CST; 1 weeks 3 days 
ago
Process: 1560 ExecStart=/etc/init.d/kdump-tools start (code=exited, 
status=0/S
   Main PID: 1560 (code=exited, status=0/SUCCESS)

  Dec 03 02:34:02 ubuntu1810 systemd[1]: Starting Kernel crash dump capture 
servic
  Dec 03 02:34:02 ubuntu1810 kdump-tools[1560]: Starting kdump-tools:  * 
Creating 
  Dec 03 02:34:02 ubuntu1810 kdump-tools[1560]:  * Creating symlink 
/var/lib/kdump
  Dec 03 02:34:03 ubuntu1810 kdump-tools[1560]: Modified 
cmdline:BOOT_IMAGE=/boot/
  Dec 03 02:34:03 ubuntu1810 kdump-tools[1560]:  * loaded kdump kernel
  Dec 03 02:34:03 ubuntu1810 kdump-tools[1678]: /sbin/kexec -p 
--command-line="BOO
  Dec 03 02:34:03 ubuntu1810 kdump-tools[1679]: loaded kdump kernel
  Dec 03 02:34:03 ubuntu1810 systemd[1]: Started Kernel crash dump capture 
service

  5. check kdump-config is state is ready to dump,
  # kdump-config show
  DUMP_MODE:kdump
  USE_KDUMP:1
  KDUMP_SYSCTL: kernel.panic_on_oops=1
  KDUMP_COREDIR:

[Kernel-packages] [Bug 1818547] Re: hid-sensor-hub spamming dmesg in 4.20

2019-03-07 Thread Kai-Heng Feng
I think it didn't happen on older kernel because the report size 192 >
128 so the code bailed early.

Try this:
diff --git a/drivers/hid/hid-core.c b/drivers/hid/hid-core.c
index 9993b692598f..860e21ec6a49 100644
--- a/drivers/hid/hid-core.c
+++ b/drivers/hid/hid-core.c
@@ -1301,10 +1301,10 @@ static u32 __extract(u8 *report, unsigned offset, int n)
 u32 hid_field_extract(const struct hid_device *hid, u8 *report,
unsigned offset, unsigned n)
 {
-   if (n > 32) {
-   hid_warn(hid, "hid_field_extract() called with n (%d) > 32! 
(%s)\n",
+   if (n > 256) {
+   hid_warn(hid, "hid_field_extract() called with n (%d) > 256! 
(%s)\n",
 n, current->comm);
-   n = 32;
+   n = 256;
}
 
return __extract(report, offset, n);

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818547

Title:
  hid-sensor-hub spamming dmesg in 4.20

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  Dmesg is a constant barrage of the same error:
  ```
  [  406.165461] hid-sensor-hub 001F:8086:22D8.0002: hid_field_extract() called 
with n (192) > 32! (kworker/5:1)
  ```

  This does not occur in 4.19 but does occur in all mainline 4.20
  releases including 4.20.13 (linux-image-unsigned-4.20.13-042013).
  Tested with both Ubuntu's included libinput 1.10 and an updated
  libinput 1.12.

  Hardware (from lspci) includes a synaptic touchpad. Having the xorg
  synaptic driver installed makes no difference.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818547/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1814757] Re: linux-aws: 4.18.0-1011.13 -proposed tracker

2019-03-07 Thread Brad Figg
** Description changed:

  This bug is for tracking the  upload package. This
  bug will contain status and testing results related to that upload.
  
  For an explanation of the tasks and the associated workflow see: 
https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
  -- swm properties --
  boot-testing-requested: true
  kernel-stable-master-bug: 1814749
  phase: Testing
  phase-changed: Thursday, 07. March 2019 15:21 UTC
  proposed-announcement-sent: true
  proposed-testing-requested: true
  reason:
automated-testing: Ongoing -- testing in progress
regression-testing: Ongoing -- testing in progress
-   verification-testing: Pending -- Ready

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-aws in Ubuntu.
https://bugs.launchpad.net/bugs/1814757

Title:
  linux-aws: 4.18.0-1011.13 -proposed tracker

Status in Kernel SRU Workflow:
  In Progress
Status in Kernel SRU Workflow automated-testing series:
  In Progress
Status in Kernel SRU Workflow certification-testing series:
  Invalid
Status in Kernel SRU Workflow prepare-package series:
  Fix Released
Status in Kernel SRU Workflow prepare-package-meta series:
  Fix Released
Status in Kernel SRU Workflow promote-to-proposed series:
  Fix Released
Status in Kernel SRU Workflow promote-to-security series:
  New
Status in Kernel SRU Workflow promote-to-updates series:
  New
Status in Kernel SRU Workflow regression-testing series:
  Confirmed
Status in Kernel SRU Workflow security-signoff series:
  Fix Released
Status in Kernel SRU Workflow upload-to-ppa-dnu series:
  Invalid
Status in Kernel SRU Workflow verification-testing series:
  Fix Released
Status in linux-aws package in Ubuntu:
  Invalid
Status in linux-aws source package in Cosmic:
  Confirmed

Bug description:
  This bug is for tracking the  upload package.
  This bug will contain status and testing results related to that
  upload.

  For an explanation of the tasks and the associated workflow see: 
https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
  -- swm properties --
  boot-testing-requested: true
  kernel-stable-master-bug: 1814749
  phase: Testing
  phase-changed: Thursday, 07. March 2019 15:21 UTC
  proposed-announcement-sent: true
  proposed-testing-requested: true
  reason:
automated-testing: Ongoing -- testing in progress
regression-testing: Ongoing -- testing in progress

To manage notifications about this bug go to:
https://bugs.launchpad.net/kernel-sru-workflow/+bug/1814757/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1814651] Re: linux-aws: 4.4.0-1077.87 -proposed tracker

2019-03-07 Thread Brad Figg
** Description changed:

  This bug is for tracking the  upload package. This
  bug will contain status and testing results related to that upload.
  
  For an explanation of the tasks and the associated workflow see: 
https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
  -- swm properties --
  boot-testing-requested: true
  kernel-stable-master-bug: 1814647
  phase: Testing
  phase-changed: Thursday, 07. March 2019 15:24 UTC
  proposed-announcement-sent: true
  proposed-testing-requested: true
  reason:
automated-testing: Ongoing -- testing in progress
certification-testing: Ongoing -- testing in progress
regression-testing: Ongoing -- testing in progress
snap-release-to-beta: Pending -- snap not in beta channel
snap-release-to-edge: Pending -- snap not in edge channel
-   verification-testing: Pending -- Ready

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-aws in Ubuntu.
https://bugs.launchpad.net/bugs/1814651

Title:
  linux-aws: 4.4.0-1077.87 -proposed tracker

Status in Kernel SRU Workflow:
  In Progress
Status in Kernel SRU Workflow automated-testing series:
  In Progress
Status in Kernel SRU Workflow certification-testing series:
  Confirmed
Status in Kernel SRU Workflow prepare-package series:
  Fix Released
Status in Kernel SRU Workflow prepare-package-meta series:
  Fix Released
Status in Kernel SRU Workflow promote-to-proposed series:
  Fix Released
Status in Kernel SRU Workflow promote-to-security series:
  New
Status in Kernel SRU Workflow promote-to-updates series:
  New
Status in Kernel SRU Workflow regression-testing series:
  Confirmed
Status in Kernel SRU Workflow security-signoff series:
  Fix Released
Status in Kernel SRU Workflow snap-release-to-beta series:
  Confirmed
Status in Kernel SRU Workflow snap-release-to-candidate series:
  New
Status in Kernel SRU Workflow snap-release-to-edge series:
  Confirmed
Status in Kernel SRU Workflow snap-release-to-stable series:
  Invalid
Status in Kernel SRU Workflow upload-to-ppa-dnu series:
  Invalid
Status in Kernel SRU Workflow verification-testing series:
  Fix Released
Status in linux-aws package in Ubuntu:
  Invalid
Status in linux-aws source package in Xenial:
  Confirmed

Bug description:
  This bug is for tracking the  upload package.
  This bug will contain status and testing results related to that
  upload.

  For an explanation of the tasks and the associated workflow see: 
https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
  -- swm properties --
  boot-testing-requested: true
  kernel-stable-master-bug: 1814647
  phase: Testing
  phase-changed: Thursday, 07. March 2019 15:24 UTC
  proposed-announcement-sent: true
  proposed-testing-requested: true
  reason:
automated-testing: Ongoing -- testing in progress
certification-testing: Ongoing -- testing in progress
regression-testing: Ongoing -- testing in progress
snap-release-to-beta: Pending -- snap not in beta channel
snap-release-to-edge: Pending -- snap not in edge channel

To manage notifications about this bug go to:
https://bugs.launchpad.net/kernel-sru-workflow/+bug/1814651/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818745] Re: linux-aws: 4.15.0-1034.36 -proposed tracker

2019-03-07 Thread Brad Figg
** Description changed:

  This bug is for tracking the  upload package. This
  bug will contain status and testing results related to that upload.
  
  For an explanation of the tasks and the associated workflow see: 
https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
  -- swm properties --
  boot-testing-requested: true
  kernel-stable-master-bug: 1814726
  phase: Testing
  phase-changed: Thursday, 07. March 2019 15:22 UTC
  proposed-announcement-sent: true
  proposed-testing-requested: true
  reason:
automated-testing: Ongoing -- testing in progress
regression-testing: Ongoing -- testing in progress
snap-release-to-beta: Pending -- snap not in 18/beta channel
snap-release-to-edge: Pending -- snap not in 18/edge channel
-   verification-testing: Pending -- Ready

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-aws in Ubuntu.
https://bugs.launchpad.net/bugs/1818745

Title:
  linux-aws: 4.15.0-1034.36 -proposed tracker

Status in Kernel SRU Workflow:
  In Progress
Status in Kernel SRU Workflow automated-testing series:
  In Progress
Status in Kernel SRU Workflow certification-testing series:
  Invalid
Status in Kernel SRU Workflow prepare-package series:
  Fix Released
Status in Kernel SRU Workflow prepare-package-meta series:
  Fix Released
Status in Kernel SRU Workflow promote-to-proposed series:
  Fix Released
Status in Kernel SRU Workflow promote-to-security series:
  New
Status in Kernel SRU Workflow promote-to-updates series:
  New
Status in Kernel SRU Workflow regression-testing series:
  Confirmed
Status in Kernel SRU Workflow security-signoff series:
  Fix Released
Status in Kernel SRU Workflow snap-release-to-beta series:
  Confirmed
Status in Kernel SRU Workflow snap-release-to-candidate series:
  New
Status in Kernel SRU Workflow snap-release-to-edge series:
  Confirmed
Status in Kernel SRU Workflow snap-release-to-stable series:
  Invalid
Status in Kernel SRU Workflow upload-to-ppa-dnu series:
  Invalid
Status in Kernel SRU Workflow verification-testing series:
  Fix Released
Status in linux-aws package in Ubuntu:
  Invalid
Status in linux-aws source package in Bionic:
  Confirmed

Bug description:
  This bug is for tracking the  upload package.
  This bug will contain status and testing results related to that
  upload.

  For an explanation of the tasks and the associated workflow see: 
https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
  -- swm properties --
  boot-testing-requested: true
  kernel-stable-master-bug: 1814726
  phase: Testing
  phase-changed: Thursday, 07. March 2019 15:22 UTC
  proposed-announcement-sent: true
  proposed-testing-requested: true
  reason:
automated-testing: Ongoing -- testing in progress
regression-testing: Ongoing -- testing in progress
snap-release-to-beta: Pending -- snap not in 18/beta channel
snap-release-to-edge: Pending -- snap not in 18/edge channel

To manage notifications about this bug go to:
https://bugs.launchpad.net/kernel-sru-workflow/+bug/1818745/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1788997] Re: rtl8723be wifi does not work under linux-modules-extra-4.15.0-33-generic

2019-03-07 Thread Kai-Heng Feng
AFAIU, mainline kernel works, but with different ant_sel value.
On currently Ubuntu kernel, it doesn't work at all, correct?

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1788997

Title:
  rtl8723be wifi does not work under linux-modules-
  extra-4.15.0-33-generic

Status in linux package in Ubuntu:
  Confirmed
Status in linux source package in Bionic:
  Confirmed

Bug description:
  When starting Xubuntu 18.04.1 LTS on a laptop HP 1S-af023ng with
  kernel 4.15.0-32.35 amd64, wifi via rtl8723be works OK.

  Using actual 4.15.0-33.36 amd64 instead, rtl8723be doesn't find any
  wifi networks and thus there is no connection. Changing the antenna
  setup in /etc/modprobe.d/rtl8723be_options.conf doesn't help either;
  as a workaround an external wifi device (Gigaset USB Adapter 108)
  works.

  The expectation is that wifi through rtl8723be will still work under 
4.15.0-33.36 as it did previously.
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC1:  al 1234 F pulseaudio
   /dev/snd/controlC0:  al 1234 F pulseaudio
  CurrentDesktop: XFCE
  DistroRelease: Ubuntu 18.04
  EcryptfsInUse: Yes
  InstallationDate: Installed on 2018-05-27 (89 days ago)
  InstallationMedia: Xubuntu 18.04 LTS "Bionic Beaver" - Release amd64 
(20180426)
  MachineType: Hewlett-Packard HP Notebook
  Package: linux (not installed)
  ProcFB: 0 radeondrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-33-generic 
root=UUID=32ea87b7-f595-4137-a54b-55838586f720 ro quiet splash vt.handoff=1
  ProcVersionSignature: Ubuntu 4.15.0-33.36-generic 4.15.18
  RelatedPackageVersions:
   linux-restricted-modules-4.15.0-33-generic N/A
   linux-backports-modules-4.15.0-33-generic  N/A
   linux-firmware 1.173.1
  Tags:  bionic
  Uname: Linux 4.15.0-33-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 04/01/2015
  dmi.bios.vendor: Insyde
  dmi.bios.version: F.02
  dmi.board.asset.tag: Base Board Asset Tag
  dmi.board.name: 8137
  dmi.board.vendor: Hewlett-Packard
  dmi.board.version: 99.02
  dmi.chassis.asset.tag: Chassis Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: Hewlett-Packard
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsyde:bvrF.02:bd04/01/2015:svnHewlett-Packard:pnHPNotebook:pvrType1ProductConfigId:rvnHewlett-Packard:rn8137:rvr99.02:cvnHewlett-Packard:ct10:cvrChassisVersion:
  dmi.product.family: 103C_5335KV G=N L=CON B=HP
  dmi.product.name: HP Notebook
  dmi.product.version: Type1ProductConfigId
  dmi.sys.vendor: Hewlett-Packard

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1788997/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1808743] Re: [Ubuntu 1810] Kdump fails to dump vmcore and enters initramfs inside Power9 KVM guest

2019-03-07 Thread Manoj Iyer
Closing this as 'Fix Released' based on the verification from IBM that
this is now fixed with the latest  kernel.

** Changed in: makedumpfile (Ubuntu)
   Status: Triaged => Fix Released

** Changed in: ubuntu-power-systems
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to makedumpfile in Ubuntu.
https://bugs.launchpad.net/bugs/1808743

Title:
  [Ubuntu 1810] Kdump fails to dump vmcore and enters initramfs inside
  Power9 KVM guest

Status in The Ubuntu-power-systems project:
  Fix Released
Status in makedumpfile package in Ubuntu:
  Fix Released

Bug description:
  Kdump fails to dump vmcore even with workaround suggested

  This issue is submitted to
  track on Power9 Guest where it uses file type qcow2 disk (virtio-scsi)

  
  Boot Log: (Attached full console log)

  [3.754031]32regs: 19616.000 MB/sec
  [3.794031]32regs_prefetch: 17280.000 MB/sec
  [3.834030]altivec   : 22480.000 MB/sec
  [3.834063] xor: using function: altivec (22480.000 MB/sec)
  done.
  Begin: Running /scripts/init-premount ... done.
  Begin: Mounting root file system ... Begin: Running /scripts/local-top ... 
done.
  Begin: Running /scripts/local-premount ... done.
  Begin: Waiting for root file system ... Begin: Running /scripts/local-block 
... mdadm: No devices listed in conf file were found.
  done.
  mdadm: No devices listed in conf file were found.
  mdadm: No devices listed in conf file were found.
  mdadm: No devices listed in conf file were found.
  done.
  Gave up waiting for root file system device.  Common problems:
   - Boot args (cat /proc/cmdline)
 - Check rootdelay= (did the system wait long enough?)
   - Missing modules (cat /proc/modules; ls /dev)
  ALERT!  UUID=5e1fe9e9-cf03-4c73-adce-0e57676f98e0 does not exist.  Dropping 
to a shell!

  
  BusyBox v1.27.2 (Ubuntu 1:1.27.2-2ubuntu4) built-in shell (ash)
  Enter 'help' for a list of built-in commands.

  (initramfs)

  Contact Information = Balamuruhan S / balamuruh...@in.ibm.com 
   
  ---uname output---

  Guest Kernel: 4.18.0-11-generic
  Host Kernel:  4.18.0-11-generic
   
  Machine Type = Boston 
   
  ---Debugger---
  A debugger is not configured
   
  ---Steps to Reproduce---
  1. Have a healthy KVM guest with Ubuntu 1810 with kernel 4.18.0-11-generic
  2. Install kdump, kexec and crash tools in the guest,
  # dpkg -l | grep crash
  ii  apport2.20.10-0ubuntu13.1 
 all  automatically generate crash reports for debugging
  ii  crash 7.2.3+real-1
 ppc64el  kernel debugging utility, allowing gdb like syntax
  ii  kdump-tools   1:1.6.4-2ubuntu1
 ppc64el  scripts and tools for automating kdump (Linux crash dumps)
  ii  linux-crashdump   4.18.0.11.12
 ppc64el  Linux kernel crashdump setup for the latest generic kernel
  ii  python3-apport2.20.10-0ubuntu13.1 
 all  Python 3 library for Apport crash report handling

  3. Ensure workaround suggested in Bug 172389 is followed by uncomment the 
`KDUMP_CMDLINE_APPEND`
  and change nr_cpus to maxcpus in /etc/default/kdump-tools config file,
   
  # cat /etc/default/kdump-tools | grep -i cmdline
  # KDUMP_CMDLINE - The default is to use the contents of /proc/cmdline.  
  # Set this variable to override /proc/cmdline.
  # KDUMP_CMDLINE_APPEND - Additional arguments to append to the command line 
  #KDUMP_CMDLINE=""
  KDUMP_CMDLINE_APPEND="1 maxcpus=1 systemd.unit=kdump-tools.service irqpoll 
noirqdistrib nousb reset_devices"

  4. restart the kdump tools service,
  # service kdump-tools restart
  # service kdump-tools status
  ? kdump-tools.service - Kernel crash dump capture service
 Loaded: loaded (/lib/systemd/system/kdump-tools.service; enabled; vendor 
pres
 Active: active (exited) since Mon 2018-12-03 02:34:03 CST; 1 weeks 3 days 
ago
Process: 1560 ExecStart=/etc/init.d/kdump-tools start (code=exited, 
status=0/S
   Main PID: 1560 (code=exited, status=0/SUCCESS)

  Dec 03 02:34:02 ubuntu1810 systemd[1]: Starting Kernel crash dump capture 
servic
  Dec 03 02:34:02 ubuntu1810 kdump-tools[1560]: Starting kdump-tools:  * 
Creating 
  Dec 03 02:34:02 ubuntu1810 kdump-tools[1560]:  * Creating symlink 
/var/lib/kdump
  Dec 03 02:34:03 ubuntu1810 kdump-tools[1560]: Modified 
cmdline:BOOT_IMAGE=/boot/
  Dec 03 02:34:03 ubuntu1810 kdump-tools[1560]:  * loaded kdump kernel
  Dec 03 02:34:03 ubuntu1810 kdump-tools[1678]: /sbin/kexec -p 
--command-line="BOO
  Dec 03 02:34:03 ubuntu1810 kdump-tools[1679]: loaded kdump kernel
  Dec 03 02:34:03 ubuntu1810 systemd[1]: Started Kernel crash dump capture 
service

  5. check kdump-config is state is ready to dump,
  # kdump-config show
  DUMP_MODE:kdump
  USE_KDUMP:

[Kernel-packages] [Bug 1566468] Re: systemd-modules-load.service: Failing due to missing module 'ib_iser'

2019-03-07 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: linux-kvm (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-raspi2 in Ubuntu.
https://bugs.launchpad.net/bugs/1566468

Title:
  systemd-modules-load.service: Failing due to missing module 'ib_iser'

Status in linux package in Ubuntu:
  Fix Released
Status in linux-kvm package in Ubuntu:
  Confirmed
Status in linux-raspi2 package in Ubuntu:
  Confirmed
Status in open-iscsi package in Ubuntu:
  Invalid
Status in linux source package in Xenial:
  Fix Released
Status in linux-kvm source package in Xenial:
  Confirmed
Status in linux-raspi2 source package in Xenial:
  Confirmed
Status in open-iscsi source package in Xenial:
  Invalid

Bug description:
  On a number of VMs using Xenial daily builds 20160330 and 20160403,
  out of the box (just after booting for the first time), the following
  appears in dmesg at boot time:

  systemd[1]: systemd-modules-load.service: Main process exited, code=exited, 
status=1/FAILURE
  systemd[1]: Failed to start Load Kernel Modules.
  systemd[1]: systemd-modules-load.service: Unit entered failed state.
  systemd[1]: systemd-modules-load.service: Failed with result 'exit-code'.

  The following related complaint appears in /var/log/syslog:

  ubuntu systemd-modules-load[352]: Inserted module 'iscsi_tcp'
  ubuntu systemd-modules-load[352]: Failed to find module 'ib_iser'

  It looks like 'ib_iser' is some Mellanox-related module, which I don't
  *think* is something that a stock cloudimg install should attempt to
  load but I may be wrong; in any case, it's not present (nor is there
  any similar whingeing) on similar VMs running off 14.04 cloudimg.

  More info: http://askubuntu.com/questions/753672/xenial-beta2-systemd-
  modules-load-service-failed-due-to-missing-module-ib-i

  ---
  root@testvm4:~# lsb_release -rd
  Description:  Ubuntu Xenial Xerus (development branch)
  Release:  16.04
  root@testvm4:~# apt policy systemd
  systemd:
Installed: 229-3ubuntu2
Candidate: 229-3ubuntu2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1566468/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1566468] Re: systemd-modules-load.service: Failing due to missing module 'ib_iser'

2019-03-07 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: linux-kvm (Ubuntu Xenial)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-raspi2 in Ubuntu.
https://bugs.launchpad.net/bugs/1566468

Title:
  systemd-modules-load.service: Failing due to missing module 'ib_iser'

Status in linux package in Ubuntu:
  Fix Released
Status in linux-kvm package in Ubuntu:
  Confirmed
Status in linux-raspi2 package in Ubuntu:
  Confirmed
Status in open-iscsi package in Ubuntu:
  Invalid
Status in linux source package in Xenial:
  Fix Released
Status in linux-kvm source package in Xenial:
  Confirmed
Status in linux-raspi2 source package in Xenial:
  Confirmed
Status in open-iscsi source package in Xenial:
  Invalid

Bug description:
  On a number of VMs using Xenial daily builds 20160330 and 20160403,
  out of the box (just after booting for the first time), the following
  appears in dmesg at boot time:

  systemd[1]: systemd-modules-load.service: Main process exited, code=exited, 
status=1/FAILURE
  systemd[1]: Failed to start Load Kernel Modules.
  systemd[1]: systemd-modules-load.service: Unit entered failed state.
  systemd[1]: systemd-modules-load.service: Failed with result 'exit-code'.

  The following related complaint appears in /var/log/syslog:

  ubuntu systemd-modules-load[352]: Inserted module 'iscsi_tcp'
  ubuntu systemd-modules-load[352]: Failed to find module 'ib_iser'

  It looks like 'ib_iser' is some Mellanox-related module, which I don't
  *think* is something that a stock cloudimg install should attempt to
  load but I may be wrong; in any case, it's not present (nor is there
  any similar whingeing) on similar VMs running off 14.04 cloudimg.

  More info: http://askubuntu.com/questions/753672/xenial-beta2-systemd-
  modules-load-service-failed-due-to-missing-module-ib-i

  ---
  root@testvm4:~# lsb_release -rd
  Description:  Ubuntu Xenial Xerus (development branch)
  Release:  16.04
  root@testvm4:~# apt policy systemd
  systemd:
Installed: 229-3ubuntu2
Candidate: 229-3ubuntu2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1566468/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1573508] Re: nvidia-*: nvidia-* kernel module failed to build [error: too many arguments to function ‘get_user_pages’]

2019-03-07 Thread Andy Whitcroft
Hello khanpak...@gmail.com, or anyone else affected,

Accepted nvidia-graphics-drivers-340 into xenial-proposed. The package
will build now and be available at https://launchpad.net/ubuntu/+source
/nvidia-graphics-drivers-340/340.107-0ubuntu0.16.04.1 in a few hours,
and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-xenial to verification-done-xenial. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-xenial. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: nvidia-graphics-drivers-340 (Ubuntu Xenial)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to nvidia-graphics-drivers-384 in Ubuntu.
https://bugs.launchpad.net/bugs/1573508

Title:
  nvidia-*: nvidia-* kernel module failed to build [error: too many
  arguments to function ‘get_user_pages’]

Status in nvidia-graphics-drivers-304 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-340 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-384 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-304 source package in Trusty:
  In Progress
Status in nvidia-graphics-drivers-340 source package in Trusty:
  In Progress
Status in nvidia-graphics-drivers-361 source package in Trusty:
  Invalid
Status in nvidia-graphics-drivers-384 source package in Trusty:
  Fix Committed
Status in nvidia-graphics-drivers-304 source package in Xenial:
  Fix Committed
Status in nvidia-graphics-drivers-340 source package in Xenial:
  Fix Committed
Status in nvidia-graphics-drivers-361 source package in Xenial:
  Invalid
Status in nvidia-graphics-drivers-384 source package in Xenial:
  Fix Committed

Bug description:
  NA

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: nvidia-361 361.42-0ubuntu2
  ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
  Uname: Linux 4.4.0-21-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  DKMSKernelVersion: 4.6.0-040600rc4-lowlatency
  Date: Fri Apr 22 15:43:10 2016
  DuplicateSignature: 
dkms:nvidia-361:361.42-0ubuntu2:/var/lib/dkms/nvidia-361/361.42/build/nvidia/os-mlock.c:119:11:
 error: too many arguments to function ‘get_user_pages’
  InstallationDate: Installed on 2016-04-22 (0 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  PackageVersion: 361.42-0ubuntu2
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1
   apt  1.2.10ubuntu1
  SourcePackage: nvidia-graphics-drivers-361
  Title: nvidia-361 361.42-0ubuntu2: nvidia-361 kernel module failed to build
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-304/+bug/1573508/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1811963] Re: Sporadic problems with X710 (i40e) and bonding where one interface is shown as "state DOWN" and without LOWER_UP

2019-03-07 Thread Kai-Heng Feng
Please file a bug to Intel ethernet developers.

Commit 3647cd6eaf83d7f6145a3ccac73f5286496490d2 and
3f8af41262697a4d6742f030fbe0ceb9e1a048a6 in linux-next may worth trying.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1811963

Title:
  Sporadic problems with X710 (i40e) and bonding where one interface is
  shown as "state DOWN" and without LOWER_UP

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  After rebooting the physical server there is a 50/50 chance of all connected 
interfaces coming up. This affects Dell EMC R740's and R440's equipped with the 
X710 network cards.
  As far as I noticed (~20 reboots on different machines), this happens only 
when using bonding (in this case active-backup or mode 1, did not test 
different modes yet). The networking-hardware on the other side shows the ports 
"connected". tcpdump shows frames being received, even if the interface is in 
"state DOWN".

  Tried with:

  Ubuntu 16.04, kernel 4.4.0-141, driver 2.7.26 (from the Intel-website), 
firmware 18.8.9
  Ubuntu 16.04, kernel 4.4.0-141, driver 1.4.25-k, firmware 18.8.9
  Ubuntu 16.04, kernel 4.15.0-43 (hwe), driver 2.1.14-k, firmware 18.8.9

  The following excerpts are made using Intels driver in version 2.7.26,
  therefore tainting the kernel, but the same happens using the original
  kernel's version or the hardware enablement kernel's version.

  Sporadic failure case:

  [6.319226] i40e: loading out-of-tree module taints kernel.
  [6.319227] i40e: loading out-of-tree module taints kernel.
  [6.319422] i40e: module verification failed: signature and/or required 
key missing - tainting kernel
  [6.410837] i40e: Intel(R) 40-10 Gigabit Ethernet Connection Network 
Driver - version 2.7.26
  [6.410838] i40e: Copyright(c) 2013 - 2018 Intel Corporation.
  [6.423542] i40e :3b:00.0: fw 6.81.49447 api 1.7 nvm 6.80 0x80003d72 
18.8.9
  [6.658526] i40e :3b:00.0: MAC address: ff:ff:ff:ff:ff:ff
  [6.710391] i40e :3b:00.0: PCI-Express: Speed 8.0GT/s Width x8
  [6.725692] i40e :3b:00.0: Features: PF-id[0] VFs: 64 VSIs: 2 QP: 40 
RSS FD_ATR FD_SB NTUPLE CloudF DCB VxLAN Geneve NVGRE PTP VEPA
  [6.750239] i40e :3b:00.1: fw 6.81.49447 api 1.7 nvm 6.80 0x80003d72 
18.8.9
  [6.987874] i40e :3b:00.1: MAC address: ff:ff:ff:ff:ff:f1
  [7.005397] i40e :3b:00.1 eth0: NIC Link is Up, 10 Gbps Full Duplex, 
Flow Control: None
  [7.024993] i40e :3b:00.1: PCI-Express: Speed 8.0GT/s Width x8
  [7.040298] i40e :3b:00.1: Features: PF-id[1] VFs: 64 VSIs: 2 QP: 40 
RSS FD_ATR FD_SB NTUPLE CloudF DCB VxLAN Geneve NVGRE PTP VEPA
  [7.054384] i40e :3b:00.1 enp59s0f1: renamed from eth0
  [7.079613] i40e :3b:00.0 enp59s0f0: renamed from eth1
  [9.788893] i40e :3b:00.0 enp59s0f0: already using mac address 
ff:ff:ff:ff:ff:ff
  [9.819480] i40e :3b:00.1 enp59s0f1: set new mac address 
ff:ff:ff:ff:ff:ff

  [9.728194] bond0: Setting MII monitoring interval to 100
  [9.788690] bond0: Adding slave enp59s0f0
  [9.805195] bond0: Enslaving enp59s0f0 as a backup interface with a down 
link
  [9.819470] bond0: Adding slave enp59s0f1
  [9.836360] bond0: making interface enp59s0f1 the new active one
  [9.836614] bond0: Enslaving enp59s0f1 as an active interface with an up 
link

  Ethernet Channel Bonding Driver: v3.7.1 (April 27, 2011)

  Bonding Mode: fault-tolerance (active-backup)
  Primary Slave: None
  Currently Active Slave: enp59s0f1
  MII Status: up
  MII Polling Interval (ms): 100
  Up Delay (ms): 0
  Down Delay (ms): 0

  Slave Interface: enp59s0f0
  MII Status: down
  Speed: Unknown
  Duplex: Unknown
  Link Failure Count: 0
  Permanent HW addr: ff:ff:ff:ff:ff:ff
  Slave queue ID: 0

  Slave Interface: enp59s0f1
  MII Status: up
  Speed: Unknown
  Duplex: Unknown
  Link Failure Count: 0
  Permanent HW addr: ff:ff:ff:ff:ff:f1
  Slave queue ID: 0

  4: enp59s0f0:  mtu 1500 qdisc mq 
master bond0 portid  state DOWN group default qlen 1000
  link/ether ff:ff:ff:ff:ff:ff brd ff:ff:ff:ff:ff:ff
  5: enp59s0f1:  mtu 1500 qdisc mq 
master bond0 portid fff1 state UP group default qlen 1000
  link/ether ff:ff:ff:ff:ff:f1 brd ff:ff:ff:ff:ff:ff
  6: bond0:  mtu 1500 qdisc noqueue 
state UP group default qlen 1000
  link/ether ff:ff:ff:ff:ff:ff brd ff:ff:ff:ff:ff:ff
  inet 123.123.123.123/24 brd 123.123.123.255 scope global bond0
 valid_lft forever preferred_lft forever
  inet6 :::::/64 scope link 
 valid_lft forever preferred_lft forever

  bond0 Link encap:Ethernet  HWaddr ff:ff:ff:ff:ff:ff  
inet addr:123.123.123.123  Bcast:123.123.123.255  Mask:255.255.255.0
inet6 addr: :::::/64 Scope:Link
UP BROADCAST RUNNING MASTER MULTICAST  MTU:1500  Metric:1
  

[Kernel-packages] [Bug 1818547] Re: hid-sensor-hub spamming dmesg in 4.20

2019-03-07 Thread Fmstrat
There are a lot of HID changes in the previous commit of
61c4fc1eaf736344904767d201b0d4f7a2ebaf79, so I guess it's possible there
is perhaps something in the previous commit that is causing the 128/256
conflict.

Thanks again!

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818547

Title:
  hid-sensor-hub spamming dmesg in 4.20

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  Dmesg is a constant barrage of the same error:
  ```
  [  406.165461] hid-sensor-hub 001F:8086:22D8.0002: hid_field_extract() called 
with n (192) > 32! (kworker/5:1)
  ```

  This does not occur in 4.19 but does occur in all mainline 4.20
  releases including 4.20.13 (linux-image-unsigned-4.20.13-042013).
  Tested with both Ubuntu's included libinput 1.10 and an updated
  libinput 1.12.

  Hardware (from lspci) includes a synaptic touchpad. Having the xorg
  synaptic driver installed makes no difference.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818547/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818547] Re: hid-sensor-hub spamming dmesg in 4.20

2019-03-07 Thread Fmstrat
Hrm, I went looking to see if I could help resolve, but I have to admit,
at first glance I don't get it. The commit diff:

$ git diff 7a324b3f0535ceb0f6676fa20ca2a7b6213008cb 
71f6fa90a353605bf25c36417c9ae529ac1a9a8d
diff --git a/drivers/hid/hid-core.c b/drivers/hid/hid-core.c
index 3da354af7a0a..ef009db512ee 100644
--- a/drivers/hid/hid-core.c
+++ b/drivers/hid/hid-core.c
@@ -406,7 +406,7 @@ static int hid_parser_global(struct hid_parser *parser, 
struct hid_item *item)
 
case HID_GLOBAL_ITEM_TAG_REPORT_SIZE:
parser->global.report_size = item_udata(item);
-   if (parser->global.report_size > 128) {
+   if (parser->global.report_size > 256) {
hid_err(parser->device, "invalid report_size %d\n",
parser->global.report_size);
return -1;

The increase from 128 to 256 should not create a scenario where the bug
can exist. If it was originally below 128 and not throwing an error,
then it should be below 256.

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818547

Title:
  hid-sensor-hub spamming dmesg in 4.20

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  Dmesg is a constant barrage of the same error:
  ```
  [  406.165461] hid-sensor-hub 001F:8086:22D8.0002: hid_field_extract() called 
with n (192) > 32! (kworker/5:1)
  ```

  This does not occur in 4.19 but does occur in all mainline 4.20
  releases including 4.20.13 (linux-image-unsigned-4.20.13-042013).
  Tested with both Ubuntu's included libinput 1.10 and an updated
  libinput 1.12.

  Hardware (from lspci) includes a synaptic touchpad. Having the xorg
  synaptic driver installed makes no difference.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818547/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818547] Re: hid-sensor-hub spamming dmesg in 4.20

2019-03-07 Thread Fmstrat
71f6fa90a353605bf25c36417c9ae529ac1a9a8d is the first bad commit
commit 71f6fa90a353605bf25c36417c9ae529ac1a9a8d
Author: Song, Hongyan 
Date:   Fri Aug 3 14:45:59 2018 +0800

HID: increase maximum global item tag report size to 256

The maximum globale report size has changed from 32->...->96->128 in the 
past
years.  With the development usage of HID, the report_size max value 128 
cannot
satisfy all requirements.

There are applications need to expose intrinsic metadata to camera 
stabilizing
applications such as 3DFE application. 3DFE intrinsic is designed to express
environmental information about sensor that may dynamically change while the
sensor is running (such data include noise spectral density, bias standard
deviation)

A sensor data field is SENSOR_VALUE_PAIR that consists of a PROPERTYKEY and
PROPVARIANT pair. It need to report a unique PROPERTYKEY for each data 
field.

Take “Noise Spectral Density” as an example, it report count will be
defined as below:

"Size of Property key GUID(16 Byte) + property key index(4 Byte) +
size of Noise Spectral Density value(4 Byte)"

In this case, the data report max is totally 192(24Byte), which is larger 
than
128, while max size 128 blocked it as illegal length. So increase the report
size to satisfy it and more demands in the future.

Signed-off-by: Song Hongyan 
Signed-off-by: Jiri Kosina 

:04 04 c44ade4341c21e45c653cce63bee3a1411a9cc72
90c14f2502206b9b4884e49cbe1fdef5602a795d M  drivers

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818547

Title:
  hid-sensor-hub spamming dmesg in 4.20

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  Dmesg is a constant barrage of the same error:
  ```
  [  406.165461] hid-sensor-hub 001F:8086:22D8.0002: hid_field_extract() called 
with n (192) > 32! (kworker/5:1)
  ```

  This does not occur in 4.19 but does occur in all mainline 4.20
  releases including 4.20.13 (linux-image-unsigned-4.20.13-042013).
  Tested with both Ubuntu's included libinput 1.10 and an updated
  libinput 1.12.

  Hardware (from lspci) includes a synaptic touchpad. Having the xorg
  synaptic driver installed makes no difference.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818547/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1774817] Re: Temperature sensors on x470 not reporting correctly

2019-03-07 Thread Kai-Heng Feng
Thermal shutdown by kernel or by BIOS?

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1774817

Title:
  Temperature sensors on x470 not reporting correctly

Status in linux package in Ubuntu:
  Triaged

Bug description:
  x470-I ROG strix motherboard and Ryzen 2700

  After
  sudo sensors-detect
  and answering yes to all the probes the net result is:
  "Sorry, no sensors were detected.
  Either your system has no sensors, or they are not supported, or
  they are connected to an I2C or SMBus adapter that is not
  supported."

  sensors output lists:
  asus-isa-
  Adapter: ISA adapter
  cpu_fan:0 RPM

  nouveau-pci-0900
  Adapter: PCI adapter
  fan1:   0 RPM
  temp1:+65.0°C  (high = +95.0°C, hyst =  +3.0°C)
     (crit = +105.0°C, hyst =  +5.0°C)
     (emerg = +135.0°C, hyst =  +5.0°C)

  k10temp-pci-00c3
  Adapter: PCI adapter
  temp1:+94.2°C  (high = +70.0°C)

  Where the cpu fan is patently wrong and the k10temp likewise. The
  nouveau-pci-0900 appears to be the actual CPU temperature.

  May be related to:
  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1740736

  Other info:
  Description:  Ubuntu 18.04 LTS
  Release:  18.04

  version log:
  Ubuntu 4.15.0-22.24-generic 4.15.17

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1774817/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1818547] Re: hid-sensor-hub spamming dmesg in 4.20

2019-03-07 Thread Fmstrat
My device also has orientation (that works) (HP Spectre x360 13").

I am attempting the bisection without the deb pkg now. Just keeping a
log for if it's helpful.

1) 4.19.0+ Erorr displayed, touchpad didn't function
2) 4.19.0-rc8+ Did not show the error, touchpad functioned
3) 4.19.0+ No error, touchpad functioned
4) 4.19.0+ Erorr displayed, touchpad didn't function
5) 4.19.0+ Erorr displayed, touchpad didn't function
6) 4.19.0+ No error, touchpad functioned
7) 4.19.0+ Erorr displayed, touchpad didn't function
8) 4.19.0-rc6+ Erorr displayed, touchpad didn't function
9) 4.19.0-rc3+ Erorr displayed, touchpad functions
10) 4.19.0-rc3+ No error, touchpad functions
11) 4.18.0+ Error displayed, touchpad functions
12) 4.18.0+ Error displayed, touchpad functions
13) 4.18.0+ Error displayed, touchpad functions

My next post will contain the commit (need to switch back to that
machine to post).

Out of curiousity, is there a reason bisection is not supported at the
sub-version level? I.E v4.19.27-v4.20-rc1?

Thanks!

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1818547

Title:
  hid-sensor-hub spamming dmesg in 4.20

Status in linux package in Ubuntu:
  Confirmed

Bug description:
  Dmesg is a constant barrage of the same error:
  ```
  [  406.165461] hid-sensor-hub 001F:8086:22D8.0002: hid_field_extract() called 
with n (192) > 32! (kworker/5:1)
  ```

  This does not occur in 4.19 but does occur in all mainline 4.20
  releases including 4.20.13 (linux-image-unsigned-4.20.13-042013).
  Tested with both Ubuntu's included libinput 1.10 and an updated
  libinput 1.12.

  Hardware (from lspci) includes a synaptic touchpad. Having the xorg
  synaptic driver installed makes no difference.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1818547/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1573508] Re: nvidia-*: nvidia-* kernel module failed to build [error: too many arguments to function ‘get_user_pages’]

2019-03-07 Thread Andy Whitcroft
Hello khanpak...@gmail.com, or anyone else affected,

Accepted nvidia-graphics-drivers-384 into xenial-proposed. The package
will build now and be available at https://launchpad.net/ubuntu/+source
/nvidia-graphics-drivers-384/384.130-0ubuntu0.16.04.2 in a few hours,
and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-xenial to verification-done-xenial. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-xenial. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: nvidia-graphics-drivers-384 (Ubuntu Xenial)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to nvidia-graphics-drivers-384 in Ubuntu.
https://bugs.launchpad.net/bugs/1573508

Title:
  nvidia-*: nvidia-* kernel module failed to build [error: too many
  arguments to function ‘get_user_pages’]

Status in nvidia-graphics-drivers-304 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-340 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-384 package in Ubuntu:
  Invalid
Status in nvidia-graphics-drivers-304 source package in Trusty:
  In Progress
Status in nvidia-graphics-drivers-340 source package in Trusty:
  In Progress
Status in nvidia-graphics-drivers-361 source package in Trusty:
  Invalid
Status in nvidia-graphics-drivers-384 source package in Trusty:
  In Progress
Status in nvidia-graphics-drivers-304 source package in Xenial:
  Fix Committed
Status in nvidia-graphics-drivers-340 source package in Xenial:
  In Progress
Status in nvidia-graphics-drivers-361 source package in Xenial:
  Invalid
Status in nvidia-graphics-drivers-384 source package in Xenial:
  Fix Committed

Bug description:
  NA

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: nvidia-361 361.42-0ubuntu2
  ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
  Uname: Linux 4.4.0-21-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  DKMSKernelVersion: 4.6.0-040600rc4-lowlatency
  Date: Fri Apr 22 15:43:10 2016
  DuplicateSignature: 
dkms:nvidia-361:361.42-0ubuntu2:/var/lib/dkms/nvidia-361/361.42/build/nvidia/os-mlock.c:119:11:
 error: too many arguments to function ‘get_user_pages’
  InstallationDate: Installed on 2016-04-22 (0 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  PackageVersion: 361.42-0ubuntu2
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1
   apt  1.2.10ubuntu1
  SourcePackage: nvidia-graphics-drivers-361
  Title: nvidia-361 361.42-0ubuntu2: nvidia-361 kernel module failed to build
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-304/+bug/1573508/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1644804] Re: [Vostro 15-3568] Right key does not work on this clickpad

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1644804

Title:
  [Vostro 15-3568] Right key does not work on this clickpad

Status in HWE Next:
  Invalid
Status in linux package in Ubuntu:
  Incomplete

Bug description:
  CID: 201606-22528 Dell Vostro 15-3568

  The right key on the clickpad does not work on this laptop.

  Steps:
  1. Install 14.04.1 + dist-upgrade 
  2. Reboot and test the right key

  Result:
  * Not working at all

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: linux-image-4.4.0-47-generic 4.4.0-47.68
  ProcVersionSignature: Ubuntu 4.4.0-47.68-generic 4.4.24
  Uname: Linux 4.4.0-47-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  ubuntu 1525 F pulseaudio
  CurrentDesktop: Unity
  Date: Fri Nov 25 06:52:56 2016
  HibernationDevice: RESUME=UUID=b1256199-2e00-45a5-999c-0b81ea3fcfa6
  InstallationDate: Installed on 2016-11-25 (0 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 005: ID 0cf3:e005 Atheros Communications, Inc. 
   Bus 001 Device 003: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card 
Reader Controller
   Bus 001 Device 002: ID 1bcf:28c0 Sunplus Innovation Technology Inc. 
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Dell Inc. Vostro 15-3568
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-47-generic.efi.signed 
root=UUID=f6e40ce3-8944-47c0-ac5d-592570800352 ro quiet splash vt.handoff=7
  RelatedPackageVersions:
   linux-restricted-modules-4.4.0-47-generic N/A
   linux-backports-modules-4.4.0-47-generic  N/A
   linux-firmware1.157.5
  SourcePackage: linux
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 07/22/2016
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 01.00.00
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 9
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr01.00.00:bd07/22/2016:svnDellInc.:pnVostro15-3568:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct9:cvr:
  dmi.product.name: Vostro 15-3568
  dmi.sys.vendor: Dell Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1644804/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1730544] Re: AQUANTIA AQC107 10G[1D6A:0001] & 2.5/5Gb [1D6A:D108] NIC

2019-03-07 Thread Anthony Wong
** Changed in: linux (Ubuntu Xenial)
   Status: New => Won't Fix

** Changed in: hwe-next
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1730544

Title:
  AQUANTIA AQC107 10G[1D6A:0001] & 2.5/5Gb [1D6A:D108] NIC

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  Invalid
Status in linux source package in Xenial:
  Won't Fix
Status in linux-oem source package in Xenial:
  Fix Released

Bug description:
  From vendor's suggestion, there are some patches in v4.14-rc6 are
  required to enable the 2 NICs

  417a3ae net: aquantia: Bad udp rate on default interrupt coalescing
  b82ee71 net: aquantia: Enable coalescing management via ethtool interface
  6849540 net: aquantia: mmio unmap was not performed on driver removal
  4c8bb60 net: aquantia: Limit number of MSIX irqs to the number of cpus
  93d87b8 net: aquantia: Fixed transient link up/down/up notification
  5d8d84e net: aquantia: Add queue restarts stats counter
  65e665e net: aquantia: Reset nic statistics on interface up/down

  And to avoid conflict, cherry pick 2 more commits

  3aec641 aquantia: Fix Tx queue hangups
  65e665e net: aquantia: Reset nic statistics on interface up/down

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1730544/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1759188] Re: [8086:3e92] display becomes blank after S3

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1759188

Title:
  [8086:3e92] display becomes blank after S3

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Xenial:
  Invalid
Status in linux-oem source package in Xenial:
  Fix Released
Status in linux source package in Artful:
  Fix Released
Status in linux-oem source package in Artful:
  Invalid
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released

Bug description:
  [Impact]
  The display becomes black after S3 with the following error messages.

  [   38.304449] [drm:gmbus_xfer [i915]] GMBUS [i915 gmbus dpd] NAK for addr: 
0050 w(1)
  [   38.304462] [drm:gmbus_xfer [i915]] GMBUS [i915 gmbus dpd] NAK on first 
message, retry
  [   38.306726] [drm:gmbus_xfer [i915]] GMBUS [i915 gmbus dpd] NAK for addr: 
0050 w(1)
  [   38.306733] [drm:drm_do_probe_ddc_edid [drm]] drm: skipping non-existent 
adapter i915 gmbus dpd
  [   38.311251] [drm:drm_dp_dual_mode_detect [drm_kms_helper]] DP dual mode 
HDMI ID: DP-HDMI ADAPTOR\004 (err 0)
  [   38.313538] [drm:drm_dp_dual_mode_detect [drm_kms_helper]] DP dual mode 
adaptor ID: 44 (err 0)
  [   38.313554] [drm:intel_hdmi_set_edid [i915]] DP dual mode adaptor (type 1 
HDMI) detected (max TMDS clock: 165000 kHz)
  [   38.313557] [drm:drm_helper_hpd_irq_event [drm_kms_helper]] 
[CONNECTOR:115:HDMI-A-1] status updated from disconnected to disconnected

  [Fix]
  This commit pointed out by Timo fixes the issue.

  [Regression Potential]
  Should be low, although the change applies broadly.
  From the patch description, it explains it should be safe.
  > This workaround was designed to minimize the impact only
  > to save the bad case with that link rates. But HW engineers
  > indicated that it should be safe to apply broadly, although
  > they were expecting the DPLL0 link rate to be unchanged on
  > runtime.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1759188/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1782540] Re: Allow Raven Ridge's audio controller to be runtime suspended

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1782540

Title:
  Allow Raven Ridge's audio controller to be runtime suspended

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released

Bug description:
  ===SRU Justification===
  [Impact]
  AMD Raven Ridge's audio controller doesn't get runtime suspended. It consumes 
unnecessary power.

  [Test]
  With the patch, it can get runtime suspended and save ~1W for the system.
  It can also get runtime resumed correctly when doing audio input/output.

  [Fix]
  Add AZX_DCAPS_PM_RUNTIME flag to let sound subsystem know it supports runtime 
PM.

  [Regression Potential]
  Low. This change limits to Raven Ridge's audio controller.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1782540/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1806335] Re: Enable new Realtek card reader

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1806335

Title:
  Enable new Realtek card reader

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in linux-oem source package in Cosmic:
  Fix Released
Status in linux source package in Disco:
  Fix Released
Status in linux-oem source package in Disco:
  Fix Released

Bug description:
  [Impact]
  USB Storage based Realtek card reader doesn't work, because the usb-storage 
module tries to use it in UAS mode instead of using "ums-realtek".

  [Fix]
  Add new IDs to ums-realtek driver.
  In addition to that, we add a new module knob, "enable_mmc=", to 
enable/disable MMC, as vendors may not pay MMC royalties. "enable_mmc" defaults 
to 1.

  [Test]
  After applying the patch, the card reader works, and verified "enable_mmc=" 
can enable/disable MMC support.

  [Regression Potential]
  Minimal. This SRU enables two specific card readers that don't work as UAS, 
the new module knob only introduces new behavior when enable_mmc=0.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1806335/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1805607] Re: Power leakage at S5 with Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1805607

Title:
  Power leakage at S5 with Qualcomm Atheros QCA9377 802.11ac Wireless
  Network Adapter

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in linux-oem source package in Cosmic:
  Fix Released

Bug description:
  [Impact]
  It drains power more than 0.5 Watt after power off(S5) the machine with 
QCA9377 wifi card. The power consumption should be lower than 0.5 Watt, or it 
won't pass E-star 7.

  [Fix]
  Qualcomm provides this fix, and the power consumption becomes 0.23 Watt at 
S5. This fix doesn't submit to upstream yet, Qualcomm is still working on it.

  [Test]
  Verified on Dell machines, it works.

  [Regression Potential]
  Low.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1805607/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1763594] Re: xhci hangs; reset results in NULL pointer dereference

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1763594

Title:
  xhci hangs; reset results in NULL pointer dereference

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released
Status in linux package in Arch Linux:
  New

Bug description:
  ===SRU Justification===
  [Impact]
  xHC stops to work after some time. This happens when the xHC gets
  runtime resumed/suspended constantly.

  [Test]
  User reports this backport fixes the issue.

  [Fix]
  In addition to check EINT, also check ports' status.

  [Regression Potential]
  Low. It fixes a known bug and it's in -stable.

  ===Original Bug Report===

  Now and then, my xhci bus will hang, resulting in these kinds of
  messages in dmesg:

  [252220.002102] xhci_hcd :00:14.0: xHC is not running.
  [252220.037491] xhci_hcd :00:14.0: xHCI host controller not responding, 
assume dead
  [252220.037500] xhci_hcd :00:14.0: HC died; cleaning up
  [252220.133794] usb 1-2: USB disconnect, device number 2
  [252220.135042] usb 1-7: USB disconnect, device number 3
  [252220.137455] usb 1-8: USB disconnect, device number 4
  [252220.243317] usb 1-9: USB disconnect, device number 5

  Usually, I can fix this bij resetting the bus by calling a script
  reset-xhci:

  for xhci in /sys/bus/pci/drivers/?hci_hcd ; do
    cd $xhci
    echo Resetting devices from $xhci...
    for i in :??:??.? ; do
  echo -n "$i" > unbind
  echo -n "$i" > bind
    done
  done

  But doing this today resulted in a kernel bug:

  [252243.401814] xhci_hcd :00:14.0: remove, state 4
  [252243.401887] usb usb2: USB disconnect, device number 1
  [252243.470365] xhci_hcd :00:14.0: USB bus 2 deregistered
  [252243.470378] xhci_hcd :00:14.0: remove, state 4
  [252243.470383] usb usb1: USB disconnect, device number 1
  [252243.470831] xhci_hcd :00:14.0: Host halt failed, -19
  [252243.470837] xhci_hcd :00:14.0: Host not accessible, reset failed.
  [252243.475918] xhci_hcd :00:14.0: USB bus 1 deregistered
  [252243.475938] [ cut here ]
  [252243.475939] xhci_hcd :00:14.0: disabling already-disabled device
  [252243.475951] WARNING: CPU: 2 PID: 1787 at 
/build/linux-bdpCf2/linux-4.15.0/drivers/pci/pci.c:1642 
pci_disable_device+0x9c/0xc0
  [252243.475951] Modules linked in: cpuid snd_seq_dummy usb_storage 
hid_generic hidp ip6t_REJECT nf_reject_ipv6 ip6table_nat nf_nat_ipv6 
ip6table_mangle xt_hashlimit ip6table_raw nf_conntrack_ipv6 nf_defrag_ipv6 
nf_log_ipv6 xt_recent xt_comment ipt_REJECT nf_reject_ipv4 xt_mark 
iptable_mangle xt_tcpudp xt_CT iptable_raw xt_multiport xt_NFLOG nfnetlink_log 
nf_log_ipv4 nf_log_common xt_LOG nf_conntrack_sane nf_conntrack_netlink 
nfnetlink nf_nat_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip 
nf_nat_pptp nf_nat_proto_gre nf_nat_irc nf_nat_h323 nf_nat_ftp nf_nat_amanda 
nf_conntrack_tftp nf_conntrack_sip nf_conntrack_pptp nf_conntrack_proto_gre 
nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_irc 
nf_conntrack_h323 nf_conntrack_ftp ts_kmp nf_conntrack_amanda ipt_MASQUERADE 
nf_nat_masquerade_ipv4
  [252243.475984]  xfrm_user xfrm_algo iptable_nat nf_conntrack_ipv4 
nf_defrag_ipv4 nf_nat_ipv4 xt_addrtype xt_conntrack nf_nat nf_conntrack 
br_netfilter aufs vhost_net vhost tap ccm rfcomm bridge stp llc devlink 
ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter msr cmac bnep 
binfmt_misc snd_hda_codec_hdmi nls_iso8859_1 arc4 snd_soc_skl 
snd_hda_codec_realtek snd_soc_skl_ipc snd_hda_ext_core snd_hda_codec_generic 
snd_soc_sst_dsp snd_soc_sst_ipc snd_soc_acpi snd_soc_core snd_compress ac97_bus 
snd_pcm_dmaengine snd_hda_intel dell_laptop dell_smbios_smm dcdbas 
snd_hda_codec dell_smm_hwmon snd_hda_core snd_hwdep snd_pcm intel_rapl 
snd_seq_midi snd_seq_midi_event x86_pkg_temp_thermal intel_powerclamp coretemp 
snd_rawmidi kvm_intel kvm btusb irqbypass intel_cstate intel_rapl_perf snd_seq 
btrtl
  [252243.476023]  iwlmvm btbcm btintel mac80211 hid_multitouch uvcvideo joydev 
input_leds dell_smbios_wmi snd_seq_device dell_wmi bluetooth serio_raw 
snd_timer videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 dell_smbios 
videobuf2_core iwlwifi sparse_keymap ecdh_generic snd wmi_bmof 
dell_wmi_descriptor videodev cfg80211 media soundcore rtsx_pci_ms memstick 
shpchp mei_me mei processor_thermal_device intel_pch_thermal intel_soc_dts_iosf 
int3400_thermal acpi_thermal_rel dell_rbtn mac_hid acpi_pad int3403_thermal 
int340x_thermal_zone tpm_crb sch_fq_codel cuse parport_pc ppdev nfsd lp parport 
auth_rpcgss nfs_acl lockd grace sunrpc ip_tables x_tables autofs4 btrfs 
zstd_compress algif_skcipher af_alg 

[Kernel-packages] [Bug 1779823] Re: xhci_hcd 0000:00:14.0: Root hub is not suspended

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1779823

Title:
  xhci_hcd :00:14.0: Root hub is not suspended

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released

Bug description:
  ===SRU Justification===
  [Impact]
  Runtime suspended xHC keeps spewing out this message:
  xhci_hcd :00:14.0: Root hub is not suspended

  [Test]
  With the fix, the message stops.

  [Fix]
  Only decrement PM counter when DBC was started.

  [Regression Potential]
  Low. It fixes the overlooked logic.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1779823/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1805775] Re: PC SN720 NVMe WDC 256GB consumes more power in S2Idle than during long idle

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1805775

Title:
  PC SN720 NVMe WDC 256GB consumes more power in S2Idle than during long
  idle

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released

Bug description:
  [Impact]
  On new systems that facilitate s2idle, we observed the power consumption 
raises higher than long idle does during s2idle with Western Digital PC SN720 
NVMe SSD SDAPNTW-256G.

  Short idle: 5.3
  Long idle: 3.0
  S2I: 5.07

  [Fix]
  Windows doesn't put nvme to D3 in modern standby, and uses its own APST 
feature to do the power management. To leverage its APST feature during s2idle, 
we can't disable nvme device while suspending, too.
  So, here is what we did on the driver, 1. prevent nvme from entering D3, 2. 
prevent nvme from being disabled when suspending.

  [Test]
  Verified on the WD NVMe, it fixes the power consumption issue with no 
regression. And the power consumption decreases to 1.66W during s2idle.

  [Regression Potential]
  Low, the patches only applied to specific nvme module, and from our test, the 
system is still stable.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1805775/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1806818] Re: Fix Intel I210 doesn't work when ethernet cable gets plugged

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

** Changed in: linux-oem (Ubuntu Xenial)
   Status: New => Won't Fix

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1806818

Title:
  Fix Intel I210 doesn't work when ethernet cable gets plugged

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Xenial:
  Fix Released
Status in linux-oem source package in Xenial:
  Won't Fix
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in linux-oem source package in Cosmic:
  Fix Released
Status in linux source package in Disco:
  Fix Released
Status in linux-oem source package in Disco:
  Fix Released

Bug description:
  [Impact]
  Plugging ethernet cable cannot wake up Intel I210 when it's runtime
  suspended. It's because the PME is not enabled.

  [Fix]
  PCI core doesn't enable PME because the driver explicitly saves its PCI
  state before runtime suspend routine. Don't save PCI state fixes the
  issue. 

  [Test]
  PME is correctly enabled, and cable plugging starts to work.

  [Regression Potential]
  Minimal. The fix limits to on device, and it's specific to runtime power
  management. Other functionalities are not affected.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1806818/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1811337] Re: To reduce the Realtek USB cardreader power consumption

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1811337

Title:
  To reduce the Realtek USB cardreader power consumption

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in linux-oem source package in Cosmic:
  Fix Released
Status in linux source package in Disco:
  Fix Released
Status in linux-oem source package in Disco:
  Fix Released

Bug description:
  [Impact]
  Realtek USB cardreader consumes more than 1 Watt during long idle if it's not 
suspended. And it's runtime PM functions are available after v4.20.

  [Fix]
  To avoid conflicts, have to backport some patches for mmc core.

  [Test]
  Note: Inside () are the previous value (non-patch)
  Sort idle: 7.76W (7.88)
  Long idle: 4.658W (5.79)
  S3: 0.5W (0.5)
  S5: 0.20W (0.208)

  [Regression Potential]
  Low, most commits are for rtsx_usb_{sdmmc,ms} and are all small changes.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1811337/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1742094] Re: [16.04][classic] Redpine: wowlan feature doesn't work

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1742094

Title:
  [16.04][classic] Redpine: wowlan feature doesn't work

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux source package in Xenial:
  Fix Released

Bug description:
  Steps to reproduce:

   1. Ensure WoWLAN is enabled in BIOS.
   2. Initiate connection to an AP (using nmcli)
   3. Configure the device for WoWLAN, run the command:
  $ sudo iw phy phy0 wowlan enable magic-packet
   4. Enter S5/S4/S3 (using poweroff, etc.)
   5. From another computer on the same network run the following command:
  $ wakeonlan {mac} (in my case `wakeonlan 00:23:a7:ec:b4:04`)

  Expected result: the device starts/resume

  This bug is only for tracking purporse, please do not triage.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1742094/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1773940] Re: Enable AMD PCIe MP2 for AMDI0011

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1773940

Title:
  Enable AMD PCIe MP2 for AMDI0011

Status in HWE Next:
  Fix Released
Status in OEM Priority Project:
  Triaged
Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released

Bug description:
  ===SRU Justification===
  [Impact]
  Touchpad doesn't work on Latitude 5495.

  [Test]
  I can confirm the driver from AMD works.
  All issues found by us should be fixed.

  [Fix]
  The touchpad connects to AMDI0011, which doesn't have any driver until
  now.
  I'll backport the patch to A/B/C once it's in mainline and gets
  thoroughly tested.
   
  [Regression Potential]
  Low. It's a new driver, shouldn't affect any other device.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1773940/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1778658] Re: Nvidia fails after switching its mode

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1778658

Title:
  Nvidia fails after switching its mode

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released

Bug description:
  [Impact]
  Switch Nvidia mode requires rebooting the system. It's because of losing some 
of its status while switching mode if runtime PM is enabled. It's a generic 
issue that would happen on some other devices, too. This patch restores 
devices' config space on runtime resume.

  [Test]
  Test and verify it on machines with Nvidia discrete graphics.

  [Fix]
  Fix by saving and restoring config space over a runtime suspend cycle even if 
the device is not bound.

  [Regression Potential]
  Low. It saves and restores states during suspending and resuming.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1778658/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1798328] Re: USB cardreader (0bda:0328) make the system can't enter s3 or hang

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1798328

Title:
  USB cardreader (0bda:0328) make the system can't enter s3 or hang

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Invalid
Status in linux source package in Bionic:
  Fix Released

Bug description:
  [Impact]
  We have a couple o lenovo laptops, they have the realtek cardreader 
(0bda:0328),
  this cardreader is the latest product from realtek, and it uses the common
  usb-to-scsi driver UAS. When the system suspend and resume, the USB host will
  print some errors like can't disable the device under this USB bus and
  reset-and-verify fails, after that the system can't suspend anymore and hang
  randomly.

  [Fix]
  the mainline build v4.17-rc1 doesn't have this issue, so through bisecting,
  we found this patch can fix the problem.

  [Test Case]
  suspend and resume 30 times, and plug sd storage card into the cardreader,
  everything worked well.

  [Regression Potential]
  Low, we tested this patch on 7 different lenovo laptops. After suspending
  and resuming for 30 times, the system still worked well, and plug a usb
  storage, it still worked well.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1798328/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1796789] Re: the machine of lenovo M715 with the AMD GPU (Radeon Vega 8 Mobile, rev ca, 1002:15dd) often hangs randomly

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1796789

Title:
  the machine of lenovo M715 with the AMD GPU (Radeon Vega 8 Mobile, rev
  ca, 1002:15dd) often hangs randomly

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released

Bug description:
  [Impact]
  On the machine of Lenovo M715, there is an AMD GPU (1022:15dd rev ca), when it
  switchs to amdgpufb, the system will hang randomlly, sometimes it hangs during
  boot, reboot or poweroff, sometimes it hangs with longtime standby.

  
  [Fix]
  Through bisecting, I found this patch can fix the problem, looks like without
  this patch the ATOM BIOS can't be parsed correctlly.

  
  [Test Case]
  Did the test of "boot, reboot and poweroff" 5 times, worked very well.
  Let the system standby over one night, worked very well.

  [Regression Potential]
  Very low, I tested this patch on at least 6 differnt lenovo machines
  and those machines have different AMD GPUs on them, all of them worked
  as well as before.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1796789/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1805085] Re: Fix and issue that LG I2C touchscreen stops working after reboot

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1805085

Title:
  Fix and issue that LG I2C touchscreen stops working after reboot

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in linux source package in Disco:
  Fix Released

Bug description:
  [Impact]
  LG I2C touchscreen stops working after reboot.

  [Fix]
  Disable runtime PM for the touchscreen, which doesn't work well with 
consecutive ON/SLEEP commands.

  [Test]
  The touchscreen works well after reboot, when runtime PM is disabled.

  [Regression Potential]
  None. This is a new device and the fix is limited to this particular device.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1805085/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1806838] Re: Workaround CSS timeout on AMD SNPS 3.0 xHC

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1806838

Title:
  Workaround CSS timeout on AMD SNPS 3.0 xHC

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in linux-oem source package in Cosmic:
  Fix Released
Status in linux source package in Disco:
  Fix Released
Status in linux-oem source package in Disco:
  Fix Released

Bug description:
  [Impact]
  Raven Ridge xHC may fail to suspend, causes the USB stops working, and blocks 
the system entering system-wide suspend.

  [Fix]
  It's a hardware/firmware bug, workarounded by bailing out suspend function if 
it ever fails, and reset the xHC in next resume function.

  [Test]
  After applying the patch, the USB works, and the system can enter S3 
consecutively.

  [Regression Potential]
  Minimal. This workaround only applies to AMD Raven Ridge xHC.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1806838/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1793463] Re: SRU: Enable middle button of touchpad on ThinkPad P72

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1793463

Title:
  SRU: Enable middle button of touchpad on ThinkPad P72

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released

Bug description:
  [Impact]
  ThinkPad P72 has 3 physical hardware button on touchpad.
  Middle button didn't work due to kernel mask it.

  [Fix]
  Add this button support by PNPID in kernel input driver.

  [Test Case]
  Touchpad left/right/middle buttons works fine. scroll mode
  works fine.

  [Regression Potential]
  Very low, Just enable specific hardware support.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1793463/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1792309] Re: Fix I2C touchpanels' interrupt storms after system suspend

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1792309

Title:
  Fix I2C touchpanels' interrupt storms after system suspend

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in linux-oem source package in Cosmic:
  Fix Released

Bug description:
  [Impact]
  Some I2C touchpanels generate IRQ storm after system suspend/resume.

  [Test]
  After applying the fix, the IRQ storm stops generated by Raydium touchpanels.

  [Fix]
  Instead of requesting i2c reset, simply requesting the device to power on. 
The HID over I2C spec doesn't specify how the device should do upon resume from 
suspend, so some devices expect a power on instead of reset.

  [Regression Potential]
  Low. I tested other vendors' touchpanels, didn't observe any side effect.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1792309/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1796786] Re: screen displays abnormally on the lenovo M715 with the AMD GPU (Radeon Vega 8 Mobile, rev ca, 1002:15dd)

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1796786

Title:
  screen displays abnormally on the lenovo M715 with the AMD GPU (Radeon
  Vega 8 Mobile, rev ca, 1002:15dd)

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Invalid
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released

Bug description:
  [Impact]
  On the machine of Lenovo M715, there is an AMD GPU (1022:15dd rev ca), when it
  switchs to amdgpufb, the screen displays abnormally, we tested with a couple 
monitors,
  all of them can reproduce this issue.

  [Fix]
  Backported 3 patches from mainline kernel, all of them focus on the change of
  disable_vga(). After applying these 3 patches, the issue disappears.

  
  [Test Case]
  boot the system, run glxgears, everything works well

  [Regression Potential]
  Very low, these patches come from upstream, and I have tested them on at 
least 6 different
  lenovo machines and those machines have different AMD GPUs on them, all of 
them worked
  as well as before.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1796786/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1781533] Re: SATA device is not going to DEVSLP

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1781533

Title:
  SATA device is not going to DEVSLP

Status in HWE Next:
  Fix Released
Status in OEM Priority Project:
  Triaged
Status in linux package in Ubuntu:
  Invalid
Status in linux-oem package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in linux-oem source package in Cosmic:
  Fix Released

Bug description:
  [Impact]
  Any of the platforms we’ve been seeing SATA problems not going to deepest 
state leads to other devices not getting there during long idle or s2idle. And 
it also prevents the system from entering deeper PC state other than PC3.

  [Fix]
  Suggested from Intel and Dell to contains the following 4 commits,
  and all of 4 commits are in v4.19-rc1
  https://patchwork.kernel.org/patch/10502285/
  https://patchwork.kernel.org/patch/10502287/
  https://patchwork.kernel.org/patch/10535781/
  https://patchwork.kernel.org/patch/10535783/

  [Test]
  Verified the power consumption on some new platforms, it improves the SATA 
HDD power consumption around 0.5w during long idle.

  [Regression Potential]
  Low, the DEVSLP function is already validated when shipped with SLP_S0
  support.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1781533/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1789145] Re: Microphone cannot be detected with front panel audio combo jack on HP Z8-G4 machine

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1789145

Title:
  Microphone cannot be detected with front panel audio combo jack on HP
  Z8-G4 machine

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released

Bug description:
  
  [Impact]
  This bug comes from OEM cert project of HP, the front mic jack can't detect
  any plug/unplug, and we can't record any sound from plugged mic. This is a
  block for OEM project.

  [Fix]
  The fix comes from Realtek, it is said that this is a power issue, after 
changing
  the capability of the pin of linein, the power will keep being on for both 
linein
  and front mic, then this issue is fixed.

  [Test Case]
  We tested plug/unplug detection and record through iphone/nokia type 
headset-mic,
  all worked well.

  [Regression Potential]
  none, this is new added quirk, and only apply to the specific machine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1789145/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1787058] Re: ThinkPad systems have no HDMI sound when using the nvidia GPU

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1787058

Title:
  ThinkPad systems have no HDMI sound when using the nvidia GPU

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released

Bug description:
  Some ThinkPad systems have a power-saving feature that turns off
  Nvidia HDMI audio device in Windows, but NVidia Linux driver does not
  support this feature. As a result, HDMI audio will not work on Linux.

  A BIOS workaround is added with an OEM_OSI string "Linux-Lenovo-NV-
  HDMI-Audio" which needs enabling in Linux kernel too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1787058/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1807339] Re: Add HMS CAN driver for Dell Edge Gateways

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux-oem in Ubuntu.
https://bugs.launchpad.net/bugs/1807339

Title:
  Add HMS CAN driver for Dell Edge Gateways

Status in HWE Next:
  Fix Released
Status in linux-oem package in Ubuntu:
  Fix Released

Bug description:
  == Impact ==
  The HMS CAN device on Dell Edge Gateways doesn't work with linux-oem in 
Bionic. We used to have a driver for 4.4 from IHV integrated in Xenial. For 
4.15 there's a new release for that.

  == Fix ==
  Integrate the new release from IHV.

  == Test Case ==
  Check if the device binds to a driver.

  == Risk of Regression ==
  The driver binds to certain USB IDs thus should be reasonably low.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1807339/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1805081] Re: Add pointstick support for Cirque Touchpad

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1805081

Title:
  Add pointstick support for Cirque Touchpad

Status in HWE Next:
  Fix Released
Status in linux package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in linux source package in Disco:
  Fix Released

Bug description:
  [Impact]
  Cirque Touchpad works but its pointstick doesn't work.

  [Test]
  With the fix the pointstick starts working.

  [Fix]
  Need to use MT_CLS_WIN_8_DUAL to let PTP driver use pointstick as a mouse.

  [Regression Potential]
  None. This is a new device and the fix is limited to this particular device.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1805081/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


[Kernel-packages] [Bug 1808729] Re: MAC address pass through on RTL8153-BND for docking station

2019-03-07 Thread Anthony Wong
** Changed in: hwe-next
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Kernel
Packages, which is subscribed to linux in Ubuntu.
https://bugs.launchpad.net/bugs/1808729

Title:
  MAC address pass through on RTL8153-BND for docking station

Status in HWE Next:
  Fix Released
Status in OEM Priority Project:
  New
Status in linux package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Fix Released
Status in linux source package in Cosmic:
  Fix Released
Status in linux source package in Disco:
  Fix Released

Bug description:
  [Impact]
  A new chip RTL8153-BND on docks require to be added to the whitelist to 
support MAC address pass through.

  [Fix]
  This commit adds check for RTL8153-BND chip which is in v4.20.
  9c27369f4a13 r8152: Add support for MAC address pass through on RTL8153-BND

  [Regression Potential]
  Low. It doesn't change the code flow for the old RTL8153-AD chip, so it won't 
lead to regression.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1808729/+subscriptions

-- 
Mailing list: https://launchpad.net/~kernel-packages
Post to : kernel-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~kernel-packages
More help   : https://help.launchpad.net/ListHelp


  1   2   3   >